# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fog"
  s.version = "1.12.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["geemus (Wesley Beary)"]
  s.date = "2013-06-10"
  s.description = "The Ruby cloud services library. Supports all major cloud providers including AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS."
  s.email = "geemus@gmail.com"
  s.executables = ["fog"]
  s.extra_rdoc_files = ["README.md"]
  s.files = [".document", ".gitignore", ".irbrc", ".travis.yml", "Gemfile", "README.md", "RELEASE.md", "Rakefile", "benchs/fog_vs.rb", "benchs/load_times.rb", "benchs/params.rb", "benchs/parse_vs_push.rb", "bin/fog", "changelog.txt", "fog.gemspec", "lib/fog.rb", "lib/fog/account.rb", "lib/fog/atmos.rb", "lib/fog/atmos/models/storage/directories.rb", "lib/fog/atmos/models/storage/directory.rb", "lib/fog/atmos/models/storage/file.rb", "lib/fog/atmos/models/storage/files.rb", "lib/fog/atmos/requests/storage/delete_namespace.rb", "lib/fog/atmos/requests/storage/get_namespace.rb", "lib/fog/atmos/requests/storage/head_namespace.rb", "lib/fog/atmos/requests/storage/post_namespace.rb", "lib/fog/atmos/requests/storage/put_namespace.rb", "lib/fog/atmos/storage.rb", "lib/fog/aws.rb", "lib/fog/aws/auto_scaling.rb", "lib/fog/aws/beanstalk.rb", "lib/fog/aws/cdn.rb", "lib/fog/aws/cloud_formation.rb", "lib/fog/aws/cloud_watch.rb", "lib/fog/aws/compute.rb", "lib/fog/aws/credential_fetcher.rb", "lib/fog/aws/data_pipeline.rb", "lib/fog/aws/dns.rb", "lib/fog/aws/dynamodb.rb", "lib/fog/aws/elasticache.rb", "lib/fog/aws/elb.rb", "lib/fog/aws/elb/policy_types.rb", "lib/fog/aws/emr.rb", "lib/fog/aws/glacier.rb", "lib/fog/aws/iam.rb", "lib/fog/aws/models/auto_scaling/activities.rb", "lib/fog/aws/models/auto_scaling/activity.rb", "lib/fog/aws/models/auto_scaling/configuration.rb", "lib/fog/aws/models/auto_scaling/configurations.rb", "lib/fog/aws/models/auto_scaling/group.rb", "lib/fog/aws/models/auto_scaling/groups.rb", "lib/fog/aws/models/auto_scaling/instance.rb", "lib/fog/aws/models/auto_scaling/instances.rb", "lib/fog/aws/models/auto_scaling/policies.rb", "lib/fog/aws/models/auto_scaling/policy.rb", "lib/fog/aws/models/beanstalk/application.rb", "lib/fog/aws/models/beanstalk/applications.rb", "lib/fog/aws/models/beanstalk/environment.rb", "lib/fog/aws/models/beanstalk/environments.rb", "lib/fog/aws/models/beanstalk/event.rb", "lib/fog/aws/models/beanstalk/events.rb", "lib/fog/aws/models/beanstalk/template.rb", "lib/fog/aws/models/beanstalk/templates.rb", "lib/fog/aws/models/beanstalk/version.rb", "lib/fog/aws/models/beanstalk/versions.rb", "lib/fog/aws/models/cdn/distribution.rb", "lib/fog/aws/models/cdn/distribution_helper.rb", "lib/fog/aws/models/cdn/distributions.rb", "lib/fog/aws/models/cdn/distributions_helper.rb", "lib/fog/aws/models/cdn/invalidation.rb", "lib/fog/aws/models/cdn/invalidations.rb", "lib/fog/aws/models/cdn/streaming_distribution.rb", "lib/fog/aws/models/cdn/streaming_distributions.rb", "lib/fog/aws/models/cloud_watch/alarm.rb", "lib/fog/aws/models/cloud_watch/alarm_data.rb", "lib/fog/aws/models/cloud_watch/alarm_datum.rb", "lib/fog/aws/models/cloud_watch/alarm_histories.rb", "lib/fog/aws/models/cloud_watch/alarm_history.rb", "lib/fog/aws/models/cloud_watch/alarms.rb", "lib/fog/aws/models/cloud_watch/metric.rb", "lib/fog/aws/models/cloud_watch/metric_statistic.rb", "lib/fog/aws/models/cloud_watch/metric_statistics.rb", "lib/fog/aws/models/cloud_watch/metrics.rb", "lib/fog/aws/models/compute/address.rb", "lib/fog/aws/models/compute/addresses.rb", "lib/fog/aws/models/compute/dhcp_option.rb", "lib/fog/aws/models/compute/dhcp_options.rb", "lib/fog/aws/models/compute/flavor.rb", "lib/fog/aws/models/compute/flavors.rb", "lib/fog/aws/models/compute/image.rb", "lib/fog/aws/models/compute/images.rb", "lib/fog/aws/models/compute/internet_gateway.rb", "lib/fog/aws/models/compute/internet_gateways.rb", "lib/fog/aws/models/compute/key_pair.rb", "lib/fog/aws/models/compute/key_pairs.rb", "lib/fog/aws/models/compute/network_interface.rb", "lib/fog/aws/models/compute/network_interfaces.rb", "lib/fog/aws/models/compute/security_group.rb", "lib/fog/aws/models/compute/security_groups.rb", "lib/fog/aws/models/compute/server.rb", "lib/fog/aws/models/compute/servers.rb", "lib/fog/aws/models/compute/snapshot.rb", "lib/fog/aws/models/compute/snapshots.rb", "lib/fog/aws/models/compute/spot_request.rb", "lib/fog/aws/models/compute/spot_requests.rb", "lib/fog/aws/models/compute/subnet.rb", "lib/fog/aws/models/compute/subnets.rb", "lib/fog/aws/models/compute/tag.rb", "lib/fog/aws/models/compute/tags.rb", "lib/fog/aws/models/compute/volume.rb", "lib/fog/aws/models/compute/volumes.rb", "lib/fog/aws/models/compute/vpc.rb", "lib/fog/aws/models/compute/vpcs.rb", "lib/fog/aws/models/data_pipeline/pipeline.rb", "lib/fog/aws/models/data_pipeline/pipelines.rb", "lib/fog/aws/models/dns/record.rb", "lib/fog/aws/models/dns/records.rb", "lib/fog/aws/models/dns/zone.rb", "lib/fog/aws/models/dns/zones.rb", "lib/fog/aws/models/elasticache/cluster.rb", "lib/fog/aws/models/elasticache/clusters.rb", "lib/fog/aws/models/elasticache/parameter_group.rb", "lib/fog/aws/models/elasticache/parameter_groups.rb", "lib/fog/aws/models/elasticache/security_group.rb", "lib/fog/aws/models/elasticache/security_groups.rb", "lib/fog/aws/models/elb/listener.rb", "lib/fog/aws/models/elb/listeners.rb", "lib/fog/aws/models/elb/load_balancer.rb", "lib/fog/aws/models/elb/load_balancers.rb", "lib/fog/aws/models/elb/policies.rb", "lib/fog/aws/models/elb/policy.rb", "lib/fog/aws/models/glacier/archive.rb", "lib/fog/aws/models/glacier/archives.rb", "lib/fog/aws/models/glacier/job.rb", "lib/fog/aws/models/glacier/jobs.rb", "lib/fog/aws/models/glacier/vault.rb", "lib/fog/aws/models/glacier/vaults.rb", "lib/fog/aws/models/iam/access_key.rb", "lib/fog/aws/models/iam/access_keys.rb", "lib/fog/aws/models/iam/policies.rb", "lib/fog/aws/models/iam/policy.rb", "lib/fog/aws/models/iam/role.rb", "lib/fog/aws/models/iam/roles.rb", "lib/fog/aws/models/iam/user.rb", "lib/fog/aws/models/iam/users.rb", "lib/fog/aws/models/rds/parameter.rb", "lib/fog/aws/models/rds/parameter_group.rb", "lib/fog/aws/models/rds/parameter_groups.rb", "lib/fog/aws/models/rds/parameters.rb", "lib/fog/aws/models/rds/security_group.rb", "lib/fog/aws/models/rds/security_groups.rb", "lib/fog/aws/models/rds/server.rb", "lib/fog/aws/models/rds/servers.rb", "lib/fog/aws/models/rds/snapshot.rb", "lib/fog/aws/models/rds/snapshots.rb", "lib/fog/aws/models/rds/subnet_group.rb", "lib/fog/aws/models/rds/subnet_groups.rb", "lib/fog/aws/models/storage/directories.rb", "lib/fog/aws/models/storage/directory.rb", "lib/fog/aws/models/storage/file.rb", "lib/fog/aws/models/storage/files.rb", "lib/fog/aws/models/storage/version.rb", "lib/fog/aws/models/storage/versions.rb", "lib/fog/aws/parsers/auto_scaling/basic.rb", "lib/fog/aws/parsers/auto_scaling/describe_adjustment_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_auto_scaling_groups.rb", "lib/fog/aws/parsers/auto_scaling/describe_auto_scaling_instances.rb", "lib/fog/aws/parsers/auto_scaling/describe_auto_scaling_notification_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_launch_configurations.rb", "lib/fog/aws/parsers/auto_scaling/describe_metric_collection_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_notification_configurations.rb", "lib/fog/aws/parsers/auto_scaling/describe_policies.rb", "lib/fog/aws/parsers/auto_scaling/describe_scaling_activities.rb", "lib/fog/aws/parsers/auto_scaling/describe_scaling_process_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_scheduled_actions.rb", "lib/fog/aws/parsers/auto_scaling/describe_tags.rb", "lib/fog/aws/parsers/auto_scaling/describe_termination_policy_types.rb", "lib/fog/aws/parsers/auto_scaling/put_notification_configuration.rb", "lib/fog/aws/parsers/auto_scaling/put_scaling_policy.rb", "lib/fog/aws/parsers/auto_scaling/terminate_instance_in_auto_scaling_group.rb", "lib/fog/aws/parsers/beanstalk/check_dns_availability.rb", "lib/fog/aws/parsers/beanstalk/create_application.rb", "lib/fog/aws/parsers/beanstalk/create_application_version.rb", "lib/fog/aws/parsers/beanstalk/create_configuration_template.rb", "lib/fog/aws/parsers/beanstalk/create_environment.rb", "lib/fog/aws/parsers/beanstalk/create_storage_location.rb", "lib/fog/aws/parsers/beanstalk/describe_application_versions.rb", "lib/fog/aws/parsers/beanstalk/describe_applications.rb", "lib/fog/aws/parsers/beanstalk/describe_configuration_options.rb", "lib/fog/aws/parsers/beanstalk/describe_configuration_settings.rb", "lib/fog/aws/parsers/beanstalk/describe_environment_resources.rb", "lib/fog/aws/parsers/beanstalk/describe_environments.rb", "lib/fog/aws/parsers/beanstalk/describe_events.rb", "lib/fog/aws/parsers/beanstalk/empty.rb", "lib/fog/aws/parsers/beanstalk/list_available_solution_stacks.rb", "lib/fog/aws/parsers/beanstalk/parser.rb", "lib/fog/aws/parsers/beanstalk/retrieve_environment_info.rb", "lib/fog/aws/parsers/beanstalk/terminate_environment.rb", "lib/fog/aws/parsers/beanstalk/update_application.rb", "lib/fog/aws/parsers/beanstalk/update_application_version.rb", "lib/fog/aws/parsers/beanstalk/update_configuration_template.rb", "lib/fog/aws/parsers/beanstalk/update_environment.rb", "lib/fog/aws/parsers/beanstalk/validate_configuration_settings.rb", "lib/fog/aws/parsers/cdn/distribution.rb", "lib/fog/aws/parsers/cdn/get_distribution_list.rb", "lib/fog/aws/parsers/cdn/get_invalidation.rb", "lib/fog/aws/parsers/cdn/get_invalidation_list.rb", "lib/fog/aws/parsers/cdn/get_streaming_distribution_list.rb", "lib/fog/aws/parsers/cdn/post_invalidation.rb", "lib/fog/aws/parsers/cdn/streaming_distribution.rb", "lib/fog/aws/parsers/cloud_formation/basic.rb", "lib/fog/aws/parsers/cloud_formation/create_stack.rb", "lib/fog/aws/parsers/cloud_formation/describe_stack_events.rb", "lib/fog/aws/parsers/cloud_formation/describe_stack_resources.rb", "lib/fog/aws/parsers/cloud_formation/describe_stacks.rb", "lib/fog/aws/parsers/cloud_formation/get_template.rb", "lib/fog/aws/parsers/cloud_formation/list_stack_resources.rb", "lib/fog/aws/parsers/cloud_formation/list_stacks.rb", "lib/fog/aws/parsers/cloud_formation/update_stack.rb", "lib/fog/aws/parsers/cloud_formation/validate_template.rb", "lib/fog/aws/parsers/cloud_watch/delete_alarms.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarm_history.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarms.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarms_for_metric.rb", "lib/fog/aws/parsers/cloud_watch/disable_alarm_actions.rb", "lib/fog/aws/parsers/cloud_watch/enable_alarm_actions.rb", "lib/fog/aws/parsers/cloud_watch/get_metric_statistics.rb", "lib/fog/aws/parsers/cloud_watch/list_metrics.rb", "lib/fog/aws/parsers/cloud_watch/put_metric_alarm.rb", "lib/fog/aws/parsers/cloud_watch/put_metric_data.rb", "lib/fog/aws/parsers/cloud_watch/set_alarm_state.rb", "lib/fog/aws/parsers/compute/allocate_address.rb", "lib/fog/aws/parsers/compute/associate_address.rb", "lib/fog/aws/parsers/compute/associate_dhcp_options.rb", "lib/fog/aws/parsers/compute/attach_internet_gateway.rb", "lib/fog/aws/parsers/compute/attach_network_interface.rb", "lib/fog/aws/parsers/compute/attach_volume.rb", "lib/fog/aws/parsers/compute/basic.rb", "lib/fog/aws/parsers/compute/cancel_spot_instance_requests.rb", "lib/fog/aws/parsers/compute/copy_image.rb", "lib/fog/aws/parsers/compute/copy_snapshot.rb", "lib/fog/aws/parsers/compute/create_dhcp_options.rb", "lib/fog/aws/parsers/compute/create_image.rb", "lib/fog/aws/parsers/compute/create_internet_gateway.rb", "lib/fog/aws/parsers/compute/create_key_pair.rb", "lib/fog/aws/parsers/compute/create_network_interface.rb", "lib/fog/aws/parsers/compute/create_security_group.rb", "lib/fog/aws/parsers/compute/create_snapshot.rb", "lib/fog/aws/parsers/compute/create_subnet.rb", "lib/fog/aws/parsers/compute/create_volume.rb", "lib/fog/aws/parsers/compute/create_vpc.rb", "lib/fog/aws/parsers/compute/delete_dhcp_options.rb", "lib/fog/aws/parsers/compute/delete_internet_gateway.rb", "lib/fog/aws/parsers/compute/delete_network_interface.rb", "lib/fog/aws/parsers/compute/delete_subnet.rb", "lib/fog/aws/parsers/compute/delete_vpc.rb", "lib/fog/aws/parsers/compute/deregister_image.rb", "lib/fog/aws/parsers/compute/describe_addresses.rb", "lib/fog/aws/parsers/compute/describe_availability_zones.rb", "lib/fog/aws/parsers/compute/describe_dhcp_options.rb", "lib/fog/aws/parsers/compute/describe_images.rb", "lib/fog/aws/parsers/compute/describe_instance_status.rb", "lib/fog/aws/parsers/compute/describe_instances.rb", "lib/fog/aws/parsers/compute/describe_internet_gateways.rb", "lib/fog/aws/parsers/compute/describe_key_pairs.rb", "lib/fog/aws/parsers/compute/describe_network_interface_attribute.rb", "lib/fog/aws/parsers/compute/describe_network_interfaces.rb", "lib/fog/aws/parsers/compute/describe_placement_groups.rb", "lib/fog/aws/parsers/compute/describe_regions.rb", "lib/fog/aws/parsers/compute/describe_reserved_instances.rb", "lib/fog/aws/parsers/compute/describe_reserved_instances_offerings.rb", "lib/fog/aws/parsers/compute/describe_security_groups.rb", "lib/fog/aws/parsers/compute/describe_snapshots.rb", "lib/fog/aws/parsers/compute/describe_spot_price_history.rb", "lib/fog/aws/parsers/compute/describe_subnets.rb", "lib/fog/aws/parsers/compute/describe_tags.rb", "lib/fog/aws/parsers/compute/describe_volume_status.rb", "lib/fog/aws/parsers/compute/describe_volumes.rb", "lib/fog/aws/parsers/compute/describe_vpcs.rb", "lib/fog/aws/parsers/compute/detach_internet_gateway.rb", "lib/fog/aws/parsers/compute/detach_network_interface.rb", "lib/fog/aws/parsers/compute/detach_volume.rb", "lib/fog/aws/parsers/compute/get_console_output.rb", "lib/fog/aws/parsers/compute/get_password_data.rb", "lib/fog/aws/parsers/compute/import_key_pair.rb", "lib/fog/aws/parsers/compute/monitor_unmonitor_instances.rb", "lib/fog/aws/parsers/compute/network_interface_parser.rb", "lib/fog/aws/parsers/compute/purchase_reserved_instances_offering.rb", "lib/fog/aws/parsers/compute/register_image.rb", "lib/fog/aws/parsers/compute/run_instances.rb", "lib/fog/aws/parsers/compute/spot_datafeed_subscription.rb", "lib/fog/aws/parsers/compute/spot_instance_requests.rb", "lib/fog/aws/parsers/compute/start_stop_instances.rb", "lib/fog/aws/parsers/compute/terminate_instances.rb", "lib/fog/aws/parsers/dns/change_resource_record_sets.rb", "lib/fog/aws/parsers/dns/create_hosted_zone.rb", "lib/fog/aws/parsers/dns/delete_hosted_zone.rb", "lib/fog/aws/parsers/dns/get_change.rb", "lib/fog/aws/parsers/dns/get_hosted_zone.rb", "lib/fog/aws/parsers/dns/list_hosted_zones.rb", "lib/fog/aws/parsers/dns/list_resource_record_sets.rb", "lib/fog/aws/parsers/elasticache/authorize_cache_security_group_ingress.rb", "lib/fog/aws/parsers/elasticache/base.rb", "lib/fog/aws/parsers/elasticache/cache_cluster_parser.rb", "lib/fog/aws/parsers/elasticache/describe_cache_clusters.rb", "lib/fog/aws/parsers/elasticache/describe_cache_parameters.rb", "lib/fog/aws/parsers/elasticache/describe_engine_default_parameters.rb", "lib/fog/aws/parsers/elasticache/describe_parameter_groups.rb", "lib/fog/aws/parsers/elasticache/describe_reserved_cache_nodes.rb", "lib/fog/aws/parsers/elasticache/describe_security_groups.rb", "lib/fog/aws/parsers/elasticache/engine_defaults_parser.rb", "lib/fog/aws/parsers/elasticache/event_list.rb", "lib/fog/aws/parsers/elasticache/modify_parameter_group.rb", "lib/fog/aws/parsers/elasticache/parameter_group_parser.rb", "lib/fog/aws/parsers/elasticache/reset_parameter_group.rb", "lib/fog/aws/parsers/elasticache/security_group_parser.rb", "lib/fog/aws/parsers/elasticache/single_cache_cluster.rb", "lib/fog/aws/parsers/elasticache/single_parameter_group.rb", "lib/fog/aws/parsers/elasticache/single_security_group.rb", "lib/fog/aws/parsers/elb/apply_security_groups_to_load_balancer.rb", "lib/fog/aws/parsers/elb/attach_load_balancer_to_subnets.rb", "lib/fog/aws/parsers/elb/configure_health_check.rb", "lib/fog/aws/parsers/elb/create_load_balancer.rb", "lib/fog/aws/parsers/elb/delete_load_balancer.rb", "lib/fog/aws/parsers/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/parsers/elb/describe_instance_health.rb", "lib/fog/aws/parsers/elb/describe_load_balancer_policies.rb", "lib/fog/aws/parsers/elb/describe_load_balancer_policy_types.rb", "lib/fog/aws/parsers/elb/describe_load_balancers.rb", "lib/fog/aws/parsers/elb/detach_load_balancer_from_subnets.rb", "lib/fog/aws/parsers/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/empty.rb", "lib/fog/aws/parsers/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/parsers/emr/add_instance_groups.rb", "lib/fog/aws/parsers/emr/add_job_flow_steps.rb", "lib/fog/aws/parsers/emr/describe_job_flows.rb", "lib/fog/aws/parsers/emr/modify_instance_groups.rb", "lib/fog/aws/parsers/emr/run_job_flow.rb", "lib/fog/aws/parsers/emr/set_termination_protection.rb", "lib/fog/aws/parsers/emr/terminate_job_flows.rb", "lib/fog/aws/parsers/iam/base_instance_profile.rb", "lib/fog/aws/parsers/iam/basic.rb", "lib/fog/aws/parsers/iam/create_access_key.rb", "lib/fog/aws/parsers/iam/create_group.rb", "lib/fog/aws/parsers/iam/create_user.rb", "lib/fog/aws/parsers/iam/get_group.rb", "lib/fog/aws/parsers/iam/get_group_policy.rb", "lib/fog/aws/parsers/iam/get_role_policy.rb", "lib/fog/aws/parsers/iam/get_user.rb", "lib/fog/aws/parsers/iam/get_user_policy.rb", "lib/fog/aws/parsers/iam/instance_profile.rb", "lib/fog/aws/parsers/iam/list_access_keys.rb", "lib/fog/aws/parsers/iam/list_account_aliases.rb", "lib/fog/aws/parsers/iam/list_groups.rb", "lib/fog/aws/parsers/iam/list_groups_for_user.rb", "lib/fog/aws/parsers/iam/list_instance_profiles.rb", "lib/fog/aws/parsers/iam/list_policies.rb", "lib/fog/aws/parsers/iam/list_roles.rb", "lib/fog/aws/parsers/iam/list_server_certificates.rb", "lib/fog/aws/parsers/iam/list_signing_certificates.rb", "lib/fog/aws/parsers/iam/list_users.rb", "lib/fog/aws/parsers/iam/login_profile.rb", "lib/fog/aws/parsers/iam/role_parser.rb", "lib/fog/aws/parsers/iam/single_role.rb", "lib/fog/aws/parsers/iam/update_group.rb", "lib/fog/aws/parsers/iam/update_user.rb", "lib/fog/aws/parsers/iam/upload_server_certificate.rb", "lib/fog/aws/parsers/iam/upload_signing_certificate.rb", "lib/fog/aws/parsers/rds/authorize_db_security_group_ingress.rb", "lib/fog/aws/parsers/rds/base.rb", "lib/fog/aws/parsers/rds/create_db_instance.rb", "lib/fog/aws/parsers/rds/create_db_instance_read_replica.rb", "lib/fog/aws/parsers/rds/create_db_parameter_group.rb", "lib/fog/aws/parsers/rds/create_db_security_group.rb", "lib/fog/aws/parsers/rds/create_db_snapshot.rb", "lib/fog/aws/parsers/rds/create_db_subnet_group.rb", "lib/fog/aws/parsers/rds/db_engine_version_parser.rb", "lib/fog/aws/parsers/rds/db_parser.rb", "lib/fog/aws/parsers/rds/delete_db_instance.rb", "lib/fog/aws/parsers/rds/delete_db_parameter_group.rb", "lib/fog/aws/parsers/rds/delete_db_security_group.rb", "lib/fog/aws/parsers/rds/delete_db_snapshot.rb", "lib/fog/aws/parsers/rds/describe_db_engine_versions.rb", "lib/fog/aws/parsers/rds/describe_db_instances.rb", "lib/fog/aws/parsers/rds/describe_db_parameter_groups.rb", "lib/fog/aws/parsers/rds/describe_db_parameters.rb", "lib/fog/aws/parsers/rds/describe_db_reserved_instances.rb", "lib/fog/aws/parsers/rds/describe_db_security_groups.rb", "lib/fog/aws/parsers/rds/describe_db_snapshots.rb", "lib/fog/aws/parsers/rds/describe_db_subnet_groups.rb", "lib/fog/aws/parsers/rds/event_list.rb", "lib/fog/aws/parsers/rds/modify_db_instance.rb", "lib/fog/aws/parsers/rds/modify_db_parameter_group.rb", "lib/fog/aws/parsers/rds/reboot_db_instance.rb", "lib/fog/aws/parsers/rds/restore_db_instance_from_db_snapshot.rb", "lib/fog/aws/parsers/rds/restore_db_instance_to_point_in_time.rb", "lib/fog/aws/parsers/rds/revoke_db_security_group_ingress.rb", "lib/fog/aws/parsers/rds/security_group_parser.rb", "lib/fog/aws/parsers/rds/snapshot_parser.rb", "lib/fog/aws/parsers/rds/subnet_group_parser.rb", "lib/fog/aws/parsers/rds/tag_list_parser.rb", "lib/fog/aws/parsers/ses/delete_verified_email_address.rb", "lib/fog/aws/parsers/ses/get_send_quota.rb", "lib/fog/aws/parsers/ses/get_send_statistics.rb", "lib/fog/aws/parsers/ses/list_verified_email_addresses.rb", "lib/fog/aws/parsers/ses/send_email.rb", "lib/fog/aws/parsers/ses/send_raw_email.rb", "lib/fog/aws/parsers/ses/verify_email_address.rb", "lib/fog/aws/parsers/simpledb/basic.rb", "lib/fog/aws/parsers/simpledb/domain_metadata.rb", "lib/fog/aws/parsers/simpledb/get_attributes.rb", "lib/fog/aws/parsers/simpledb/list_domains.rb", "lib/fog/aws/parsers/simpledb/select.rb", "lib/fog/aws/parsers/sns/add_permission.rb", "lib/fog/aws/parsers/sns/confirm_subscription.rb", "lib/fog/aws/parsers/sns/create_topic.rb", "lib/fog/aws/parsers/sns/delete_topic.rb", "lib/fog/aws/parsers/sns/get_topic_attributes.rb", "lib/fog/aws/parsers/sns/list_subscriptions.rb", "lib/fog/aws/parsers/sns/list_topics.rb", "lib/fog/aws/parsers/sns/publish.rb", "lib/fog/aws/parsers/sns/remove_permission.rb", "lib/fog/aws/parsers/sns/set_topic_attributes.rb", "lib/fog/aws/parsers/sns/subscribe.rb", "lib/fog/aws/parsers/sns/unsubscribe.rb", "lib/fog/aws/parsers/sqs/basic.rb", "lib/fog/aws/parsers/sqs/create_queue.rb", "lib/fog/aws/parsers/sqs/get_queue_attributes.rb", "lib/fog/aws/parsers/sqs/list_queues.rb", "lib/fog/aws/parsers/sqs/receive_message.rb", "lib/fog/aws/parsers/sqs/send_message.rb", "lib/fog/aws/parsers/storage/access_control_list.rb", "lib/fog/aws/parsers/storage/complete_multipart_upload.rb", "lib/fog/aws/parsers/storage/copy_object.rb", "lib/fog/aws/parsers/storage/cors_configuration.rb", "lib/fog/aws/parsers/storage/delete_multiple_objects.rb", "lib/fog/aws/parsers/storage/get_bucket.rb", "lib/fog/aws/parsers/storage/get_bucket_lifecycle.rb", "lib/fog/aws/parsers/storage/get_bucket_location.rb", "lib/fog/aws/parsers/storage/get_bucket_logging.rb", "lib/fog/aws/parsers/storage/get_bucket_object_versions.rb", "lib/fog/aws/parsers/storage/get_bucket_versioning.rb", "lib/fog/aws/parsers/storage/get_bucket_website.rb", "lib/fog/aws/parsers/storage/get_request_payment.rb", "lib/fog/aws/parsers/storage/get_service.rb", "lib/fog/aws/parsers/storage/initiate_multipart_upload.rb", "lib/fog/aws/parsers/storage/list_multipart_uploads.rb", "lib/fog/aws/parsers/storage/list_parts.rb", "lib/fog/aws/parsers/sts/get_session_token.rb", "lib/fog/aws/rds.rb", "lib/fog/aws/requests/auto_scaling/create_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/create_launch_configuration.rb", "lib/fog/aws/requests/auto_scaling/create_or_update_tags.rb", "lib/fog/aws/requests/auto_scaling/delete_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/delete_launch_configuration.rb", "lib/fog/aws/requests/auto_scaling/delete_notification_configuration.rb", "lib/fog/aws/requests/auto_scaling/delete_policy.rb", "lib/fog/aws/requests/auto_scaling/delete_scheduled_action.rb", "lib/fog/aws/requests/auto_scaling/delete_tags.rb", "lib/fog/aws/requests/auto_scaling/describe_adjustment_types.rb", "lib/fog/aws/requests/auto_scaling/describe_auto_scaling_groups.rb", "lib/fog/aws/requests/auto_scaling/describe_auto_scaling_instances.rb", "lib/fog/aws/requests/auto_scaling/describe_auto_scaling_notification_types.rb", "lib/fog/aws/requests/auto_scaling/describe_launch_configurations.rb", "lib/fog/aws/requests/auto_scaling/describe_metric_collection_types.rb", "lib/fog/aws/requests/auto_scaling/describe_notification_configurations.rb", "lib/fog/aws/requests/auto_scaling/describe_policies.rb", "lib/fog/aws/requests/auto_scaling/describe_scaling_activities.rb", "lib/fog/aws/requests/auto_scaling/describe_scaling_process_types.rb", "lib/fog/aws/requests/auto_scaling/describe_scheduled_actions.rb", "lib/fog/aws/requests/auto_scaling/describe_tags.rb", "lib/fog/aws/requests/auto_scaling/describe_termination_policy_types.rb", "lib/fog/aws/requests/auto_scaling/disable_metrics_collection.rb", "lib/fog/aws/requests/auto_scaling/enable_metrics_collection.rb", "lib/fog/aws/requests/auto_scaling/execute_policy.rb", "lib/fog/aws/requests/auto_scaling/put_notification_configuration.rb", "lib/fog/aws/requests/auto_scaling/put_scaling_policy.rb", "lib/fog/aws/requests/auto_scaling/put_scheduled_update_group_action.rb", "lib/fog/aws/requests/auto_scaling/resume_processes.rb", "lib/fog/aws/requests/auto_scaling/set_desired_capacity.rb", "lib/fog/aws/requests/auto_scaling/set_instance_health.rb", "lib/fog/aws/requests/auto_scaling/suspend_processes.rb", "lib/fog/aws/requests/auto_scaling/terminate_instance_in_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/update_auto_scaling_group.rb", "lib/fog/aws/requests/beanstalk/check_dns_availability.rb", "lib/fog/aws/requests/beanstalk/create_application.rb", "lib/fog/aws/requests/beanstalk/create_application_version.rb", "lib/fog/aws/requests/beanstalk/create_configuration_template.rb", "lib/fog/aws/requests/beanstalk/create_environment.rb", "lib/fog/aws/requests/beanstalk/create_storage_location.rb", "lib/fog/aws/requests/beanstalk/delete_application.rb", "lib/fog/aws/requests/beanstalk/delete_application_version.rb", "lib/fog/aws/requests/beanstalk/delete_configuration_template.rb", "lib/fog/aws/requests/beanstalk/delete_environment_configuration.rb", "lib/fog/aws/requests/beanstalk/describe_application_versions.rb", "lib/fog/aws/requests/beanstalk/describe_applications.rb", "lib/fog/aws/requests/beanstalk/describe_configuration_options.rb", "lib/fog/aws/requests/beanstalk/describe_configuration_settings.rb", "lib/fog/aws/requests/beanstalk/describe_environment_resources.rb", "lib/fog/aws/requests/beanstalk/describe_environments.rb", "lib/fog/aws/requests/beanstalk/describe_events.rb", "lib/fog/aws/requests/beanstalk/list_available_solution_stacks.rb", "lib/fog/aws/requests/beanstalk/rebuild_environment.rb", "lib/fog/aws/requests/beanstalk/request_environment_info.rb", "lib/fog/aws/requests/beanstalk/restart_app_server.rb", "lib/fog/aws/requests/beanstalk/retrieve_environment_info.rb", "lib/fog/aws/requests/beanstalk/swap_environment_cnames.rb", "lib/fog/aws/requests/beanstalk/terminate_environment.rb", "lib/fog/aws/requests/beanstalk/update_application.rb", "lib/fog/aws/requests/beanstalk/update_application_version.rb", "lib/fog/aws/requests/beanstalk/update_configuration_template.rb", "lib/fog/aws/requests/beanstalk/update_environment.rb", "lib/fog/aws/requests/beanstalk/validate_configuration_settings.rb", "lib/fog/aws/requests/cdn/delete_distribution.rb", "lib/fog/aws/requests/cdn/delete_streaming_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution_list.rb", "lib/fog/aws/requests/cdn/get_invalidation.rb", "lib/fog/aws/requests/cdn/get_invalidation_list.rb", "lib/fog/aws/requests/cdn/get_streaming_distribution.rb", "lib/fog/aws/requests/cdn/get_streaming_distribution_list.rb", "lib/fog/aws/requests/cdn/post_distribution.rb", "lib/fog/aws/requests/cdn/post_invalidation.rb", "lib/fog/aws/requests/cdn/post_streaming_distribution.rb", "lib/fog/aws/requests/cdn/put_distribution_config.rb", "lib/fog/aws/requests/cdn/put_streaming_distribution_config.rb", "lib/fog/aws/requests/cloud_formation/create_stack.rb", "lib/fog/aws/requests/cloud_formation/delete_stack.rb", "lib/fog/aws/requests/cloud_formation/describe_stack_events.rb", "lib/fog/aws/requests/cloud_formation/describe_stack_resources.rb", "lib/fog/aws/requests/cloud_formation/describe_stacks.rb", "lib/fog/aws/requests/cloud_formation/get_template.rb", "lib/fog/aws/requests/cloud_formation/list_stack_resources.rb", "lib/fog/aws/requests/cloud_formation/list_stacks.rb", "lib/fog/aws/requests/cloud_formation/update_stack.rb", "lib/fog/aws/requests/cloud_formation/validate_template.rb", "lib/fog/aws/requests/cloud_watch/delete_alarms.rb", "lib/fog/aws/requests/cloud_watch/describe_alarm_history.rb", "lib/fog/aws/requests/cloud_watch/describe_alarms.rb", "lib/fog/aws/requests/cloud_watch/describe_alarms_for_metric.rb", "lib/fog/aws/requests/cloud_watch/disable_alarm_actions.rb", "lib/fog/aws/requests/cloud_watch/enable_alarm_actions.rb", "lib/fog/aws/requests/cloud_watch/get_metric_statistics.rb", "lib/fog/aws/requests/cloud_watch/list_metrics.rb", "lib/fog/aws/requests/cloud_watch/put_metric_alarm.rb", "lib/fog/aws/requests/cloud_watch/put_metric_data.rb", "lib/fog/aws/requests/cloud_watch/set_alarm_state.rb", "lib/fog/aws/requests/compute/allocate_address.rb", "lib/fog/aws/requests/compute/associate_address.rb", "lib/fog/aws/requests/compute/associate_dhcp_options.rb", "lib/fog/aws/requests/compute/attach_internet_gateway.rb", "lib/fog/aws/requests/compute/attach_network_interface.rb", "lib/fog/aws/requests/compute/attach_volume.rb", "lib/fog/aws/requests/compute/authorize_security_group_ingress.rb", "lib/fog/aws/requests/compute/cancel_spot_instance_requests.rb", "lib/fog/aws/requests/compute/copy_image.rb", "lib/fog/aws/requests/compute/copy_snapshot.rb", "lib/fog/aws/requests/compute/create_dhcp_options.rb", "lib/fog/aws/requests/compute/create_image.rb", "lib/fog/aws/requests/compute/create_internet_gateway.rb", "lib/fog/aws/requests/compute/create_key_pair.rb", "lib/fog/aws/requests/compute/create_network_interface.rb", "lib/fog/aws/requests/compute/create_placement_group.rb", "lib/fog/aws/requests/compute/create_security_group.rb", "lib/fog/aws/requests/compute/create_snapshot.rb", "lib/fog/aws/requests/compute/create_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/create_subnet.rb", "lib/fog/aws/requests/compute/create_tags.rb", "lib/fog/aws/requests/compute/create_volume.rb", "lib/fog/aws/requests/compute/create_vpc.rb", "lib/fog/aws/requests/compute/delete_dhcp_options.rb", "lib/fog/aws/requests/compute/delete_internet_gateway.rb", "lib/fog/aws/requests/compute/delete_key_pair.rb", "lib/fog/aws/requests/compute/delete_network_interface.rb", "lib/fog/aws/requests/compute/delete_placement_group.rb", "lib/fog/aws/requests/compute/delete_security_group.rb", "lib/fog/aws/requests/compute/delete_snapshot.rb", "lib/fog/aws/requests/compute/delete_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/delete_subnet.rb", "lib/fog/aws/requests/compute/delete_tags.rb", "lib/fog/aws/requests/compute/delete_volume.rb", "lib/fog/aws/requests/compute/delete_vpc.rb", "lib/fog/aws/requests/compute/deregister_image.rb", "lib/fog/aws/requests/compute/describe_addresses.rb", "lib/fog/aws/requests/compute/describe_availability_zones.rb", "lib/fog/aws/requests/compute/describe_dhcp_options.rb", "lib/fog/aws/requests/compute/describe_images.rb", "lib/fog/aws/requests/compute/describe_instance_status.rb", "lib/fog/aws/requests/compute/describe_instances.rb", "lib/fog/aws/requests/compute/describe_internet_gateways.rb", "lib/fog/aws/requests/compute/describe_key_pairs.rb", "lib/fog/aws/requests/compute/describe_network_interface_attribute.rb", "lib/fog/aws/requests/compute/describe_network_interfaces.rb", "lib/fog/aws/requests/compute/describe_placement_groups.rb", "lib/fog/aws/requests/compute/describe_regions.rb", "lib/fog/aws/requests/compute/describe_reserved_instances.rb", "lib/fog/aws/requests/compute/describe_reserved_instances_offerings.rb", "lib/fog/aws/requests/compute/describe_security_groups.rb", "lib/fog/aws/requests/compute/describe_snapshots.rb", "lib/fog/aws/requests/compute/describe_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/describe_spot_instance_requests.rb", "lib/fog/aws/requests/compute/describe_spot_price_history.rb", "lib/fog/aws/requests/compute/describe_subnets.rb", "lib/fog/aws/requests/compute/describe_tags.rb", "lib/fog/aws/requests/compute/describe_volume_status.rb", "lib/fog/aws/requests/compute/describe_volumes.rb", "lib/fog/aws/requests/compute/describe_vpcs.rb", "lib/fog/aws/requests/compute/detach_internet_gateway.rb", "lib/fog/aws/requests/compute/detach_network_interface.rb", "lib/fog/aws/requests/compute/detach_volume.rb", "lib/fog/aws/requests/compute/disassociate_address.rb", "lib/fog/aws/requests/compute/get_console_output.rb", "lib/fog/aws/requests/compute/get_password_data.rb", "lib/fog/aws/requests/compute/import_key_pair.rb", "lib/fog/aws/requests/compute/modify_image_attribute.rb", "lib/fog/aws/requests/compute/modify_instance_attribute.rb", "lib/fog/aws/requests/compute/modify_network_interface_attribute.rb", "lib/fog/aws/requests/compute/modify_snapshot_attribute.rb", "lib/fog/aws/requests/compute/modify_volume_attribute.rb", "lib/fog/aws/requests/compute/monitor_instances.rb", "lib/fog/aws/requests/compute/purchase_reserved_instances_offering.rb", "lib/fog/aws/requests/compute/reboot_instances.rb", "lib/fog/aws/requests/compute/register_image.rb", "lib/fog/aws/requests/compute/release_address.rb", "lib/fog/aws/requests/compute/request_spot_instances.rb", "lib/fog/aws/requests/compute/reset_network_interface_attribute.rb", "lib/fog/aws/requests/compute/revoke_security_group_ingress.rb", "lib/fog/aws/requests/compute/run_instances.rb", "lib/fog/aws/requests/compute/start_instances.rb", "lib/fog/aws/requests/compute/stop_instances.rb", "lib/fog/aws/requests/compute/terminate_instances.rb", "lib/fog/aws/requests/compute/unmonitor_instances.rb", "lib/fog/aws/requests/data_pipeline/activate_pipeline.rb", "lib/fog/aws/requests/data_pipeline/create_pipeline.rb", "lib/fog/aws/requests/data_pipeline/delete_pipeline.rb", "lib/fog/aws/requests/data_pipeline/describe_pipelines.rb", "lib/fog/aws/requests/data_pipeline/list_pipelines.rb", "lib/fog/aws/requests/data_pipeline/put_pipeline_definition.rb", "lib/fog/aws/requests/dns/change_resource_record_sets.rb", "lib/fog/aws/requests/dns/create_hosted_zone.rb", "lib/fog/aws/requests/dns/delete_hosted_zone.rb", "lib/fog/aws/requests/dns/get_change.rb", "lib/fog/aws/requests/dns/get_hosted_zone.rb", "lib/fog/aws/requests/dns/list_hosted_zones.rb", "lib/fog/aws/requests/dns/list_resource_record_sets.rb", "lib/fog/aws/requests/dynamodb/batch_get_item.rb", "lib/fog/aws/requests/dynamodb/batch_write_item.rb", "lib/fog/aws/requests/dynamodb/create_table.rb", "lib/fog/aws/requests/dynamodb/delete_item.rb", "lib/fog/aws/requests/dynamodb/delete_table.rb", "lib/fog/aws/requests/dynamodb/describe_table.rb", "lib/fog/aws/requests/dynamodb/get_item.rb", "lib/fog/aws/requests/dynamodb/list_tables.rb", "lib/fog/aws/requests/dynamodb/put_item.rb", "lib/fog/aws/requests/dynamodb/query.rb", "lib/fog/aws/requests/dynamodb/scan.rb", "lib/fog/aws/requests/dynamodb/update_item.rb", "lib/fog/aws/requests/dynamodb/update_table.rb", "lib/fog/aws/requests/elasticache/authorize_cache_security_group_ingress.rb", "lib/fog/aws/requests/elasticache/create_cache_cluster.rb", "lib/fog/aws/requests/elasticache/create_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/create_cache_security_group.rb", "lib/fog/aws/requests/elasticache/delete_cache_cluster.rb", "lib/fog/aws/requests/elasticache/delete_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/delete_cache_security_group.rb", "lib/fog/aws/requests/elasticache/describe_cache_clusters.rb", "lib/fog/aws/requests/elasticache/describe_cache_parameter_groups.rb", "lib/fog/aws/requests/elasticache/describe_cache_parameters.rb", "lib/fog/aws/requests/elasticache/describe_cache_security_groups.rb", "lib/fog/aws/requests/elasticache/describe_engine_default_parameters.rb", "lib/fog/aws/requests/elasticache/describe_events.rb", "lib/fog/aws/requests/elasticache/describe_reserved_cache_nodes.rb", "lib/fog/aws/requests/elasticache/modify_cache_cluster.rb", "lib/fog/aws/requests/elasticache/modify_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/reboot_cache_cluster.rb", "lib/fog/aws/requests/elasticache/reset_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/revoke_cache_security_group_ingress.rb", "lib/fog/aws/requests/elb/apply_security_groups_to_load_balancer.rb", "lib/fog/aws/requests/elb/attach_load_balancer_to_subnets.rb", "lib/fog/aws/requests/elb/configure_health_check.rb", "lib/fog/aws/requests/elb/create_app_cookie_stickiness_policy.rb", "lib/fog/aws/requests/elb/create_lb_cookie_stickiness_policy.rb", "lib/fog/aws/requests/elb/create_load_balancer.rb", "lib/fog/aws/requests/elb/create_load_balancer_listeners.rb", "lib/fog/aws/requests/elb/create_load_balancer_policy.rb", "lib/fog/aws/requests/elb/delete_load_balancer.rb", "lib/fog/aws/requests/elb/delete_load_balancer_listeners.rb", "lib/fog/aws/requests/elb/delete_load_balancer_policy.rb", "lib/fog/aws/requests/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/requests/elb/describe_instance_health.rb", "lib/fog/aws/requests/elb/describe_load_balancer_policies.rb", "lib/fog/aws/requests/elb/describe_load_balancer_policy_types.rb", "lib/fog/aws/requests/elb/describe_load_balancers.rb", "lib/fog/aws/requests/elb/detach_load_balancer_from_subnets.rb", "lib/fog/aws/requests/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/requests/elb/set_load_balancer_listener_ssl_certificate.rb", "lib/fog/aws/requests/elb/set_load_balancer_policies_of_listener.rb", "lib/fog/aws/requests/emr/add_instance_groups.rb", "lib/fog/aws/requests/emr/add_job_flow_steps.rb", "lib/fog/aws/requests/emr/describe_job_flows.rb", "lib/fog/aws/requests/emr/modify_instance_groups.rb", "lib/fog/aws/requests/emr/run_job_flow.rb", "lib/fog/aws/requests/emr/set_termination_protection.rb", "lib/fog/aws/requests/emr/terminate_job_flows.rb", "lib/fog/aws/requests/glacier/abort_multipart_upload.rb", "lib/fog/aws/requests/glacier/complete_multipart_upload.rb", "lib/fog/aws/requests/glacier/create_archive.rb", "lib/fog/aws/requests/glacier/create_vault.rb", "lib/fog/aws/requests/glacier/delete_archive.rb", "lib/fog/aws/requests/glacier/delete_vault.rb", "lib/fog/aws/requests/glacier/delete_vault_notification_configuration.rb", "lib/fog/aws/requests/glacier/describe_job.rb", "lib/fog/aws/requests/glacier/describe_vault.rb", "lib/fog/aws/requests/glacier/get_job_output.rb", "lib/fog/aws/requests/glacier/get_vault_notification_configuration.rb", "lib/fog/aws/requests/glacier/initiate_job.rb", "lib/fog/aws/requests/glacier/initiate_multipart_upload.rb", "lib/fog/aws/requests/glacier/list_jobs.rb", "lib/fog/aws/requests/glacier/list_multipart_uploads.rb", "lib/fog/aws/requests/glacier/list_parts.rb", "lib/fog/aws/requests/glacier/list_vaults.rb", "lib/fog/aws/requests/glacier/set_vault_notification_configuration.rb", "lib/fog/aws/requests/glacier/upload_part.rb", "lib/fog/aws/requests/iam/add_role_to_instance_profile.rb", "lib/fog/aws/requests/iam/add_user_to_group.rb", "lib/fog/aws/requests/iam/create_access_key.rb", "lib/fog/aws/requests/iam/create_account_alias.rb", "lib/fog/aws/requests/iam/create_group.rb", "lib/fog/aws/requests/iam/create_instance_profile.rb", "lib/fog/aws/requests/iam/create_login_profile.rb", "lib/fog/aws/requests/iam/create_role.rb", "lib/fog/aws/requests/iam/create_user.rb", "lib/fog/aws/requests/iam/delete_access_key.rb", "lib/fog/aws/requests/iam/delete_account_alias.rb", "lib/fog/aws/requests/iam/delete_group.rb", "lib/fog/aws/requests/iam/delete_group_policy.rb", "lib/fog/aws/requests/iam/delete_instance_profile.rb", "lib/fog/aws/requests/iam/delete_login_profile.rb", "lib/fog/aws/requests/iam/delete_role.rb", "lib/fog/aws/requests/iam/delete_role_policy.rb", "lib/fog/aws/requests/iam/delete_server_certificate.rb", "lib/fog/aws/requests/iam/delete_signing_certificate.rb", "lib/fog/aws/requests/iam/delete_user.rb", "lib/fog/aws/requests/iam/delete_user_policy.rb", "lib/fog/aws/requests/iam/get_group.rb", "lib/fog/aws/requests/iam/get_group_policy.rb", "lib/fog/aws/requests/iam/get_instance_profile.rb", "lib/fog/aws/requests/iam/get_login_profile.rb", "lib/fog/aws/requests/iam/get_role.rb", "lib/fog/aws/requests/iam/get_role_policy.rb", "lib/fog/aws/requests/iam/get_server_certificate.rb", "lib/fog/aws/requests/iam/get_user.rb", "lib/fog/aws/requests/iam/get_user_policy.rb", "lib/fog/aws/requests/iam/list_access_keys.rb", "lib/fog/aws/requests/iam/list_account_aliases.rb", "lib/fog/aws/requests/iam/list_group_policies.rb", "lib/fog/aws/requests/iam/list_groups.rb", "lib/fog/aws/requests/iam/list_groups_for_user.rb", "lib/fog/aws/requests/iam/list_instance_profiles.rb", "lib/fog/aws/requests/iam/list_instance_profiles_for_role.rb", "lib/fog/aws/requests/iam/list_role_policies.rb", "lib/fog/aws/requests/iam/list_roles.rb", "lib/fog/aws/requests/iam/list_server_certificates.rb", "lib/fog/aws/requests/iam/list_signing_certificates.rb", "lib/fog/aws/requests/iam/list_user_policies.rb", "lib/fog/aws/requests/iam/list_users.rb", "lib/fog/aws/requests/iam/put_group_policy.rb", "lib/fog/aws/requests/iam/put_role_policy.rb", "lib/fog/aws/requests/iam/put_user_policy.rb", "lib/fog/aws/requests/iam/remove_role_from_instance_profile.rb", "lib/fog/aws/requests/iam/remove_user_from_group.rb", "lib/fog/aws/requests/iam/update_access_key.rb", "lib/fog/aws/requests/iam/update_group.rb", "lib/fog/aws/requests/iam/update_login_profile.rb", "lib/fog/aws/requests/iam/update_server_certificate.rb", "lib/fog/aws/requests/iam/update_signing_certificate.rb", "lib/fog/aws/requests/iam/update_user.rb", "lib/fog/aws/requests/iam/upload_server_certificate.rb", "lib/fog/aws/requests/iam/upload_signing_certificate.rb", "lib/fog/aws/requests/rds/add_tags_to_resource.rb", "lib/fog/aws/requests/rds/authorize_db_security_group_ingress.rb", "lib/fog/aws/requests/rds/create_db_instance.rb", "lib/fog/aws/requests/rds/create_db_instance_read_replica.rb", "lib/fog/aws/requests/rds/create_db_parameter_group.rb", "lib/fog/aws/requests/rds/create_db_security_group.rb", "lib/fog/aws/requests/rds/create_db_snapshot.rb", "lib/fog/aws/requests/rds/create_db_subnet_group.rb", "lib/fog/aws/requests/rds/delete_db_instance.rb", "lib/fog/aws/requests/rds/delete_db_parameter_group.rb", "lib/fog/aws/requests/rds/delete_db_security_group.rb", "lib/fog/aws/requests/rds/delete_db_snapshot.rb", "lib/fog/aws/requests/rds/describe_db_engine_versions.rb", "lib/fog/aws/requests/rds/describe_db_instances.rb", "lib/fog/aws/requests/rds/describe_db_parameter_groups.rb", "lib/fog/aws/requests/rds/describe_db_parameters.rb", "lib/fog/aws/requests/rds/describe_db_reserved_instances.rb", "lib/fog/aws/requests/rds/describe_db_security_groups.rb", "lib/fog/aws/requests/rds/describe_db_snapshots.rb", "lib/fog/aws/requests/rds/describe_db_subnet_groups.rb", "lib/fog/aws/requests/rds/describe_events.rb", "lib/fog/aws/requests/rds/list_tags_for_resource.rb", "lib/fog/aws/requests/rds/modify_db_instance.rb", "lib/fog/aws/requests/rds/modify_db_parameter_group.rb", "lib/fog/aws/requests/rds/reboot_db_instance.rb", "lib/fog/aws/requests/rds/remove_tags_from_resource.rb", "lib/fog/aws/requests/rds/restore_db_instance_from_db_snapshot.rb", "lib/fog/aws/requests/rds/restore_db_instance_to_point_in_time.rb", "lib/fog/aws/requests/rds/revoke_db_security_group_ingress.rb", "lib/fog/aws/requests/ses/delete_verified_email_address.rb", "lib/fog/aws/requests/ses/get_send_quota.rb", "lib/fog/aws/requests/ses/get_send_statistics.rb", "lib/fog/aws/requests/ses/list_verified_email_addresses.rb", "lib/fog/aws/requests/ses/send_email.rb", "lib/fog/aws/requests/ses/send_raw_email.rb", "lib/fog/aws/requests/ses/verify_email_address.rb", "lib/fog/aws/requests/simpledb/batch_put_attributes.rb", "lib/fog/aws/requests/simpledb/create_domain.rb", "lib/fog/aws/requests/simpledb/delete_attributes.rb", "lib/fog/aws/requests/simpledb/delete_domain.rb", "lib/fog/aws/requests/simpledb/domain_metadata.rb", "lib/fog/aws/requests/simpledb/get_attributes.rb", "lib/fog/aws/requests/simpledb/list_domains.rb", "lib/fog/aws/requests/simpledb/put_attributes.rb", "lib/fog/aws/requests/simpledb/select.rb", "lib/fog/aws/requests/sns/add_permission.rb", "lib/fog/aws/requests/sns/confirm_subscription.rb", "lib/fog/aws/requests/sns/create_topic.rb", "lib/fog/aws/requests/sns/delete_topic.rb", "lib/fog/aws/requests/sns/get_topic_attributes.rb", "lib/fog/aws/requests/sns/list_subscriptions.rb", "lib/fog/aws/requests/sns/list_subscriptions_by_topic.rb", "lib/fog/aws/requests/sns/list_topics.rb", "lib/fog/aws/requests/sns/publish.rb", "lib/fog/aws/requests/sns/remove_permission.rb", "lib/fog/aws/requests/sns/set_topic_attributes.rb", "lib/fog/aws/requests/sns/subscribe.rb", "lib/fog/aws/requests/sns/unsubscribe.rb", "lib/fog/aws/requests/sqs/change_message_visibility.rb", "lib/fog/aws/requests/sqs/create_queue.rb", "lib/fog/aws/requests/sqs/delete_message.rb", "lib/fog/aws/requests/sqs/delete_queue.rb", "lib/fog/aws/requests/sqs/get_queue_attributes.rb", "lib/fog/aws/requests/sqs/list_queues.rb", "lib/fog/aws/requests/sqs/receive_message.rb", "lib/fog/aws/requests/sqs/send_message.rb", "lib/fog/aws/requests/sqs/set_queue_attributes.rb", "lib/fog/aws/requests/storage/abort_multipart_upload.rb", "lib/fog/aws/requests/storage/acl_utils.rb", "lib/fog/aws/requests/storage/complete_multipart_upload.rb", "lib/fog/aws/requests/storage/copy_object.rb", "lib/fog/aws/requests/storage/cors_utils.rb", "lib/fog/aws/requests/storage/delete_bucket.rb", "lib/fog/aws/requests/storage/delete_bucket_cors.rb", "lib/fog/aws/requests/storage/delete_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/delete_bucket_policy.rb", "lib/fog/aws/requests/storage/delete_bucket_website.rb", "lib/fog/aws/requests/storage/delete_multiple_objects.rb", "lib/fog/aws/requests/storage/delete_object.rb", "lib/fog/aws/requests/storage/get_bucket.rb", "lib/fog/aws/requests/storage/get_bucket_acl.rb", "lib/fog/aws/requests/storage/get_bucket_cors.rb", "lib/fog/aws/requests/storage/get_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/get_bucket_location.rb", "lib/fog/aws/requests/storage/get_bucket_logging.rb", "lib/fog/aws/requests/storage/get_bucket_object_versions.rb", "lib/fog/aws/requests/storage/get_bucket_policy.rb", "lib/fog/aws/requests/storage/get_bucket_versioning.rb", "lib/fog/aws/requests/storage/get_bucket_website.rb", "lib/fog/aws/requests/storage/get_object.rb", "lib/fog/aws/requests/storage/get_object_acl.rb", "lib/fog/aws/requests/storage/get_object_http_url.rb", "lib/fog/aws/requests/storage/get_object_https_url.rb", "lib/fog/aws/requests/storage/get_object_torrent.rb", "lib/fog/aws/requests/storage/get_object_url.rb", "lib/fog/aws/requests/storage/get_request_payment.rb", "lib/fog/aws/requests/storage/get_service.rb", "lib/fog/aws/requests/storage/head_object.rb", "lib/fog/aws/requests/storage/initiate_multipart_upload.rb", "lib/fog/aws/requests/storage/list_multipart_uploads.rb", "lib/fog/aws/requests/storage/list_parts.rb", "lib/fog/aws/requests/storage/post_object_hidden_fields.rb", "lib/fog/aws/requests/storage/post_object_restore.rb", "lib/fog/aws/requests/storage/put_bucket.rb", "lib/fog/aws/requests/storage/put_bucket_acl.rb", "lib/fog/aws/requests/storage/put_bucket_cors.rb", "lib/fog/aws/requests/storage/put_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/put_bucket_logging.rb", "lib/fog/aws/requests/storage/put_bucket_policy.rb", "lib/fog/aws/requests/storage/put_bucket_versioning.rb", "lib/fog/aws/requests/storage/put_bucket_website.rb", "lib/fog/aws/requests/storage/put_object.rb", "lib/fog/aws/requests/storage/put_object_acl.rb", "lib/fog/aws/requests/storage/put_object_url.rb", "lib/fog/aws/requests/storage/put_request_payment.rb", "lib/fog/aws/requests/storage/sync_clock.rb", "lib/fog/aws/requests/storage/upload_part.rb", "lib/fog/aws/requests/sts/get_federation_token.rb", "lib/fog/aws/requests/sts/get_session_token.rb", "lib/fog/aws/ses.rb", "lib/fog/aws/signaturev4.rb", "lib/fog/aws/simpledb.rb", "lib/fog/aws/sns.rb", "lib/fog/aws/sqs.rb", "lib/fog/aws/storage.rb", "lib/fog/aws/sts.rb", "lib/fog/bare_metal_cloud.rb", "lib/fog/bare_metal_cloud/compute.rb", "lib/fog/bare_metal_cloud/requests/compute/add_server.rb", "lib/fog/bare_metal_cloud/requests/compute/add_server_by_configuration.rb", "lib/fog/bare_metal_cloud/requests/compute/cancel_server.rb", "lib/fog/bare_metal_cloud/requests/compute/get_server.rb", "lib/fog/bare_metal_cloud/requests/compute/list_configurations.rb", "lib/fog/bare_metal_cloud/requests/compute/list_images.rb", "lib/fog/bare_metal_cloud/requests/compute/list_plans.rb", "lib/fog/bare_metal_cloud/requests/compute/list_servers.rb", "lib/fog/bare_metal_cloud/requests/compute/reboot_server.rb", "lib/fog/billing.rb", "lib/fog/bin.rb", "lib/fog/bin/atmos.rb", "lib/fog/bin/aws.rb", "lib/fog/bin/bare_metal_cloud.rb", "lib/fog/bin/bluebox.rb", "lib/fog/bin/brightbox.rb", "lib/fog/bin/clodo.rb", "lib/fog/bin/cloudsigma.rb", "lib/fog/bin/cloudstack.rb", "lib/fog/bin/digitalocean.rb", "lib/fog/bin/dnsimple.rb", "lib/fog/bin/dnsmadeeasy.rb", "lib/fog/bin/dreamhost.rb", "lib/fog/bin/dynect.rb", "lib/fog/bin/ecloud.rb", "lib/fog/bin/glesys.rb", "lib/fog/bin/go_grid.rb", "lib/fog/bin/google.rb", "lib/fog/bin/hp.rb", "lib/fog/bin/ibm.rb", "lib/fog/bin/internet_archive.rb", "lib/fog/bin/joyent.rb", "lib/fog/bin/libvirt.rb", "lib/fog/bin/linode.rb", "lib/fog/bin/local.rb", "lib/fog/bin/ninefold.rb", "lib/fog/bin/openstack.rb", "lib/fog/bin/openvz.rb", "lib/fog/bin/ovirt.rb", "lib/fog/bin/rackspace.rb", "lib/fog/bin/riakcs.rb", "lib/fog/bin/serverlove.rb", "lib/fog/bin/stormondemand.rb", "lib/fog/bin/terremark.rb", "lib/fog/bin/vcloud.rb", "lib/fog/bin/vmfusion.rb", "lib/fog/bin/voxel.rb", "lib/fog/bin/vsphere.rb", "lib/fog/bin/xenserver.rb", "lib/fog/bin/zerigo.rb", "lib/fog/bluebox.rb", "lib/fog/bluebox/blb.rb", "lib/fog/bluebox/compute.rb", "lib/fog/bluebox/dns.rb", "lib/fog/bluebox/models/blb/lb_application.rb", "lib/fog/bluebox/models/blb/lb_applications.rb", "lib/fog/bluebox/models/blb/lb_backend.rb", "lib/fog/bluebox/models/blb/lb_backends.rb", "lib/fog/bluebox/models/blb/lb_service.rb", "lib/fog/bluebox/models/blb/lb_services.rb", "lib/fog/bluebox/models/compute/flavor.rb", "lib/fog/bluebox/models/compute/flavors.rb", "lib/fog/bluebox/models/compute/image.rb", "lib/fog/bluebox/models/compute/images.rb", "lib/fog/bluebox/models/compute/location.rb", "lib/fog/bluebox/models/compute/locations.rb", "lib/fog/bluebox/models/compute/server.rb", "lib/fog/bluebox/models/compute/servers.rb", "lib/fog/bluebox/models/dns/record.rb", "lib/fog/bluebox/models/dns/records.rb", "lib/fog/bluebox/models/dns/zone.rb", "lib/fog/bluebox/models/dns/zones.rb", "lib/fog/bluebox/parsers/dns/create_record.rb", "lib/fog/bluebox/parsers/dns/create_zone.rb", "lib/fog/bluebox/parsers/dns/get_record.rb", "lib/fog/bluebox/parsers/dns/get_records.rb", "lib/fog/bluebox/parsers/dns/get_zone.rb", "lib/fog/bluebox/parsers/dns/get_zones.rb", "lib/fog/bluebox/requests/blb/add_machine_to_lb_application.rb", "lib/fog/bluebox/requests/blb/add_machine_to_lb_backend.rb", "lib/fog/bluebox/requests/blb/get_lb_application.rb", "lib/fog/bluebox/requests/blb/get_lb_applications.rb", "lib/fog/bluebox/requests/blb/get_lb_backend.rb", "lib/fog/bluebox/requests/blb/get_lb_backends.rb", "lib/fog/bluebox/requests/blb/get_lb_machine.rb", "lib/fog/bluebox/requests/blb/get_lb_machines.rb", "lib/fog/bluebox/requests/blb/get_lb_service.rb", "lib/fog/bluebox/requests/blb/get_lb_services.rb", "lib/fog/bluebox/requests/blb/remove_machine_from_lb_backend.rb", "lib/fog/bluebox/requests/blb/update_lb_backend_machine.rb", "lib/fog/bluebox/requests/compute/create_block.rb", "lib/fog/bluebox/requests/compute/create_template.rb", "lib/fog/bluebox/requests/compute/destroy_block.rb", "lib/fog/bluebox/requests/compute/destroy_template.rb", "lib/fog/bluebox/requests/compute/get_block.rb", "lib/fog/bluebox/requests/compute/get_blocks.rb", "lib/fog/bluebox/requests/compute/get_location.rb", "lib/fog/bluebox/requests/compute/get_locations.rb", "lib/fog/bluebox/requests/compute/get_product.rb", "lib/fog/bluebox/requests/compute/get_products.rb", "lib/fog/bluebox/requests/compute/get_template.rb", "lib/fog/bluebox/requests/compute/get_templates.rb", "lib/fog/bluebox/requests/compute/reboot_block.rb", "lib/fog/bluebox/requests/dns/create_record.rb", "lib/fog/bluebox/requests/dns/create_zone.rb", "lib/fog/bluebox/requests/dns/delete_record.rb", "lib/fog/bluebox/requests/dns/delete_zone.rb", "lib/fog/bluebox/requests/dns/get_record.rb", "lib/fog/bluebox/requests/dns/get_records.rb", "lib/fog/bluebox/requests/dns/get_zone.rb", "lib/fog/bluebox/requests/dns/get_zones.rb", "lib/fog/bluebox/requests/dns/update_record.rb", "lib/fog/bluebox/requests/dns/update_zone.rb", "lib/fog/brightbox.rb", "lib/fog/brightbox/compute.rb", "lib/fog/brightbox/compute/image_selector.rb", "lib/fog/brightbox/models/compute/account.rb", "lib/fog/brightbox/models/compute/accounts.rb", "lib/fog/brightbox/models/compute/api_client.rb", "lib/fog/brightbox/models/compute/api_clients.rb", "lib/fog/brightbox/models/compute/application.rb", "lib/fog/brightbox/models/compute/applications.rb", "lib/fog/brightbox/models/compute/cloud_ip.rb", "lib/fog/brightbox/models/compute/cloud_ips.rb", "lib/fog/brightbox/models/compute/firewall_policies.rb", "lib/fog/brightbox/models/compute/firewall_policy.rb", "lib/fog/brightbox/models/compute/firewall_rule.rb", "lib/fog/brightbox/models/compute/firewall_rules.rb", "lib/fog/brightbox/models/compute/flavor.rb", "lib/fog/brightbox/models/compute/flavors.rb", "lib/fog/brightbox/models/compute/image.rb", "lib/fog/brightbox/models/compute/images.rb", "lib/fog/brightbox/models/compute/load_balancer.rb", "lib/fog/brightbox/models/compute/load_balancers.rb", "lib/fog/brightbox/models/compute/server.rb", "lib/fog/brightbox/models/compute/server_group.rb", "lib/fog/brightbox/models/compute/server_groups.rb", "lib/fog/brightbox/models/compute/servers.rb", "lib/fog/brightbox/models/compute/user.rb", "lib/fog/brightbox/models/compute/users.rb", "lib/fog/brightbox/models/compute/zone.rb", "lib/fog/brightbox/models/compute/zones.rb", "lib/fog/brightbox/oauth2.rb", "lib/fog/brightbox/requests/compute/activate_console_server.rb", "lib/fog/brightbox/requests/compute/add_listeners_load_balancer.rb", "lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/add_servers_server_group.rb", "lib/fog/brightbox/requests/compute/apply_to_firewall_policy.rb", "lib/fog/brightbox/requests/compute/create_api_client.rb", "lib/fog/brightbox/requests/compute/create_application.rb", "lib/fog/brightbox/requests/compute/create_cloud_ip.rb", "lib/fog/brightbox/requests/compute/create_firewall_policy.rb", "lib/fog/brightbox/requests/compute/create_firewall_rule.rb", "lib/fog/brightbox/requests/compute/create_image.rb", "lib/fog/brightbox/requests/compute/create_load_balancer.rb", "lib/fog/brightbox/requests/compute/create_server.rb", "lib/fog/brightbox/requests/compute/create_server_group.rb", "lib/fog/brightbox/requests/compute/delete_api_client.rb", "lib/fog/brightbox/requests/compute/delete_application.rb", "lib/fog/brightbox/requests/compute/delete_cloud_ip.rb", "lib/fog/brightbox/requests/compute/delete_firewall_policy.rb", "lib/fog/brightbox/requests/compute/delete_firewall_rule.rb", "lib/fog/brightbox/requests/compute/delete_image.rb", "lib/fog/brightbox/requests/compute/delete_load_balancer.rb", "lib/fog/brightbox/requests/compute/delete_server.rb", "lib/fog/brightbox/requests/compute/delete_server_group.rb", "lib/fog/brightbox/requests/compute/get_account.rb", "lib/fog/brightbox/requests/compute/get_api_client.rb", "lib/fog/brightbox/requests/compute/get_application.rb", "lib/fog/brightbox/requests/compute/get_authenticated_user.rb", "lib/fog/brightbox/requests/compute/get_cloud_ip.rb", "lib/fog/brightbox/requests/compute/get_firewall_policy.rb", "lib/fog/brightbox/requests/compute/get_firewall_rule.rb", "lib/fog/brightbox/requests/compute/get_image.rb", "lib/fog/brightbox/requests/compute/get_interface.rb", "lib/fog/brightbox/requests/compute/get_load_balancer.rb", "lib/fog/brightbox/requests/compute/get_scoped_account.rb", "lib/fog/brightbox/requests/compute/get_server.rb", "lib/fog/brightbox/requests/compute/get_server_group.rb", "lib/fog/brightbox/requests/compute/get_server_type.rb", "lib/fog/brightbox/requests/compute/get_user.rb", "lib/fog/brightbox/requests/compute/get_zone.rb", "lib/fog/brightbox/requests/compute/list_accounts.rb", "lib/fog/brightbox/requests/compute/list_api_clients.rb", "lib/fog/brightbox/requests/compute/list_applications.rb", "lib/fog/brightbox/requests/compute/list_cloud_ips.rb", "lib/fog/brightbox/requests/compute/list_firewall_policies.rb", "lib/fog/brightbox/requests/compute/list_images.rb", "lib/fog/brightbox/requests/compute/list_load_balancers.rb", "lib/fog/brightbox/requests/compute/list_server_groups.rb", "lib/fog/brightbox/requests/compute/list_server_types.rb", "lib/fog/brightbox/requests/compute/list_servers.rb", "lib/fog/brightbox/requests/compute/list_users.rb", "lib/fog/brightbox/requests/compute/list_zones.rb", "lib/fog/brightbox/requests/compute/map_cloud_ip.rb", "lib/fog/brightbox/requests/compute/move_servers_server_group.rb", "lib/fog/brightbox/requests/compute/remove_firewall_policy.rb", "lib/fog/brightbox/requests/compute/remove_listeners_load_balancer.rb", "lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/remove_servers_server_group.rb", "lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb", "lib/fog/brightbox/requests/compute/reset_ftp_password_scoped_account.rb", "lib/fog/brightbox/requests/compute/reset_secret_api_client.rb", "lib/fog/brightbox/requests/compute/reset_secret_application.rb", "lib/fog/brightbox/requests/compute/shutdown_server.rb", "lib/fog/brightbox/requests/compute/snapshot_server.rb", "lib/fog/brightbox/requests/compute/start_server.rb", "lib/fog/brightbox/requests/compute/stop_server.rb", "lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb", "lib/fog/brightbox/requests/compute/update_account.rb", "lib/fog/brightbox/requests/compute/update_api_client.rb", "lib/fog/brightbox/requests/compute/update_application.rb", "lib/fog/brightbox/requests/compute/update_cloud_ip.rb", "lib/fog/brightbox/requests/compute/update_firewall_policy.rb", "lib/fog/brightbox/requests/compute/update_firewall_rule.rb", "lib/fog/brightbox/requests/compute/update_image.rb", "lib/fog/brightbox/requests/compute/update_load_balancer.rb", "lib/fog/brightbox/requests/compute/update_scoped_account.rb", "lib/fog/brightbox/requests/compute/update_server.rb", "lib/fog/brightbox/requests/compute/update_server_group.rb", "lib/fog/brightbox/requests/compute/update_user.rb", "lib/fog/cdn.rb", "lib/fog/clodo.rb", "lib/fog/clodo/compute.rb", "lib/fog/clodo/models/compute/image.rb", "lib/fog/clodo/models/compute/images.rb", "lib/fog/clodo/models/compute/server.rb", "lib/fog/clodo/models/compute/servers.rb", "lib/fog/clodo/requests/compute/add_ip_address.rb", "lib/fog/clodo/requests/compute/create_server.rb", "lib/fog/clodo/requests/compute/delete_ip_address.rb", "lib/fog/clodo/requests/compute/delete_server.rb", "lib/fog/clodo/requests/compute/get_image_details.rb", "lib/fog/clodo/requests/compute/get_server_details.rb", "lib/fog/clodo/requests/compute/list_images.rb", "lib/fog/clodo/requests/compute/list_images_detail.rb", "lib/fog/clodo/requests/compute/list_servers.rb", "lib/fog/clodo/requests/compute/list_servers_detail.rb", "lib/fog/clodo/requests/compute/move_ip_address.rb", "lib/fog/clodo/requests/compute/reboot_server.rb", "lib/fog/clodo/requests/compute/rebuild_server.rb", "lib/fog/clodo/requests/compute/server_action.rb", "lib/fog/clodo/requests/compute/start_server.rb", "lib/fog/clodo/requests/compute/stop_server.rb", "lib/fog/cloudsigma.rb", "lib/fog/cloudsigma/compute.rb", "lib/fog/cloudsigma/connection.rb", "lib/fog/cloudsigma/error.rb", "lib/fog/cloudsigma/mock_data.rb", "lib/fog/cloudsigma/models/balance.rb", "lib/fog/cloudsigma/models/current_usage.rb", "lib/fog/cloudsigma/models/ip.rb", "lib/fog/cloudsigma/models/ipconf.rb", "lib/fog/cloudsigma/models/ips.rb", "lib/fog/cloudsigma/models/lib_volume.rb", "lib/fog/cloudsigma/models/lib_volumes.rb", "lib/fog/cloudsigma/models/mountpoint.rb", "lib/fog/cloudsigma/models/nic.rb", "lib/fog/cloudsigma/models/obj_ref.rb", "lib/fog/cloudsigma/models/price_calculation.rb", "lib/fog/cloudsigma/models/price_record.rb", "lib/fog/cloudsigma/models/pricing.rb", "lib/fog/cloudsigma/models/profile.rb", "lib/fog/cloudsigma/models/server.rb", "lib/fog/cloudsigma/models/servers.rb", "lib/fog/cloudsigma/models/subscription.rb", "lib/fog/cloudsigma/models/subscriptions.rb", "lib/fog/cloudsigma/models/usage_record.rb", "lib/fog/cloudsigma/models/vlan.rb", "lib/fog/cloudsigma/models/vlans.rb", "lib/fog/cloudsigma/models/volume.rb", "lib/fog/cloudsigma/models/volumes.rb", "lib/fog/cloudsigma/nested_model.rb", "lib/fog/cloudsigma/requests/calculate_subscription_price.rb", "lib/fog/cloudsigma/requests/clone_libvolume.rb", "lib/fog/cloudsigma/requests/clone_server.rb", "lib/fog/cloudsigma/requests/clone_volume.rb", "lib/fog/cloudsigma/requests/close_vnc.rb", "lib/fog/cloudsigma/requests/create_server.rb", "lib/fog/cloudsigma/requests/create_subscription.rb", "lib/fog/cloudsigma/requests/create_volume.rb", "lib/fog/cloudsigma/requests/delete_server.rb", "lib/fog/cloudsigma/requests/delete_volume.rb", "lib/fog/cloudsigma/requests/extend_subscription.rb", "lib/fog/cloudsigma/requests/get_balance.rb", "lib/fog/cloudsigma/requests/get_current_usage.rb", "lib/fog/cloudsigma/requests/get_ip.rb", "lib/fog/cloudsigma/requests/get_lib_volume.rb", "lib/fog/cloudsigma/requests/get_pricing.rb", "lib/fog/cloudsigma/requests/get_profile.rb", "lib/fog/cloudsigma/requests/get_server.rb", "lib/fog/cloudsigma/requests/get_subscription.rb", "lib/fog/cloudsigma/requests/get_vlan.rb", "lib/fog/cloudsigma/requests/get_volume.rb", "lib/fog/cloudsigma/requests/list_ips.rb", "lib/fog/cloudsigma/requests/list_lib_volumes.rb", "lib/fog/cloudsigma/requests/list_servers.rb", "lib/fog/cloudsigma/requests/list_subscriptions.rb", "lib/fog/cloudsigma/requests/list_vlans.rb", "lib/fog/cloudsigma/requests/list_volumes.rb", "lib/fog/cloudsigma/requests/open_vnc.rb", "lib/fog/cloudsigma/requests/start_server.rb", "lib/fog/cloudsigma/requests/stop_server.rb", "lib/fog/cloudsigma/requests/update_profile.rb", "lib/fog/cloudsigma/requests/update_server.rb", "lib/fog/cloudsigma/requests/update_vlan.rb", "lib/fog/cloudsigma/requests/update_volume.rb", "lib/fog/cloudstack.rb", "lib/fog/cloudstack/compute.rb", "lib/fog/cloudstack/models/compute/address.rb", "lib/fog/cloudstack/models/compute/disk_offering.rb", "lib/fog/cloudstack/models/compute/disk_offerings.rb", "lib/fog/cloudstack/models/compute/flavor.rb", "lib/fog/cloudstack/models/compute/flavors.rb", "lib/fog/cloudstack/models/compute/image.rb", "lib/fog/cloudstack/models/compute/images.rb", "lib/fog/cloudstack/models/compute/job.rb", "lib/fog/cloudstack/models/compute/jobs.rb", "lib/fog/cloudstack/models/compute/security_group.rb", "lib/fog/cloudstack/models/compute/security_group_rule.rb", "lib/fog/cloudstack/models/compute/security_group_rules.rb", "lib/fog/cloudstack/models/compute/security_groups.rb", "lib/fog/cloudstack/models/compute/server.rb", "lib/fog/cloudstack/models/compute/servers.rb", "lib/fog/cloudstack/models/compute/snapshot.rb", "lib/fog/cloudstack/models/compute/snapshots.rb", "lib/fog/cloudstack/models/compute/volume.rb", "lib/fog/cloudstack/models/compute/volumes.rb", "lib/fog/cloudstack/models/compute/zone.rb", "lib/fog/cloudstack/models/compute/zones.rb", "lib/fog/cloudstack/requests/compute/acquire_ip_address.rb", "lib/fog/cloudstack/requests/compute/assign_to_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/assign_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/attach_volume.rb", "lib/fog/cloudstack/requests/compute/authorize_security_group_egress.rb", "lib/fog/cloudstack/requests/compute/authorize_security_group_ingress.rb", "lib/fog/cloudstack/requests/compute/change_service_for_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/create_account.rb", "lib/fog/cloudstack/requests/compute/create_disk_offering.rb", "lib/fog/cloudstack/requests/compute/create_domain.rb", "lib/fog/cloudstack/requests/compute/create_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/create_network.rb", "lib/fog/cloudstack/requests/compute/create_port_forwarding_rule.rb", "lib/fog/cloudstack/requests/compute/create_security_group.rb", "lib/fog/cloudstack/requests/compute/create_snapshot.rb", "lib/fog/cloudstack/requests/compute/create_snapshot_policy.rb", "lib/fog/cloudstack/requests/compute/create_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/create_user.rb", "lib/fog/cloudstack/requests/compute/create_volume.rb", "lib/fog/cloudstack/requests/compute/create_zone.rb", "lib/fog/cloudstack/requests/compute/delete_account.rb", "lib/fog/cloudstack/requests/compute/delete_disk_offering.rb", "lib/fog/cloudstack/requests/compute/delete_domain.rb", "lib/fog/cloudstack/requests/compute/delete_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/delete_port_forwarding_rule.rb", "lib/fog/cloudstack/requests/compute/delete_security_group.rb", "lib/fog/cloudstack/requests/compute/delete_snapshot.rb", "lib/fog/cloudstack/requests/compute/delete_snapshot_policies.rb", "lib/fog/cloudstack/requests/compute/delete_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/delete_template.rb", "lib/fog/cloudstack/requests/compute/delete_user.rb", "lib/fog/cloudstack/requests/compute/delete_volume.rb", "lib/fog/cloudstack/requests/compute/deploy_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/destroy_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/detach_volume.rb", "lib/fog/cloudstack/requests/compute/disable_account.rb", "lib/fog/cloudstack/requests/compute/disable_user.rb", "lib/fog/cloudstack/requests/compute/enable_account.rb", "lib/fog/cloudstack/requests/compute/enable_user.rb", "lib/fog/cloudstack/requests/compute/generate_usage_records.rb", "lib/fog/cloudstack/requests/compute/get_vm_password.rb", "lib/fog/cloudstack/requests/compute/list_accounts.rb", "lib/fog/cloudstack/requests/compute/list_alerts.rb", "lib/fog/cloudstack/requests/compute/list_async_jobs.rb", "lib/fog/cloudstack/requests/compute/list_capabilities.rb", "lib/fog/cloudstack/requests/compute/list_capacity.rb", "lib/fog/cloudstack/requests/compute/list_clusters.rb", "lib/fog/cloudstack/requests/compute/list_configurations.rb", "lib/fog/cloudstack/requests/compute/list_disk_offerings.rb", "lib/fog/cloudstack/requests/compute/list_domain_children.rb", "lib/fog/cloudstack/requests/compute/list_domains.rb", "lib/fog/cloudstack/requests/compute/list_events.rb", "lib/fog/cloudstack/requests/compute/list_external_firewalls.rb", "lib/fog/cloudstack/requests/compute/list_external_load_balancers.rb", "lib/fog/cloudstack/requests/compute/list_firewall_rules.rb", "lib/fog/cloudstack/requests/compute/list_hosts.rb", "lib/fog/cloudstack/requests/compute/list_hypervisors.rb", "lib/fog/cloudstack/requests/compute/list_instance_groups.rb", "lib/fog/cloudstack/requests/compute/list_isos.rb", "lib/fog/cloudstack/requests/compute/list_load_balancer_rule_instances.rb", "lib/fog/cloudstack/requests/compute/list_load_balancer_rules.rb", "lib/fog/cloudstack/requests/compute/list_network_offerings.rb", "lib/fog/cloudstack/requests/compute/list_networks.rb", "lib/fog/cloudstack/requests/compute/list_os_categories.rb", "lib/fog/cloudstack/requests/compute/list_os_types.rb", "lib/fog/cloudstack/requests/compute/list_pods.rb", "lib/fog/cloudstack/requests/compute/list_port_forwarding_rules.rb", "lib/fog/cloudstack/requests/compute/list_public_ip_addresses.rb", "lib/fog/cloudstack/requests/compute/list_resource_limits.rb", "lib/fog/cloudstack/requests/compute/list_security_groups.rb", "lib/fog/cloudstack/requests/compute/list_service_offerings.rb", "lib/fog/cloudstack/requests/compute/list_snapshot_policies.rb", "lib/fog/cloudstack/requests/compute/list_snapshots.rb", "lib/fog/cloudstack/requests/compute/list_ssh_key_pairs.rb", "lib/fog/cloudstack/requests/compute/list_storage_pools.rb", "lib/fog/cloudstack/requests/compute/list_templates.rb", "lib/fog/cloudstack/requests/compute/list_usage_records.rb", "lib/fog/cloudstack/requests/compute/list_users.rb", "lib/fog/cloudstack/requests/compute/list_virtual_machines.rb", "lib/fog/cloudstack/requests/compute/list_volumes.rb", "lib/fog/cloudstack/requests/compute/list_zones.rb", "lib/fog/cloudstack/requests/compute/migrate_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/query_async_job_result.rb", "lib/fog/cloudstack/requests/compute/reboot_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/recover_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/register_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/register_template.rb", "lib/fog/cloudstack/requests/compute/register_user_keys.rb", "lib/fog/cloudstack/requests/compute/remove_from_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/reset_password_for_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/revoke_security_group_egress.rb", "lib/fog/cloudstack/requests/compute/revoke_security_group_ingress.rb", "lib/fog/cloudstack/requests/compute/start_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/stop_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/update_account.rb", "lib/fog/cloudstack/requests/compute/update_domain.rb", "lib/fog/cloudstack/requests/compute/update_resource_count.rb", "lib/fog/cloudstack/requests/compute/update_user.rb", "lib/fog/cloudstack/requests/compute/update_virtual_machine.rb", "lib/fog/compute.rb", "lib/fog/compute/models/server.rb", "lib/fog/core.rb", "lib/fog/core/attributes.rb", "lib/fog/core/collection.rb", "lib/fog/core/connection.rb", "lib/fog/core/credentials.rb", "lib/fog/core/current_machine.rb", "lib/fog/core/deprecated_connection_accessors.rb", "lib/fog/core/deprecation.rb", "lib/fog/core/errors.rb", "lib/fog/core/hmac.rb", "lib/fog/core/json.rb", "lib/fog/core/logger.rb", "lib/fog/core/mock.rb", "lib/fog/core/model.rb", "lib/fog/core/parser.rb", "lib/fog/core/provider.rb", "lib/fog/core/scp.rb", "lib/fog/core/service.rb", "lib/fog/core/ssh.rb", "lib/fog/core/time.rb", "lib/fog/core/timeout.rb", "lib/fog/core/wait_for.rb", "lib/fog/digitalocean.rb", "lib/fog/digitalocean/CHANGELOG.md", "lib/fog/digitalocean/compute.rb", "lib/fog/digitalocean/examples/getting_started.md", "lib/fog/digitalocean/models/compute/flavor.rb", "lib/fog/digitalocean/models/compute/flavors.rb", "lib/fog/digitalocean/models/compute/image.rb", "lib/fog/digitalocean/models/compute/images.rb", "lib/fog/digitalocean/models/compute/region.rb", "lib/fog/digitalocean/models/compute/regions.rb", "lib/fog/digitalocean/models/compute/server.rb", "lib/fog/digitalocean/models/compute/servers.rb", "lib/fog/digitalocean/models/compute/ssh_key.rb", "lib/fog/digitalocean/models/compute/ssh_keys.rb", "lib/fog/digitalocean/requests/compute/create_server.rb", "lib/fog/digitalocean/requests/compute/create_ssh_key.rb", "lib/fog/digitalocean/requests/compute/destroy_server.rb", "lib/fog/digitalocean/requests/compute/destroy_ssh_key.rb", "lib/fog/digitalocean/requests/compute/get_server_details.rb", "lib/fog/digitalocean/requests/compute/get_ssh_key.rb", "lib/fog/digitalocean/requests/compute/list_flavors.rb", "lib/fog/digitalocean/requests/compute/list_images.rb", "lib/fog/digitalocean/requests/compute/list_regions.rb", "lib/fog/digitalocean/requests/compute/list_servers.rb", "lib/fog/digitalocean/requests/compute/list_ssh_keys.rb", "lib/fog/digitalocean/requests/compute/power_cycle_server.rb", "lib/fog/digitalocean/requests/compute/power_off_server.rb", "lib/fog/digitalocean/requests/compute/power_on_server.rb", "lib/fog/digitalocean/requests/compute/reboot_server.rb", "lib/fog/digitalocean/requests/compute/shutdown_server.rb", "lib/fog/dns.rb", "lib/fog/dnsimple.rb", "lib/fog/dnsimple/dns.rb", "lib/fog/dnsimple/models/dns/record.rb", "lib/fog/dnsimple/models/dns/records.rb", "lib/fog/dnsimple/models/dns/zone.rb", "lib/fog/dnsimple/models/dns/zones.rb", "lib/fog/dnsimple/requests/dns/create_domain.rb", "lib/fog/dnsimple/requests/dns/create_record.rb", "lib/fog/dnsimple/requests/dns/delete_domain.rb", "lib/fog/dnsimple/requests/dns/delete_record.rb", "lib/fog/dnsimple/requests/dns/get_domain.rb", "lib/fog/dnsimple/requests/dns/get_record.rb", "lib/fog/dnsimple/requests/dns/list_domains.rb", "lib/fog/dnsimple/requests/dns/list_records.rb", "lib/fog/dnsimple/requests/dns/update_record.rb", "lib/fog/dnsmadeeasy.rb", "lib/fog/dnsmadeeasy/dns.rb", "lib/fog/dnsmadeeasy/models/dns/record.rb", "lib/fog/dnsmadeeasy/models/dns/records.rb", "lib/fog/dnsmadeeasy/models/dns/zone.rb", "lib/fog/dnsmadeeasy/models/dns/zones.rb", "lib/fog/dnsmadeeasy/requests/dns/create_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/create_record.rb", "lib/fog/dnsmadeeasy/requests/dns/create_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_all_domains.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_all_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_record.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/get_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/get_record.rb", "lib/fog/dnsmadeeasy/requests/dns/get_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/list_domains.rb", "lib/fog/dnsmadeeasy/requests/dns/list_records.rb", "lib/fog/dnsmadeeasy/requests/dns/list_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/update_record.rb", "lib/fog/dnsmadeeasy/requests/dns/update_secondary.rb", "lib/fog/dreamhost.rb", "lib/fog/dreamhost/CHANGELOG.md", "lib/fog/dreamhost/dns.rb", "lib/fog/dreamhost/examples/dns/getting_started.md", "lib/fog/dreamhost/models/dns/record.rb", "lib/fog/dreamhost/models/dns/records.rb", "lib/fog/dreamhost/models/dns/zone.rb", "lib/fog/dreamhost/models/dns/zones.rb", "lib/fog/dreamhost/requests/dns/create_record.rb", "lib/fog/dreamhost/requests/dns/delete_record.rb", "lib/fog/dreamhost/requests/dns/list_records.rb", "lib/fog/dynect.rb", "lib/fog/dynect/dns.rb", "lib/fog/dynect/models/dns/record.rb", "lib/fog/dynect/models/dns/records.rb", "lib/fog/dynect/models/dns/zone.rb", "lib/fog/dynect/models/dns/zones.rb", "lib/fog/dynect/requests/dns/delete_record.rb", "lib/fog/dynect/requests/dns/delete_zone.rb", "lib/fog/dynect/requests/dns/get_node_list.rb", "lib/fog/dynect/requests/dns/get_record.rb", "lib/fog/dynect/requests/dns/get_zone.rb", "lib/fog/dynect/requests/dns/post_record.rb", "lib/fog/dynect/requests/dns/post_session.rb", "lib/fog/dynect/requests/dns/post_zone.rb", "lib/fog/dynect/requests/dns/put_zone.rb", "lib/fog/ecloud.rb", "lib/fog/ecloud/collection.rb", "lib/fog/ecloud/compute.rb", "lib/fog/ecloud/generate_collection.rb", "lib/fog/ecloud/ipaddr.rb", "lib/fog/ecloud/mock_data_classes.rb", "lib/fog/ecloud/model.rb", "lib/fog/ecloud/models/compute/admin_organization.rb", "lib/fog/ecloud/models/compute/admin_organizations.rb", "lib/fog/ecloud/models/compute/api_key.rb", "lib/fog/ecloud/models/compute/api_keys.rb", "lib/fog/ecloud/models/compute/association.rb", "lib/fog/ecloud/models/compute/associations.rb", "lib/fog/ecloud/models/compute/authentication_level.rb", "lib/fog/ecloud/models/compute/authentication_levels.rb", "lib/fog/ecloud/models/compute/backup_internet_service.rb", "lib/fog/ecloud/models/compute/backup_internet_services.rb", "lib/fog/ecloud/models/compute/catalog.rb", "lib/fog/ecloud/models/compute/catalog_configuration.rb", "lib/fog/ecloud/models/compute/catalog_configurations.rb", "lib/fog/ecloud/models/compute/catalog_item.rb", "lib/fog/ecloud/models/compute/compute_pool.rb", "lib/fog/ecloud/models/compute/compute_pools.rb", "lib/fog/ecloud/models/compute/cpu_usage_detail.rb", "lib/fog/ecloud/models/compute/cpu_usage_detail_summary.rb", "lib/fog/ecloud/models/compute/detached_disk.rb", "lib/fog/ecloud/models/compute/detached_disks.rb", "lib/fog/ecloud/models/compute/environment.rb", "lib/fog/ecloud/models/compute/environments.rb", "lib/fog/ecloud/models/compute/firewall_acl.rb", "lib/fog/ecloud/models/compute/firewall_acls.rb", "lib/fog/ecloud/models/compute/group.rb", "lib/fog/ecloud/models/compute/groups.rb", "lib/fog/ecloud/models/compute/guest_process.rb", "lib/fog/ecloud/models/compute/guest_processes.rb", "lib/fog/ecloud/models/compute/hardware_configuration.rb", "lib/fog/ecloud/models/compute/hardware_configurations.rb", "lib/fog/ecloud/models/compute/internet_service.rb", "lib/fog/ecloud/models/compute/internet_services.rb", "lib/fog/ecloud/models/compute/ip_address.rb", "lib/fog/ecloud/models/compute/ip_addresses.rb", "lib/fog/ecloud/models/compute/layout.rb", "lib/fog/ecloud/models/compute/layouts.rb", "lib/fog/ecloud/models/compute/location.rb", "lib/fog/ecloud/models/compute/locations.rb", "lib/fog/ecloud/models/compute/login_banner.rb", "lib/fog/ecloud/models/compute/login_banners.rb", "lib/fog/ecloud/models/compute/memory_usage_detail.rb", "lib/fog/ecloud/models/compute/memory_usage_detail_summary.rb", "lib/fog/ecloud/models/compute/monitor.rb", "lib/fog/ecloud/models/compute/monitors.rb", "lib/fog/ecloud/models/compute/network.rb", "lib/fog/ecloud/models/compute/networks.rb", "lib/fog/ecloud/models/compute/node.rb", "lib/fog/ecloud/models/compute/nodes.rb", "lib/fog/ecloud/models/compute/operating_system.rb", "lib/fog/ecloud/models/compute/operating_system_families.rb", "lib/fog/ecloud/models/compute/operating_system_family.rb", "lib/fog/ecloud/models/compute/operating_systems.rb", "lib/fog/ecloud/models/compute/organization.rb", "lib/fog/ecloud/models/compute/organizations.rb", "lib/fog/ecloud/models/compute/password_complexity_rule.rb", "lib/fog/ecloud/models/compute/password_complexity_rules.rb", "lib/fog/ecloud/models/compute/physical_device.rb", "lib/fog/ecloud/models/compute/physical_devices.rb", "lib/fog/ecloud/models/compute/public_ip.rb", "lib/fog/ecloud/models/compute/public_ips.rb", "lib/fog/ecloud/models/compute/rnat.rb", "lib/fog/ecloud/models/compute/rnats.rb", "lib/fog/ecloud/models/compute/role.rb", "lib/fog/ecloud/models/compute/roles.rb", "lib/fog/ecloud/models/compute/row.rb", "lib/fog/ecloud/models/compute/rows.rb", "lib/fog/ecloud/models/compute/server.rb", "lib/fog/ecloud/models/compute/server_configuration_option.rb", "lib/fog/ecloud/models/compute/server_configuration_options.rb", "lib/fog/ecloud/models/compute/servers.rb", "lib/fog/ecloud/models/compute/ssh_key.rb", "lib/fog/ecloud/models/compute/ssh_keys.rb", "lib/fog/ecloud/models/compute/storage_usage_detail.rb", "lib/fog/ecloud/models/compute/storage_usage_detail_summary.rb", "lib/fog/ecloud/models/compute/support_ticket.rb", "lib/fog/ecloud/models/compute/support_tickets.rb", "lib/fog/ecloud/models/compute/tag.rb", "lib/fog/ecloud/models/compute/tags.rb", "lib/fog/ecloud/models/compute/task.rb", "lib/fog/ecloud/models/compute/tasks.rb", "lib/fog/ecloud/models/compute/template.rb", "lib/fog/ecloud/models/compute/templates.rb", "lib/fog/ecloud/models/compute/trusted_network_group.rb", "lib/fog/ecloud/models/compute/trusted_network_groups.rb", "lib/fog/ecloud/models/compute/user.rb", "lib/fog/ecloud/models/compute/users.rb", "lib/fog/ecloud/models/compute/virtual_machine_assigned_ip.rb", "lib/fog/ecloud/models/compute/virtual_machine_assigned_ips.rb", "lib/fog/ecloud/requests/compute/admin_disable_support_access.rb", "lib/fog/ecloud/requests/compute/admin_edit_authentication_levels.rb", "lib/fog/ecloud/requests/compute/admin_edit_login_banner.rb", "lib/fog/ecloud/requests/compute/admin_edit_password_complexity_rules.rb", "lib/fog/ecloud/requests/compute/admin_enable_support_access.rb", "lib/fog/ecloud/requests/compute/backup_internet_service_create.rb", "lib/fog/ecloud/requests/compute/backup_internet_service_delete.rb", "lib/fog/ecloud/requests/compute/backup_internet_service_edit.rb", "lib/fog/ecloud/requests/compute/compute_pool_edit.rb", "lib/fog/ecloud/requests/compute/firewall_acls_create.rb", "lib/fog/ecloud/requests/compute/firewall_acls_delete.rb", "lib/fog/ecloud/requests/compute/get_admin_organization.rb", "lib/fog/ecloud/requests/compute/get_api_key.rb", "lib/fog/ecloud/requests/compute/get_api_keys.rb", "lib/fog/ecloud/requests/compute/get_association.rb", "lib/fog/ecloud/requests/compute/get_associations.rb", "lib/fog/ecloud/requests/compute/get_authentication_level.rb", "lib/fog/ecloud/requests/compute/get_authentication_levels.rb", "lib/fog/ecloud/requests/compute/get_backup_internet_service.rb", "lib/fog/ecloud/requests/compute/get_backup_internet_services.rb", "lib/fog/ecloud/requests/compute/get_catalog.rb", "lib/fog/ecloud/requests/compute/get_catalog_configuration.rb", "lib/fog/ecloud/requests/compute/get_catalog_configurations.rb", "lib/fog/ecloud/requests/compute/get_catalog_item.rb", "lib/fog/ecloud/requests/compute/get_compute_pool.rb", "lib/fog/ecloud/requests/compute/get_compute_pools.rb", "lib/fog/ecloud/requests/compute/get_cpu_usage_detail.rb", "lib/fog/ecloud/requests/compute/get_cpu_usage_detail_summary.rb", "lib/fog/ecloud/requests/compute/get_detached_disk.rb", "lib/fog/ecloud/requests/compute/get_detached_disks.rb", "lib/fog/ecloud/requests/compute/get_environment.rb", "lib/fog/ecloud/requests/compute/get_environments.rb", "lib/fog/ecloud/requests/compute/get_firewall_acl.rb", "lib/fog/ecloud/requests/compute/get_firewall_acls.rb", "lib/fog/ecloud/requests/compute/get_group.rb", "lib/fog/ecloud/requests/compute/get_groups.rb", "lib/fog/ecloud/requests/compute/get_guest_process.rb", "lib/fog/ecloud/requests/compute/get_guest_processes.rb", "lib/fog/ecloud/requests/compute/get_hardware_configuration.rb", "lib/fog/ecloud/requests/compute/get_hardware_configurations.rb", "lib/fog/ecloud/requests/compute/get_internet_service.rb", "lib/fog/ecloud/requests/compute/get_internet_services.rb", "lib/fog/ecloud/requests/compute/get_ip_address.rb", "lib/fog/ecloud/requests/compute/get_layout.rb", "lib/fog/ecloud/requests/compute/get_layouts.rb", "lib/fog/ecloud/requests/compute/get_location.rb", "lib/fog/ecloud/requests/compute/get_locations.rb", "lib/fog/ecloud/requests/compute/get_login_banner.rb", "lib/fog/ecloud/requests/compute/get_login_banners.rb", "lib/fog/ecloud/requests/compute/get_memory_usage_detail.rb", "lib/fog/ecloud/requests/compute/get_memory_usage_detail_summary.rb", "lib/fog/ecloud/requests/compute/get_monitor.rb", "lib/fog/ecloud/requests/compute/get_monitors.rb", "lib/fog/ecloud/requests/compute/get_network.rb", "lib/fog/ecloud/requests/compute/get_network_summary.rb", "lib/fog/ecloud/requests/compute/get_networks.rb", "lib/fog/ecloud/requests/compute/get_node.rb", "lib/fog/ecloud/requests/compute/get_nodes.rb", "lib/fog/ecloud/requests/compute/get_operating_system.rb", "lib/fog/ecloud/requests/compute/get_operating_system_families.rb", "lib/fog/ecloud/requests/compute/get_organization.rb", "lib/fog/ecloud/requests/compute/get_organizations.rb", "lib/fog/ecloud/requests/compute/get_password_complexity_rule.rb", "lib/fog/ecloud/requests/compute/get_password_complexity_rules.rb", "lib/fog/ecloud/requests/compute/get_physical_device.rb", "lib/fog/ecloud/requests/compute/get_physical_devices.rb", "lib/fog/ecloud/requests/compute/get_process.rb", "lib/fog/ecloud/requests/compute/get_processes.rb", "lib/fog/ecloud/requests/compute/get_public_ip.rb", "lib/fog/ecloud/requests/compute/get_public_ips.rb", "lib/fog/ecloud/requests/compute/get_rnat.rb", "lib/fog/ecloud/requests/compute/get_rnats.rb", "lib/fog/ecloud/requests/compute/get_role.rb", "lib/fog/ecloud/requests/compute/get_roles.rb", "lib/fog/ecloud/requests/compute/get_row.rb", "lib/fog/ecloud/requests/compute/get_rows.rb", "lib/fog/ecloud/requests/compute/get_server.rb", "lib/fog/ecloud/requests/compute/get_server_configuration_option.rb", "lib/fog/ecloud/requests/compute/get_server_configuration_options.rb", "lib/fog/ecloud/requests/compute/get_servers.rb", "lib/fog/ecloud/requests/compute/get_ssh_key.rb", "lib/fog/ecloud/requests/compute/get_ssh_keys.rb", "lib/fog/ecloud/requests/compute/get_storage_usage_detail.rb", "lib/fog/ecloud/requests/compute/get_storage_usage_detail_summary.rb", "lib/fog/ecloud/requests/compute/get_support_ticket.rb", "lib/fog/ecloud/requests/compute/get_support_tickets.rb", "lib/fog/ecloud/requests/compute/get_tag.rb", "lib/fog/ecloud/requests/compute/get_tags.rb", "lib/fog/ecloud/requests/compute/get_task.rb", "lib/fog/ecloud/requests/compute/get_tasks.rb", "lib/fog/ecloud/requests/compute/get_template.rb", "lib/fog/ecloud/requests/compute/get_templates.rb", "lib/fog/ecloud/requests/compute/get_trusted_network_group.rb", "lib/fog/ecloud/requests/compute/get_trusted_network_groups.rb", "lib/fog/ecloud/requests/compute/get_user.rb", "lib/fog/ecloud/requests/compute/get_users.rb", "lib/fog/ecloud/requests/compute/get_virtual_machine_assigned_ips.rb", "lib/fog/ecloud/requests/compute/groups_create.rb", "lib/fog/ecloud/requests/compute/groups_delete.rb", "lib/fog/ecloud/requests/compute/groups_edit.rb", "lib/fog/ecloud/requests/compute/groups_movedown.rb", "lib/fog/ecloud/requests/compute/groups_moveup.rb", "lib/fog/ecloud/requests/compute/internet_service_create.rb", "lib/fog/ecloud/requests/compute/internet_service_delete.rb", "lib/fog/ecloud/requests/compute/internet_service_edit.rb", "lib/fog/ecloud/requests/compute/monitors_create_default.rb", "lib/fog/ecloud/requests/compute/monitors_create_ecv.rb", "lib/fog/ecloud/requests/compute/monitors_create_http.rb", "lib/fog/ecloud/requests/compute/monitors_create_loopback.rb", "lib/fog/ecloud/requests/compute/monitors_create_ping.rb", "lib/fog/ecloud/requests/compute/monitors_disable.rb", "lib/fog/ecloud/requests/compute/monitors_edit_ecv.rb", "lib/fog/ecloud/requests/compute/monitors_edit_http.rb", "lib/fog/ecloud/requests/compute/monitors_edit_ping.rb", "lib/fog/ecloud/requests/compute/monitors_enable.rb", "lib/fog/ecloud/requests/compute/node_service_create.rb", "lib/fog/ecloud/requests/compute/node_service_delete.rb", "lib/fog/ecloud/requests/compute/node_service_edit.rb", "lib/fog/ecloud/requests/compute/power_off.rb", "lib/fog/ecloud/requests/compute/power_on.rb", "lib/fog/ecloud/requests/compute/power_reset.rb", "lib/fog/ecloud/requests/compute/power_shutdown.rb", "lib/fog/ecloud/requests/compute/public_ip_activate.rb", "lib/fog/ecloud/requests/compute/rnat_associations_create_device.rb", "lib/fog/ecloud/requests/compute/rnat_associations_delete.rb", "lib/fog/ecloud/requests/compute/rnat_associations_edit_network.rb", "lib/fog/ecloud/requests/compute/rows_create.rb", "lib/fog/ecloud/requests/compute/rows_delete.rb", "lib/fog/ecloud/requests/compute/rows_edit.rb", "lib/fog/ecloud/requests/compute/rows_movedown.rb", "lib/fog/ecloud/requests/compute/rows_moveup.rb", "lib/fog/ecloud/requests/compute/trusted_network_groups_create.rb", "lib/fog/ecloud/requests/compute/trusted_network_groups_delete.rb", "lib/fog/ecloud/requests/compute/trusted_network_groups_edit.rb", "lib/fog/ecloud/requests/compute/virtual_machine_attach_disk.rb", "lib/fog/ecloud/requests/compute/virtual_machine_copy.rb", "lib/fog/ecloud/requests/compute/virtual_machine_copy_identical.rb", "lib/fog/ecloud/requests/compute/virtual_machine_create_from_template.rb", "lib/fog/ecloud/requests/compute/virtual_machine_delete.rb", "lib/fog/ecloud/requests/compute/virtual_machine_detach_disk.rb", "lib/fog/ecloud/requests/compute/virtual_machine_edit.rb", "lib/fog/ecloud/requests/compute/virtual_machine_edit_assigned_ips.rb", "lib/fog/ecloud/requests/compute/virtual_machine_edit_hardware_configuration.rb", "lib/fog/ecloud/requests/compute/virtual_machine_import.rb", "lib/fog/ecloud/requests/compute/virtual_machine_upload_file.rb", "lib/fog/glesys.rb", "lib/fog/glesys/compute.rb", "lib/fog/glesys/models/compute/ip.rb", "lib/fog/glesys/models/compute/ips.rb", "lib/fog/glesys/models/compute/server.rb", "lib/fog/glesys/models/compute/servers.rb", "lib/fog/glesys/models/compute/template.rb", "lib/fog/glesys/models/compute/templates.rb", "lib/fog/glesys/requests/compute/create.rb", "lib/fog/glesys/requests/compute/destroy.rb", "lib/fog/glesys/requests/compute/ip_add.rb", "lib/fog/glesys/requests/compute/ip_details.rb", "lib/fog/glesys/requests/compute/ip_list_free.rb", "lib/fog/glesys/requests/compute/ip_list_own.rb", "lib/fog/glesys/requests/compute/ip_release.rb", "lib/fog/glesys/requests/compute/ip_remove.rb", "lib/fog/glesys/requests/compute/ip_take.rb", "lib/fog/glesys/requests/compute/list_servers.rb", "lib/fog/glesys/requests/compute/reboot.rb", "lib/fog/glesys/requests/compute/server_details.rb", "lib/fog/glesys/requests/compute/server_status.rb", "lib/fog/glesys/requests/compute/start.rb", "lib/fog/glesys/requests/compute/stop.rb", "lib/fog/glesys/requests/compute/template_list.rb", "lib/fog/go_grid.rb", "lib/fog/go_grid/compute.rb", "lib/fog/go_grid/models/compute/image.rb", "lib/fog/go_grid/models/compute/images.rb", "lib/fog/go_grid/models/compute/password.rb", "lib/fog/go_grid/models/compute/passwords.rb", "lib/fog/go_grid/models/compute/server.rb", "lib/fog/go_grid/models/compute/servers.rb", "lib/fog/go_grid/requests/compute/common_lookup_list.rb", "lib/fog/go_grid/requests/compute/grid_image_get.rb", "lib/fog/go_grid/requests/compute/grid_image_list.rb", "lib/fog/go_grid/requests/compute/grid_ip_list.rb", "lib/fog/go_grid/requests/compute/grid_loadbalancer_list.rb", "lib/fog/go_grid/requests/compute/grid_server_add.rb", "lib/fog/go_grid/requests/compute/grid_server_delete.rb", "lib/fog/go_grid/requests/compute/grid_server_get.rb", "lib/fog/go_grid/requests/compute/grid_server_list.rb", "lib/fog/go_grid/requests/compute/grid_server_power.rb", "lib/fog/go_grid/requests/compute/support_password_get.rb", "lib/fog/go_grid/requests/compute/support_password_list.rb", "lib/fog/google.rb", "lib/fog/google/compute.rb", "lib/fog/google/models/compute/flavor.rb", "lib/fog/google/models/compute/flavors.rb", "lib/fog/google/models/compute/image.rb", "lib/fog/google/models/compute/images.rb", "lib/fog/google/models/compute/server.rb", "lib/fog/google/models/compute/servers.rb", "lib/fog/google/models/storage/directories.rb", "lib/fog/google/models/storage/directory.rb", "lib/fog/google/models/storage/file.rb", "lib/fog/google/models/storage/files.rb", "lib/fog/google/parsers/storage/access_control_list.rb", "lib/fog/google/parsers/storage/copy_object.rb", "lib/fog/google/parsers/storage/get_bucket.rb", "lib/fog/google/parsers/storage/get_bucket_logging.rb", "lib/fog/google/parsers/storage/get_bucket_object_versions.rb", "lib/fog/google/parsers/storage/get_bucket_versioning.rb", "lib/fog/google/parsers/storage/get_request_payment.rb", "lib/fog/google/parsers/storage/get_service.rb", "lib/fog/google/requests/compute/delete_disk.rb", "lib/fog/google/requests/compute/delete_firewall.rb", "lib/fog/google/requests/compute/delete_image.rb", "lib/fog/google/requests/compute/delete_network.rb", "lib/fog/google/requests/compute/delete_operation.rb", "lib/fog/google/requests/compute/delete_server.rb", "lib/fog/google/requests/compute/get_disk.rb", "lib/fog/google/requests/compute/get_firewall.rb", "lib/fog/google/requests/compute/get_image.rb", "lib/fog/google/requests/compute/get_machine_type.rb", "lib/fog/google/requests/compute/get_network.rb", "lib/fog/google/requests/compute/get_server.rb", "lib/fog/google/requests/compute/get_zone.rb", "lib/fog/google/requests/compute/insert_disk.rb", "lib/fog/google/requests/compute/insert_firewall.rb", "lib/fog/google/requests/compute/insert_image.rb", "lib/fog/google/requests/compute/insert_network.rb", "lib/fog/google/requests/compute/insert_server.rb", "lib/fog/google/requests/compute/list_disks.rb", "lib/fog/google/requests/compute/list_firewalls.rb", "lib/fog/google/requests/compute/list_global_operations.rb", "lib/fog/google/requests/compute/list_images.rb", "lib/fog/google/requests/compute/list_machine_types.rb", "lib/fog/google/requests/compute/list_networks.rb", "lib/fog/google/requests/compute/list_servers.rb", "lib/fog/google/requests/compute/list_zone_operations.rb", "lib/fog/google/requests/compute/list_zones.rb", "lib/fog/google/requests/compute/set_metadata.rb", "lib/fog/google/requests/storage/copy_object.rb", "lib/fog/google/requests/storage/delete_bucket.rb", "lib/fog/google/requests/storage/delete_object.rb", "lib/fog/google/requests/storage/get_bucket.rb", "lib/fog/google/requests/storage/get_bucket_acl.rb", "lib/fog/google/requests/storage/get_object.rb", "lib/fog/google/requests/storage/get_object_acl.rb", "lib/fog/google/requests/storage/get_object_http_url.rb", "lib/fog/google/requests/storage/get_object_https_url.rb", "lib/fog/google/requests/storage/get_object_torrent.rb", "lib/fog/google/requests/storage/get_object_url.rb", "lib/fog/google/requests/storage/get_service.rb", "lib/fog/google/requests/storage/head_object.rb", "lib/fog/google/requests/storage/put_bucket.rb", "lib/fog/google/requests/storage/put_bucket_acl.rb", "lib/fog/google/requests/storage/put_object.rb", "lib/fog/google/requests/storage/put_object_url.rb", "lib/fog/google/storage.rb", "lib/fog/hp.rb", "lib/fog/hp/CHANGELOG.hp", "lib/fog/hp/README_HP.rdoc", "lib/fog/hp/block_storage.rb", "lib/fog/hp/cdn.rb", "lib/fog/hp/compute.rb", "lib/fog/hp/models/block_storage/bootable_volumes.rb", "lib/fog/hp/models/block_storage/snapshot.rb", "lib/fog/hp/models/block_storage/snapshots.rb", "lib/fog/hp/models/block_storage/volume.rb", "lib/fog/hp/models/block_storage/volumes.rb", "lib/fog/hp/models/compute/address.rb", "lib/fog/hp/models/compute/addresses.rb", "lib/fog/hp/models/compute/flavor.rb", "lib/fog/hp/models/compute/flavors.rb", "lib/fog/hp/models/compute/image.rb", "lib/fog/hp/models/compute/images.rb", "lib/fog/hp/models/compute/key_pair.rb", "lib/fog/hp/models/compute/key_pairs.rb", "lib/fog/hp/models/compute/meta.rb", "lib/fog/hp/models/compute/metadata.rb", "lib/fog/hp/models/compute/security_group.rb", "lib/fog/hp/models/compute/security_groups.rb", "lib/fog/hp/models/compute/server.rb", "lib/fog/hp/models/compute/servers.rb", "lib/fog/hp/models/meta_parent.rb", "lib/fog/hp/models/storage/directories.rb", "lib/fog/hp/models/storage/directory.rb", "lib/fog/hp/models/storage/file.rb", "lib/fog/hp/models/storage/files.rb", "lib/fog/hp/models/storage/shared_directories.rb", "lib/fog/hp/models/storage/shared_directory.rb", "lib/fog/hp/models/storage/shared_file.rb", "lib/fog/hp/models/storage/shared_files.rb", "lib/fog/hp/requests/block_storage/create_snapshot.rb", "lib/fog/hp/requests/block_storage/create_volume.rb", "lib/fog/hp/requests/block_storage/delete_snapshot.rb", "lib/fog/hp/requests/block_storage/delete_volume.rb", "lib/fog/hp/requests/block_storage/get_bootable_volume_details.rb", "lib/fog/hp/requests/block_storage/get_snapshot_details.rb", "lib/fog/hp/requests/block_storage/get_volume_details.rb", "lib/fog/hp/requests/block_storage/list_bootable_volumes.rb", "lib/fog/hp/requests/block_storage/list_snapshots.rb", "lib/fog/hp/requests/block_storage/list_volumes.rb", "lib/fog/hp/requests/cdn/delete_container.rb", "lib/fog/hp/requests/cdn/get_containers.rb", "lib/fog/hp/requests/cdn/head_container.rb", "lib/fog/hp/requests/cdn/post_container.rb", "lib/fog/hp/requests/cdn/put_container.rb", "lib/fog/hp/requests/compute/allocate_address.rb", "lib/fog/hp/requests/compute/associate_address.rb", "lib/fog/hp/requests/compute/attach_volume.rb", "lib/fog/hp/requests/compute/change_password_server.rb", "lib/fog/hp/requests/compute/confirm_resized_server.rb", "lib/fog/hp/requests/compute/create_image.rb", "lib/fog/hp/requests/compute/create_key_pair.rb", "lib/fog/hp/requests/compute/create_persistent_server.rb", "lib/fog/hp/requests/compute/create_security_group.rb", "lib/fog/hp/requests/compute/create_security_group_rule.rb", "lib/fog/hp/requests/compute/create_server.rb", "lib/fog/hp/requests/compute/delete_image.rb", "lib/fog/hp/requests/compute/delete_key_pair.rb", "lib/fog/hp/requests/compute/delete_meta.rb", "lib/fog/hp/requests/compute/delete_security_group.rb", "lib/fog/hp/requests/compute/delete_security_group_rule.rb", "lib/fog/hp/requests/compute/delete_server.rb", "lib/fog/hp/requests/compute/detach_volume.rb", "lib/fog/hp/requests/compute/disassociate_address.rb", "lib/fog/hp/requests/compute/get_address.rb", "lib/fog/hp/requests/compute/get_console_output.rb", "lib/fog/hp/requests/compute/get_flavor_details.rb", "lib/fog/hp/requests/compute/get_image_details.rb", "lib/fog/hp/requests/compute/get_meta.rb", "lib/fog/hp/requests/compute/get_security_group.rb", "lib/fog/hp/requests/compute/get_server_details.rb", "lib/fog/hp/requests/compute/get_windows_password.rb", "lib/fog/hp/requests/compute/list_addresses.rb", "lib/fog/hp/requests/compute/list_flavors.rb", "lib/fog/hp/requests/compute/list_flavors_detail.rb", "lib/fog/hp/requests/compute/list_images.rb", "lib/fog/hp/requests/compute/list_images_detail.rb", "lib/fog/hp/requests/compute/list_key_pairs.rb", "lib/fog/hp/requests/compute/list_metadata.rb", "lib/fog/hp/requests/compute/list_security_groups.rb", "lib/fog/hp/requests/compute/list_server_addresses.rb", "lib/fog/hp/requests/compute/list_server_private_addresses.rb", "lib/fog/hp/requests/compute/list_server_public_addresses.rb", "lib/fog/hp/requests/compute/list_server_volumes.rb", "lib/fog/hp/requests/compute/list_servers.rb", "lib/fog/hp/requests/compute/list_servers_detail.rb", "lib/fog/hp/requests/compute/reboot_server.rb", "lib/fog/hp/requests/compute/rebuild_server.rb", "lib/fog/hp/requests/compute/release_address.rb", "lib/fog/hp/requests/compute/resize_server.rb", "lib/fog/hp/requests/compute/revert_resized_server.rb", "lib/fog/hp/requests/compute/server_action.rb", "lib/fog/hp/requests/compute/set_metadata.rb", "lib/fog/hp/requests/compute/update_meta.rb", "lib/fog/hp/requests/compute/update_metadata.rb", "lib/fog/hp/requests/compute/update_server.rb", "lib/fog/hp/requests/storage/delete_container.rb", "lib/fog/hp/requests/storage/delete_object.rb", "lib/fog/hp/requests/storage/delete_shared_object.rb", "lib/fog/hp/requests/storage/get_container.rb", "lib/fog/hp/requests/storage/get_containers.rb", "lib/fog/hp/requests/storage/get_object.rb", "lib/fog/hp/requests/storage/get_object_temp_url.rb", "lib/fog/hp/requests/storage/get_shared_container.rb", "lib/fog/hp/requests/storage/get_shared_object.rb", "lib/fog/hp/requests/storage/head_container.rb", "lib/fog/hp/requests/storage/head_containers.rb", "lib/fog/hp/requests/storage/head_object.rb", "lib/fog/hp/requests/storage/head_shared_container.rb", "lib/fog/hp/requests/storage/head_shared_object.rb", "lib/fog/hp/requests/storage/put_container.rb", "lib/fog/hp/requests/storage/put_object.rb", "lib/fog/hp/requests/storage/put_shared_object.rb", "lib/fog/hp/storage.rb", "lib/fog/ibm.rb", "lib/fog/ibm/compute.rb", "lib/fog/ibm/models/compute/address.rb", "lib/fog/ibm/models/compute/addresses.rb", "lib/fog/ibm/models/compute/image.rb", "lib/fog/ibm/models/compute/images.rb", "lib/fog/ibm/models/compute/instance-type.rb", "lib/fog/ibm/models/compute/instance-types.rb", "lib/fog/ibm/models/compute/key.rb", "lib/fog/ibm/models/compute/keys.rb", "lib/fog/ibm/models/compute/location.rb", "lib/fog/ibm/models/compute/locations.rb", "lib/fog/ibm/models/compute/server.rb", "lib/fog/ibm/models/compute/servers.rb", "lib/fog/ibm/models/compute/vlan.rb", "lib/fog/ibm/models/compute/vlans.rb", "lib/fog/ibm/models/storage/offering.rb", "lib/fog/ibm/models/storage/offerings.rb", "lib/fog/ibm/models/storage/volume.rb", "lib/fog/ibm/models/storage/volumes.rb", "lib/fog/ibm/requests/compute/clone_image.rb", "lib/fog/ibm/requests/compute/create_address.rb", "lib/fog/ibm/requests/compute/create_image.rb", "lib/fog/ibm/requests/compute/create_instance.rb", "lib/fog/ibm/requests/compute/create_key.rb", "lib/fog/ibm/requests/compute/delete_address.rb", "lib/fog/ibm/requests/compute/delete_image.rb", "lib/fog/ibm/requests/compute/delete_instance.rb", "lib/fog/ibm/requests/compute/delete_key.rb", "lib/fog/ibm/requests/compute/get_image.rb", "lib/fog/ibm/requests/compute/get_image_agreement.rb", "lib/fog/ibm/requests/compute/get_image_manifest.rb", "lib/fog/ibm/requests/compute/get_instance.rb", "lib/fog/ibm/requests/compute/get_instance_logs.rb", "lib/fog/ibm/requests/compute/get_key.rb", "lib/fog/ibm/requests/compute/get_location.rb", "lib/fog/ibm/requests/compute/get_request.rb", "lib/fog/ibm/requests/compute/list_address_offerings.rb", "lib/fog/ibm/requests/compute/list_addresses.rb", "lib/fog/ibm/requests/compute/list_images.rb", "lib/fog/ibm/requests/compute/list_instances.rb", "lib/fog/ibm/requests/compute/list_keys.rb", "lib/fog/ibm/requests/compute/list_locations.rb", "lib/fog/ibm/requests/compute/list_vlans.rb", "lib/fog/ibm/requests/compute/modify_instance.rb", "lib/fog/ibm/requests/compute/modify_key.rb", "lib/fog/ibm/requests/storage/create_volume.rb", "lib/fog/ibm/requests/storage/delete_volume.rb", "lib/fog/ibm/requests/storage/get_volume.rb", "lib/fog/ibm/requests/storage/list_offerings.rb", "lib/fog/ibm/requests/storage/list_volumes.rb", "lib/fog/ibm/storage.rb", "lib/fog/identity.rb", "lib/fog/image.rb", "lib/fog/internet_archive.rb", "lib/fog/internet_archive/models/storage/directories.rb", "lib/fog/internet_archive/models/storage/directory.rb", "lib/fog/internet_archive/models/storage/file.rb", "lib/fog/internet_archive/models/storage/files.rb", "lib/fog/internet_archive/models/storage/ia_attributes.rb", "lib/fog/internet_archive/parsers/storage/access_control_list.rb", "lib/fog/internet_archive/parsers/storage/complete_multipart_upload.rb", "lib/fog/internet_archive/parsers/storage/copy_object.rb", "lib/fog/internet_archive/parsers/storage/cors_configuration.rb", "lib/fog/internet_archive/parsers/storage/delete_multiple_objects.rb", "lib/fog/internet_archive/parsers/storage/get_bucket.rb", "lib/fog/internet_archive/parsers/storage/get_bucket_lifecycle.rb", "lib/fog/internet_archive/parsers/storage/get_bucket_location.rb", "lib/fog/internet_archive/parsers/storage/get_bucket_logging.rb", "lib/fog/internet_archive/parsers/storage/get_bucket_website.rb", "lib/fog/internet_archive/parsers/storage/get_request_payment.rb", "lib/fog/internet_archive/parsers/storage/get_service.rb", "lib/fog/internet_archive/parsers/storage/initiate_multipart_upload.rb", "lib/fog/internet_archive/parsers/storage/list_multipart_uploads.rb", "lib/fog/internet_archive/parsers/storage/list_parts.rb", "lib/fog/internet_archive/requests/storage/abort_multipart_upload.rb", "lib/fog/internet_archive/requests/storage/acl_utils.rb", "lib/fog/internet_archive/requests/storage/complete_multipart_upload.rb", "lib/fog/internet_archive/requests/storage/copy_object.rb", "lib/fog/internet_archive/requests/storage/cors_utils.rb", "lib/fog/internet_archive/requests/storage/delete_bucket.rb", "lib/fog/internet_archive/requests/storage/delete_bucket_cors.rb", "lib/fog/internet_archive/requests/storage/delete_bucket_lifecycle.rb", "lib/fog/internet_archive/requests/storage/delete_bucket_policy.rb", "lib/fog/internet_archive/requests/storage/delete_bucket_website.rb", "lib/fog/internet_archive/requests/storage/delete_multiple_objects.rb", "lib/fog/internet_archive/requests/storage/delete_object.rb", "lib/fog/internet_archive/requests/storage/get_bucket.rb", "lib/fog/internet_archive/requests/storage/get_bucket_acl.rb", "lib/fog/internet_archive/requests/storage/get_bucket_cors.rb", "lib/fog/internet_archive/requests/storage/get_bucket_lifecycle.rb", "lib/fog/internet_archive/requests/storage/get_bucket_location.rb", "lib/fog/internet_archive/requests/storage/get_bucket_logging.rb", "lib/fog/internet_archive/requests/storage/get_bucket_policy.rb", "lib/fog/internet_archive/requests/storage/get_bucket_website.rb", "lib/fog/internet_archive/requests/storage/get_object.rb", "lib/fog/internet_archive/requests/storage/get_object_acl.rb", "lib/fog/internet_archive/requests/storage/get_object_http_url.rb", "lib/fog/internet_archive/requests/storage/get_object_https_url.rb", "lib/fog/internet_archive/requests/storage/get_object_torrent.rb", "lib/fog/internet_archive/requests/storage/get_object_url.rb", "lib/fog/internet_archive/requests/storage/get_request_payment.rb", "lib/fog/internet_archive/requests/storage/get_service.rb", "lib/fog/internet_archive/requests/storage/head_object.rb", "lib/fog/internet_archive/requests/storage/initiate_multipart_upload.rb", "lib/fog/internet_archive/requests/storage/list_multipart_uploads.rb", "lib/fog/internet_archive/requests/storage/list_parts.rb", "lib/fog/internet_archive/requests/storage/post_object_hidden_fields.rb", "lib/fog/internet_archive/requests/storage/put_bucket.rb", "lib/fog/internet_archive/requests/storage/put_bucket_acl.rb", "lib/fog/internet_archive/requests/storage/put_bucket_cors.rb", "lib/fog/internet_archive/requests/storage/put_bucket_lifecycle.rb", "lib/fog/internet_archive/requests/storage/put_bucket_logging.rb", "lib/fog/internet_archive/requests/storage/put_bucket_policy.rb", "lib/fog/internet_archive/requests/storage/put_bucket_website.rb", "lib/fog/internet_archive/requests/storage/put_object.rb", "lib/fog/internet_archive/requests/storage/put_object_acl.rb", "lib/fog/internet_archive/requests/storage/put_object_url.rb", "lib/fog/internet_archive/requests/storage/put_request_payment.rb", "lib/fog/internet_archive/requests/storage/sync_clock.rb", "lib/fog/internet_archive/requests/storage/upload_part.rb", "lib/fog/internet_archive/signaturev4.rb", "lib/fog/internet_archive/storage.rb", "lib/fog/joyent.rb", "lib/fog/joyent/compute.rb", "lib/fog/joyent/errors.rb", "lib/fog/joyent/models/compute/flavor.rb", "lib/fog/joyent/models/compute/flavors.rb", "lib/fog/joyent/models/compute/image.rb", "lib/fog/joyent/models/compute/images.rb", "lib/fog/joyent/models/compute/key.rb", "lib/fog/joyent/models/compute/keys.rb", "lib/fog/joyent/models/compute/network.rb", "lib/fog/joyent/models/compute/networks.rb", "lib/fog/joyent/models/compute/server.rb", "lib/fog/joyent/models/compute/servers.rb", "lib/fog/joyent/models/compute/snapshot.rb", "lib/fog/joyent/models/compute/snapshots.rb", "lib/fog/joyent/requests/compute/add_machine_tags.rb", "lib/fog/joyent/requests/compute/create_key.rb", "lib/fog/joyent/requests/compute/create_machine.rb", "lib/fog/joyent/requests/compute/create_machine_snapshot.rb", "lib/fog/joyent/requests/compute/delete_all_machine_metadata.rb", "lib/fog/joyent/requests/compute/delete_all_machine_tags.rb", "lib/fog/joyent/requests/compute/delete_key.rb", "lib/fog/joyent/requests/compute/delete_machine.rb", "lib/fog/joyent/requests/compute/delete_machine_metadata.rb", "lib/fog/joyent/requests/compute/delete_machine_snapshot.rb", "lib/fog/joyent/requests/compute/delete_machine_tag.rb", "lib/fog/joyent/requests/compute/get_dataset.rb", "lib/fog/joyent/requests/compute/get_key.rb", "lib/fog/joyent/requests/compute/get_machine.rb", "lib/fog/joyent/requests/compute/get_machine_metadata.rb", "lib/fog/joyent/requests/compute/get_machine_snapshot.rb", "lib/fog/joyent/requests/compute/get_machine_tag.rb", "lib/fog/joyent/requests/compute/get_package.rb", "lib/fog/joyent/requests/compute/list_datacenters.rb", "lib/fog/joyent/requests/compute/list_datasets.rb", "lib/fog/joyent/requests/compute/list_keys.rb", "lib/fog/joyent/requests/compute/list_machine_snapshots.rb", "lib/fog/joyent/requests/compute/list_machine_tags.rb", "lib/fog/joyent/requests/compute/list_machines.rb", "lib/fog/joyent/requests/compute/list_networks.rb", "lib/fog/joyent/requests/compute/list_packages.rb", "lib/fog/joyent/requests/compute/reboot_machine.rb", "lib/fog/joyent/requests/compute/resize_machine.rb", "lib/fog/joyent/requests/compute/start_machine.rb", "lib/fog/joyent/requests/compute/start_machine_from_snapshot.rb", "lib/fog/joyent/requests/compute/stop_machine.rb", "lib/fog/joyent/requests/compute/update_machine_metadata.rb", "lib/fog/libvirt.rb", "lib/fog/libvirt/compute.rb", "lib/fog/libvirt/models/compute/README.md", "lib/fog/libvirt/models/compute/interface.rb", "lib/fog/libvirt/models/compute/interfaces.rb", "lib/fog/libvirt/models/compute/network.rb", "lib/fog/libvirt/models/compute/networks.rb", "lib/fog/libvirt/models/compute/nic.rb", "lib/fog/libvirt/models/compute/nics.rb", "lib/fog/libvirt/models/compute/node.rb", "lib/fog/libvirt/models/compute/nodes.rb", "lib/fog/libvirt/models/compute/pool.rb", "lib/fog/libvirt/models/compute/pools.rb", "lib/fog/libvirt/models/compute/server.rb", "lib/fog/libvirt/models/compute/servers.rb", "lib/fog/libvirt/models/compute/templates/network.xml.erb", "lib/fog/libvirt/models/compute/templates/pool.xml.erb", "lib/fog/libvirt/models/compute/templates/server.xml.erb", "lib/fog/libvirt/models/compute/templates/volume.xml.erb", "lib/fog/libvirt/models/compute/util/uri.rb", "lib/fog/libvirt/models/compute/util/util.rb", "lib/fog/libvirt/models/compute/volume.rb", "lib/fog/libvirt/models/compute/volumes.rb", "lib/fog/libvirt/requests/compute/create_domain.rb", "lib/fog/libvirt/requests/compute/create_volume.rb", "lib/fog/libvirt/requests/compute/define_domain.rb", "lib/fog/libvirt/requests/compute/define_pool.rb", "lib/fog/libvirt/requests/compute/destroy_interface.rb", "lib/fog/libvirt/requests/compute/destroy_network.rb", "lib/fog/libvirt/requests/compute/get_node_info.rb", "lib/fog/libvirt/requests/compute/list_domains.rb", "lib/fog/libvirt/requests/compute/list_interfaces.rb", "lib/fog/libvirt/requests/compute/list_networks.rb", "lib/fog/libvirt/requests/compute/list_pool_volumes.rb", "lib/fog/libvirt/requests/compute/list_pools.rb", "lib/fog/libvirt/requests/compute/list_volumes.rb", "lib/fog/libvirt/requests/compute/mock_files/domain.xml", "lib/fog/libvirt/requests/compute/pool_action.rb", "lib/fog/libvirt/requests/compute/update_display.rb", "lib/fog/libvirt/requests/compute/vm_action.rb", "lib/fog/libvirt/requests/compute/volume_action.rb", "lib/fog/linode.rb", "lib/fog/linode/compute.rb", "lib/fog/linode/dns.rb", "lib/fog/linode/models/compute/data_center.rb", "lib/fog/linode/models/compute/data_centers.rb", "lib/fog/linode/models/compute/disk.rb", "lib/fog/linode/models/compute/disks.rb", "lib/fog/linode/models/compute/flavor.rb", "lib/fog/linode/models/compute/flavors.rb", "lib/fog/linode/models/compute/image.rb", "lib/fog/linode/models/compute/images.rb", "lib/fog/linode/models/compute/ip.rb", "lib/fog/linode/models/compute/ips.rb", "lib/fog/linode/models/compute/kernel.rb", "lib/fog/linode/models/compute/kernels.rb", "lib/fog/linode/models/compute/server.rb", "lib/fog/linode/models/compute/servers.rb", "lib/fog/linode/models/compute/stack_script.rb", "lib/fog/linode/models/compute/stack_scripts.rb", "lib/fog/linode/models/dns/record.rb", "lib/fog/linode/models/dns/records.rb", "lib/fog/linode/models/dns/zone.rb", "lib/fog/linode/models/dns/zones.rb", "lib/fog/linode/requests/compute/avail_datacenters.rb", "lib/fog/linode/requests/compute/avail_distributions.rb", "lib/fog/linode/requests/compute/avail_kernels.rb", "lib/fog/linode/requests/compute/avail_linodeplans.rb", "lib/fog/linode/requests/compute/avail_stackscripts.rb", "lib/fog/linode/requests/compute/linode_boot.rb", "lib/fog/linode/requests/compute/linode_config_create.rb", "lib/fog/linode/requests/compute/linode_config_list.rb", "lib/fog/linode/requests/compute/linode_create.rb", "lib/fog/linode/requests/compute/linode_delete.rb", "lib/fog/linode/requests/compute/linode_disk_create.rb", "lib/fog/linode/requests/compute/linode_disk_createfromdistribution.rb", "lib/fog/linode/requests/compute/linode_disk_createfromstackscript.rb", "lib/fog/linode/requests/compute/linode_disk_delete.rb", "lib/fog/linode/requests/compute/linode_disk_list.rb", "lib/fog/linode/requests/compute/linode_ip_addprivate.rb", "lib/fog/linode/requests/compute/linode_ip_list.rb", "lib/fog/linode/requests/compute/linode_list.rb", "lib/fog/linode/requests/compute/linode_reboot.rb", "lib/fog/linode/requests/compute/linode_shutdown.rb", "lib/fog/linode/requests/compute/linode_update.rb", "lib/fog/linode/requests/compute/stackscript_list.rb", "lib/fog/linode/requests/dns/domain_create.rb", "lib/fog/linode/requests/dns/domain_delete.rb", "lib/fog/linode/requests/dns/domain_list.rb", "lib/fog/linode/requests/dns/domain_resource_create.rb", "lib/fog/linode/requests/dns/domain_resource_delete.rb", "lib/fog/linode/requests/dns/domain_resource_list.rb", "lib/fog/linode/requests/dns/domain_resource_update.rb", "lib/fog/linode/requests/dns/domain_update.rb", "lib/fog/local.rb", "lib/fog/local/models/storage/directories.rb", "lib/fog/local/models/storage/directory.rb", "lib/fog/local/models/storage/file.rb", "lib/fog/local/models/storage/files.rb", "lib/fog/local/storage.rb", "lib/fog/monitoring.rb", "lib/fog/network.rb", "lib/fog/ninefold.rb", "lib/fog/ninefold/compute.rb", "lib/fog/ninefold/models/compute/address.rb", "lib/fog/ninefold/models/compute/addresses.rb", "lib/fog/ninefold/models/compute/flavor.rb", "lib/fog/ninefold/models/compute/flavors.rb", "lib/fog/ninefold/models/compute/image.rb", "lib/fog/ninefold/models/compute/images.rb", "lib/fog/ninefold/models/compute/ip_forwarding_rule.rb", "lib/fog/ninefold/models/compute/ip_forwarding_rules.rb", "lib/fog/ninefold/models/compute/server.rb", "lib/fog/ninefold/models/compute/servers.rb", "lib/fog/ninefold/requests/compute/assign_to_load_balancer_rule.rb", "lib/fog/ninefold/requests/compute/associate_ip_address.rb", "lib/fog/ninefold/requests/compute/change_service_for_virtual_machine.rb", "lib/fog/ninefold/requests/compute/create_ip_forwarding_rule.rb", "lib/fog/ninefold/requests/compute/create_load_balancer_rule.rb", "lib/fog/ninefold/requests/compute/delete_ip_forwarding_rule.rb", "lib/fog/ninefold/requests/compute/delete_load_balancer_rule.rb", "lib/fog/ninefold/requests/compute/deploy_virtual_machine.rb", "lib/fog/ninefold/requests/compute/destroy_virtual_machine.rb", "lib/fog/ninefold/requests/compute/disable_static_nat.rb", "lib/fog/ninefold/requests/compute/disassociate_ip_address.rb", "lib/fog/ninefold/requests/compute/enable_static_nat.rb", "lib/fog/ninefold/requests/compute/list_accounts.rb", "lib/fog/ninefold/requests/compute/list_async_jobs.rb", "lib/fog/ninefold/requests/compute/list_capabilities.rb", "lib/fog/ninefold/requests/compute/list_disk_offerings.rb", "lib/fog/ninefold/requests/compute/list_events.rb", "lib/fog/ninefold/requests/compute/list_hypervisors.rb", "lib/fog/ninefold/requests/compute/list_ip_forwarding_rules.rb", "lib/fog/ninefold/requests/compute/list_load_balancer_rule_instances.rb", "lib/fog/ninefold/requests/compute/list_load_balancer_rules.rb", "lib/fog/ninefold/requests/compute/list_network_offerings.rb", "lib/fog/ninefold/requests/compute/list_networks.rb", "lib/fog/ninefold/requests/compute/list_public_ip_addresses.rb", "lib/fog/ninefold/requests/compute/list_resource_limits.rb", "lib/fog/ninefold/requests/compute/list_service_offerings.rb", "lib/fog/ninefold/requests/compute/list_templates.rb", "lib/fog/ninefold/requests/compute/list_virtual_machines.rb", "lib/fog/ninefold/requests/compute/list_zones.rb", "lib/fog/ninefold/requests/compute/query_async_job_result.rb", "lib/fog/ninefold/requests/compute/reboot_virtual_machine.rb", "lib/fog/ninefold/requests/compute/remove_from_load_balancer_rule.rb", "lib/fog/ninefold/requests/compute/reset_password_for_virtual_machine.rb", "lib/fog/ninefold/requests/compute/start_virtual_machine.rb", "lib/fog/ninefold/requests/compute/stop_virtual_machine.rb", "lib/fog/ninefold/requests/compute/update_load_balancer_rule.rb", "lib/fog/ninefold/requests/compute/update_virtual_machine.rb", "lib/fog/ninefold/storage.rb", "lib/fog/openstack.rb", "lib/fog/openstack/CHANGELOG.md", "lib/fog/openstack/compute.rb", "lib/fog/openstack/examples/identity/basics.rb", "lib/fog/openstack/examples/image/upload-test-image.rb", "lib/fog/openstack/examples/network/network_subnets_routers.rb", "lib/fog/openstack/examples/storage/set-account-quota.rb", "lib/fog/openstack/identity.rb", "lib/fog/openstack/image.rb", "lib/fog/openstack/models/compute/address.rb", "lib/fog/openstack/models/compute/addresses.rb", "lib/fog/openstack/models/compute/flavor.rb", "lib/fog/openstack/models/compute/flavors.rb", "lib/fog/openstack/models/compute/host.rb", "lib/fog/openstack/models/compute/hosts.rb", "lib/fog/openstack/models/compute/image.rb", "lib/fog/openstack/models/compute/images.rb", "lib/fog/openstack/models/compute/key_pair.rb", "lib/fog/openstack/models/compute/key_pairs.rb", "lib/fog/openstack/models/compute/metadata.rb", "lib/fog/openstack/models/compute/metadatum.rb", "lib/fog/openstack/models/compute/network.rb", "lib/fog/openstack/models/compute/networks.rb", "lib/fog/openstack/models/compute/security_group.rb", "lib/fog/openstack/models/compute/security_groups.rb", "lib/fog/openstack/models/compute/server.rb", "lib/fog/openstack/models/compute/servers.rb", "lib/fog/openstack/models/compute/snapshot.rb", "lib/fog/openstack/models/compute/snapshots.rb", "lib/fog/openstack/models/compute/tenant.rb", "lib/fog/openstack/models/compute/tenants.rb", "lib/fog/openstack/models/compute/volume.rb", "lib/fog/openstack/models/compute/volumes.rb", "lib/fog/openstack/models/identity/ec2_credential.rb", "lib/fog/openstack/models/identity/ec2_credentials.rb", "lib/fog/openstack/models/identity/role.rb", "lib/fog/openstack/models/identity/roles.rb", "lib/fog/openstack/models/identity/tenant.rb", "lib/fog/openstack/models/identity/tenants.rb", "lib/fog/openstack/models/identity/user.rb", "lib/fog/openstack/models/identity/users.rb", "lib/fog/openstack/models/image/image.rb", "lib/fog/openstack/models/image/images.rb", "lib/fog/openstack/models/meta_parent.rb", "lib/fog/openstack/models/network/floating_ip.rb", "lib/fog/openstack/models/network/floating_ips.rb", "lib/fog/openstack/models/network/lb_health_monitor.rb", "lib/fog/openstack/models/network/lb_health_monitors.rb", "lib/fog/openstack/models/network/lb_member.rb", "lib/fog/openstack/models/network/lb_members.rb", "lib/fog/openstack/models/network/lb_pool.rb", "lib/fog/openstack/models/network/lb_pools.rb", "lib/fog/openstack/models/network/lb_vip.rb", "lib/fog/openstack/models/network/lb_vips.rb", "lib/fog/openstack/models/network/network.rb", "lib/fog/openstack/models/network/networks.rb", "lib/fog/openstack/models/network/port.rb", "lib/fog/openstack/models/network/ports.rb", "lib/fog/openstack/models/network/router.rb", "lib/fog/openstack/models/network/routers.rb", "lib/fog/openstack/models/network/subnet.rb", "lib/fog/openstack/models/network/subnets.rb", "lib/fog/openstack/models/storage/directories.rb", "lib/fog/openstack/models/storage/directory.rb", "lib/fog/openstack/models/storage/file.rb", "lib/fog/openstack/models/storage/files.rb", "lib/fog/openstack/models/volume/volume.rb", "lib/fog/openstack/models/volume/volumes.rb", "lib/fog/openstack/network.rb", "lib/fog/openstack/requests/compute/add_fixed_ip.rb", "lib/fog/openstack/requests/compute/add_flavor_access.rb", "lib/fog/openstack/requests/compute/allocate_address.rb", "lib/fog/openstack/requests/compute/associate_address.rb", "lib/fog/openstack/requests/compute/attach_volume.rb", "lib/fog/openstack/requests/compute/boot_from_snapshot.rb", "lib/fog/openstack/requests/compute/change_server_password.rb", "lib/fog/openstack/requests/compute/confirm_resize_server.rb", "lib/fog/openstack/requests/compute/create_flavor.rb", "lib/fog/openstack/requests/compute/create_image.rb", "lib/fog/openstack/requests/compute/create_key_pair.rb", "lib/fog/openstack/requests/compute/create_security_group.rb", "lib/fog/openstack/requests/compute/create_security_group_rule.rb", "lib/fog/openstack/requests/compute/create_server.rb", "lib/fog/openstack/requests/compute/create_volume.rb", "lib/fog/openstack/requests/compute/create_volume_snapshot.rb", "lib/fog/openstack/requests/compute/delete_flavor.rb", "lib/fog/openstack/requests/compute/delete_image.rb", "lib/fog/openstack/requests/compute/delete_key_pair.rb", "lib/fog/openstack/requests/compute/delete_meta.rb", "lib/fog/openstack/requests/compute/delete_metadata.rb", "lib/fog/openstack/requests/compute/delete_security_group.rb", "lib/fog/openstack/requests/compute/delete_security_group_rule.rb", "lib/fog/openstack/requests/compute/delete_server.rb", "lib/fog/openstack/requests/compute/delete_snapshot.rb", "lib/fog/openstack/requests/compute/delete_volume.rb", "lib/fog/openstack/requests/compute/detach_volume.rb", "lib/fog/openstack/requests/compute/disassociate_address.rb", "lib/fog/openstack/requests/compute/get_address.rb", "lib/fog/openstack/requests/compute/get_console_output.rb", "lib/fog/openstack/requests/compute/get_flavor_details.rb", "lib/fog/openstack/requests/compute/get_host_details.rb", "lib/fog/openstack/requests/compute/get_image_details.rb", "lib/fog/openstack/requests/compute/get_limits.rb", "lib/fog/openstack/requests/compute/get_metadata.rb", "lib/fog/openstack/requests/compute/get_quota.rb", "lib/fog/openstack/requests/compute/get_quota_defaults.rb", "lib/fog/openstack/requests/compute/get_security_group.rb", "lib/fog/openstack/requests/compute/get_server_details.rb", "lib/fog/openstack/requests/compute/get_server_volumes.rb", "lib/fog/openstack/requests/compute/get_snapshot_details.rb", "lib/fog/openstack/requests/compute/get_usage.rb", "lib/fog/openstack/requests/compute/get_vnc_console.rb", "lib/fog/openstack/requests/compute/get_volume_details.rb", "lib/fog/openstack/requests/compute/list_address_pools.rb", "lib/fog/openstack/requests/compute/list_addresses.rb", "lib/fog/openstack/requests/compute/list_all_addresses.rb", "lib/fog/openstack/requests/compute/list_flavors.rb", "lib/fog/openstack/requests/compute/list_flavors_detail.rb", "lib/fog/openstack/requests/compute/list_hosts.rb", "lib/fog/openstack/requests/compute/list_images.rb", "lib/fog/openstack/requests/compute/list_images_detail.rb", "lib/fog/openstack/requests/compute/list_key_pairs.rb", "lib/fog/openstack/requests/compute/list_metadata.rb", "lib/fog/openstack/requests/compute/list_private_addresses.rb", "lib/fog/openstack/requests/compute/list_public_addresses.rb", "lib/fog/openstack/requests/compute/list_security_groups.rb", "lib/fog/openstack/requests/compute/list_servers.rb", "lib/fog/openstack/requests/compute/list_servers_detail.rb", "lib/fog/openstack/requests/compute/list_snapshots.rb", "lib/fog/openstack/requests/compute/list_tenants.rb", "lib/fog/openstack/requests/compute/list_tenants_with_flavor_access.rb", "lib/fog/openstack/requests/compute/list_usages.rb", "lib/fog/openstack/requests/compute/list_volumes.rb", "lib/fog/openstack/requests/compute/live_migrate_server.rb", "lib/fog/openstack/requests/compute/migrate_server.rb", "lib/fog/openstack/requests/compute/pause_server.rb", "lib/fog/openstack/requests/compute/reboot_server.rb", "lib/fog/openstack/requests/compute/rebuild_server.rb", "lib/fog/openstack/requests/compute/release_address.rb", "lib/fog/openstack/requests/compute/remove_fixed_ip.rb", "lib/fog/openstack/requests/compute/remove_flavor_access.rb", "lib/fog/openstack/requests/compute/rescue_server.rb", "lib/fog/openstack/requests/compute/reset_server_state.rb", "lib/fog/openstack/requests/compute/resize_server.rb", "lib/fog/openstack/requests/compute/resume_server.rb", "lib/fog/openstack/requests/compute/revert_resize_server.rb", "lib/fog/openstack/requests/compute/server_action.rb", "lib/fog/openstack/requests/compute/server_actions.rb", "lib/fog/openstack/requests/compute/server_diagnostics.rb", "lib/fog/openstack/requests/compute/set_metadata.rb", "lib/fog/openstack/requests/compute/set_tenant.rb", "lib/fog/openstack/requests/compute/suspend_server.rb", "lib/fog/openstack/requests/compute/unpause_server.rb", "lib/fog/openstack/requests/compute/update_meta.rb", "lib/fog/openstack/requests/compute/update_metadata.rb", "lib/fog/openstack/requests/compute/update_quota.rb", "lib/fog/openstack/requests/compute/update_server.rb", "lib/fog/openstack/requests/identity/add_user_to_tenant.rb", "lib/fog/openstack/requests/identity/check_token.rb", "lib/fog/openstack/requests/identity/create_ec2_credential.rb", "lib/fog/openstack/requests/identity/create_role.rb", "lib/fog/openstack/requests/identity/create_tenant.rb", "lib/fog/openstack/requests/identity/create_user.rb", "lib/fog/openstack/requests/identity/create_user_role.rb", "lib/fog/openstack/requests/identity/delete_ec2_credential.rb", "lib/fog/openstack/requests/identity/delete_role.rb", "lib/fog/openstack/requests/identity/delete_tenant.rb", "lib/fog/openstack/requests/identity/delete_user.rb", "lib/fog/openstack/requests/identity/delete_user_role.rb", "lib/fog/openstack/requests/identity/get_ec2_credential.rb", "lib/fog/openstack/requests/identity/get_role.rb", "lib/fog/openstack/requests/identity/get_tenant.rb", "lib/fog/openstack/requests/identity/get_tenants_by_id.rb", "lib/fog/openstack/requests/identity/get_tenants_by_name.rb", "lib/fog/openstack/requests/identity/get_user_by_id.rb", "lib/fog/openstack/requests/identity/get_user_by_name.rb", "lib/fog/openstack/requests/identity/list_ec2_credentials.rb", "lib/fog/openstack/requests/identity/list_endpoints_for_token.rb", "lib/fog/openstack/requests/identity/list_roles.rb", "lib/fog/openstack/requests/identity/list_roles_for_user_on_tenant.rb", "lib/fog/openstack/requests/identity/list_tenants.rb", "lib/fog/openstack/requests/identity/list_user_global_roles.rb", "lib/fog/openstack/requests/identity/list_users.rb", "lib/fog/openstack/requests/identity/remove_user_from_tenant.rb", "lib/fog/openstack/requests/identity/set_tenant.rb", "lib/fog/openstack/requests/identity/update_tenant.rb", "lib/fog/openstack/requests/identity/update_user.rb", "lib/fog/openstack/requests/identity/validate_token.rb", "lib/fog/openstack/requests/image/add_member_to_image.rb", "lib/fog/openstack/requests/image/create_image.rb", "lib/fog/openstack/requests/image/delete_image.rb", "lib/fog/openstack/requests/image/get_image.rb", "lib/fog/openstack/requests/image/get_image_by_id.rb", "lib/fog/openstack/requests/image/get_image_members.rb", "lib/fog/openstack/requests/image/get_shared_images.rb", "lib/fog/openstack/requests/image/list_public_images.rb", "lib/fog/openstack/requests/image/list_public_images_detailed.rb", "lib/fog/openstack/requests/image/remove_member_from_image.rb", "lib/fog/openstack/requests/image/set_tenant.rb", "lib/fog/openstack/requests/image/update_image.rb", "lib/fog/openstack/requests/image/update_image_members.rb", "lib/fog/openstack/requests/network/add_router_interface.rb", "lib/fog/openstack/requests/network/associate_floating_ip.rb", "lib/fog/openstack/requests/network/associate_lb_health_monitor.rb", "lib/fog/openstack/requests/network/create_floating_ip.rb", "lib/fog/openstack/requests/network/create_lb_health_monitor.rb", "lib/fog/openstack/requests/network/create_lb_member.rb", "lib/fog/openstack/requests/network/create_lb_pool.rb", "lib/fog/openstack/requests/network/create_lb_vip.rb", "lib/fog/openstack/requests/network/create_network.rb", "lib/fog/openstack/requests/network/create_port.rb", "lib/fog/openstack/requests/network/create_router.rb", "lib/fog/openstack/requests/network/create_subnet.rb", "lib/fog/openstack/requests/network/delete_floating_ip.rb", "lib/fog/openstack/requests/network/delete_lb_health_monitor.rb", "lib/fog/openstack/requests/network/delete_lb_member.rb", "lib/fog/openstack/requests/network/delete_lb_pool.rb", "lib/fog/openstack/requests/network/delete_lb_vip.rb", "lib/fog/openstack/requests/network/delete_network.rb", "lib/fog/openstack/requests/network/delete_port.rb", "lib/fog/openstack/requests/network/delete_router.rb", "lib/fog/openstack/requests/network/delete_subnet.rb", "lib/fog/openstack/requests/network/disassociate_floating_ip.rb", "lib/fog/openstack/requests/network/disassociate_lb_health_monitor.rb", "lib/fog/openstack/requests/network/get_floating_ip.rb", "lib/fog/openstack/requests/network/get_lb_health_monitor.rb", "lib/fog/openstack/requests/network/get_lb_member.rb", "lib/fog/openstack/requests/network/get_lb_pool.rb", "lib/fog/openstack/requests/network/get_lb_pool_stats.rb", "lib/fog/openstack/requests/network/get_lb_vip.rb", "lib/fog/openstack/requests/network/get_network.rb", "lib/fog/openstack/requests/network/get_port.rb", "lib/fog/openstack/requests/network/get_router.rb", "lib/fog/openstack/requests/network/get_subnet.rb", "lib/fog/openstack/requests/network/list_floating_ips.rb", "lib/fog/openstack/requests/network/list_lb_health_monitors.rb", "lib/fog/openstack/requests/network/list_lb_members.rb", "lib/fog/openstack/requests/network/list_lb_pools.rb", "lib/fog/openstack/requests/network/list_lb_vips.rb", "lib/fog/openstack/requests/network/list_networks.rb", "lib/fog/openstack/requests/network/list_ports.rb", "lib/fog/openstack/requests/network/list_routers.rb", "lib/fog/openstack/requests/network/list_subnets.rb", "lib/fog/openstack/requests/network/remove_router_interface.rb", "lib/fog/openstack/requests/network/set_tenant.rb", "lib/fog/openstack/requests/network/update_lb_health_monitor.rb", "lib/fog/openstack/requests/network/update_lb_member.rb", "lib/fog/openstack/requests/network/update_lb_pool.rb", "lib/fog/openstack/requests/network/update_lb_vip.rb", "lib/fog/openstack/requests/network/update_network.rb", "lib/fog/openstack/requests/network/update_port.rb", "lib/fog/openstack/requests/network/update_router.rb", "lib/fog/openstack/requests/network/update_subnet.rb", "lib/fog/openstack/requests/storage/copy_object.rb", "lib/fog/openstack/requests/storage/delete_container.rb", "lib/fog/openstack/requests/storage/delete_object.rb", "lib/fog/openstack/requests/storage/get_container.rb", "lib/fog/openstack/requests/storage/get_containers.rb", "lib/fog/openstack/requests/storage/get_object.rb", "lib/fog/openstack/requests/storage/get_object_https_url.rb", "lib/fog/openstack/requests/storage/head_container.rb", "lib/fog/openstack/requests/storage/head_containers.rb", "lib/fog/openstack/requests/storage/head_object.rb", "lib/fog/openstack/requests/storage/post_set_meta_temp_url_key.rb", "lib/fog/openstack/requests/storage/put_container.rb", "lib/fog/openstack/requests/storage/put_object.rb", "lib/fog/openstack/requests/storage/put_object_manifest.rb", "lib/fog/openstack/requests/volume/create_volume.rb", "lib/fog/openstack/requests/volume/create_volume_snapshot.rb", "lib/fog/openstack/requests/volume/delete_snapshot.rb", "lib/fog/openstack/requests/volume/delete_volume.rb", "lib/fog/openstack/requests/volume/get_quota.rb", "lib/fog/openstack/requests/volume/get_quota_defaults.rb", "lib/fog/openstack/requests/volume/get_snapshot_details.rb", "lib/fog/openstack/requests/volume/get_volume_details.rb", "lib/fog/openstack/requests/volume/list_snapshots.rb", "lib/fog/openstack/requests/volume/list_volumes.rb", "lib/fog/openstack/requests/volume/set_tenant.rb", "lib/fog/openstack/requests/volume/update_quota.rb", "lib/fog/openstack/storage.rb", "lib/fog/openstack/volume.rb", "lib/fog/openvz.rb", "lib/fog/openvz/README.md", "lib/fog/openvz/compute.rb", "lib/fog/openvz/models/compute/server.rb", "lib/fog/openvz/models/compute/servers.rb", "lib/fog/openvz/requests/compute/compact_server.rb", "lib/fog/openvz/requests/compute/convert_server.rb", "lib/fog/openvz/requests/compute/create_server.rb", "lib/fog/openvz/requests/compute/destroy_server.rb", "lib/fog/openvz/requests/compute/exec2_server.rb", "lib/fog/openvz/requests/compute/exec_server.rb", "lib/fog/openvz/requests/compute/get_server_details.rb", "lib/fog/openvz/requests/compute/list_servers.rb", "lib/fog/openvz/requests/compute/mount_server.rb", "lib/fog/openvz/requests/compute/quotainit_server.rb", "lib/fog/openvz/requests/compute/quotaoff_server.rb", "lib/fog/openvz/requests/compute/quotaon_server.rb", "lib/fog/openvz/requests/compute/restart_server.rb", "lib/fog/openvz/requests/compute/resume_server.rb", "lib/fog/openvz/requests/compute/runscript_server.rb", "lib/fog/openvz/requests/compute/set_server.rb", "lib/fog/openvz/requests/compute/snapshot_delete_server.rb", "lib/fog/openvz/requests/compute/snapshot_list_server.rb", "lib/fog/openvz/requests/compute/snapshot_mount_server.rb", "lib/fog/openvz/requests/compute/snapshot_server.rb", "lib/fog/openvz/requests/compute/snapshot_switch_server.rb", "lib/fog/openvz/requests/compute/snapshot_umount_server.rb", "lib/fog/openvz/requests/compute/start_server.rb", "lib/fog/openvz/requests/compute/status_server.rb", "lib/fog/openvz/requests/compute/stop_server.rb", "lib/fog/openvz/requests/compute/suspend_server.rb", "lib/fog/openvz/requests/compute/umount_server.rb", "lib/fog/ovirt.rb", "lib/fog/ovirt/compute.rb", "lib/fog/ovirt/models/compute/cluster.rb", "lib/fog/ovirt/models/compute/clusters.rb", "lib/fog/ovirt/models/compute/interface.rb", "lib/fog/ovirt/models/compute/interfaces.rb", "lib/fog/ovirt/models/compute/quota.rb", "lib/fog/ovirt/models/compute/quotas.rb", "lib/fog/ovirt/models/compute/server.rb", "lib/fog/ovirt/models/compute/servers.rb", "lib/fog/ovirt/models/compute/template.rb", "lib/fog/ovirt/models/compute/templates.rb", "lib/fog/ovirt/models/compute/volume.rb", "lib/fog/ovirt/models/compute/volumes.rb", "lib/fog/ovirt/requests/compute/add_interface.rb", "lib/fog/ovirt/requests/compute/add_volume.rb", "lib/fog/ovirt/requests/compute/create_vm.rb", "lib/fog/ovirt/requests/compute/datacenters.rb", "lib/fog/ovirt/requests/compute/destroy_interface.rb", "lib/fog/ovirt/requests/compute/destroy_vm.rb", "lib/fog/ovirt/requests/compute/destroy_volume.rb", "lib/fog/ovirt/requests/compute/get_api_version.rb", "lib/fog/ovirt/requests/compute/get_cluster.rb", "lib/fog/ovirt/requests/compute/get_quota.rb", "lib/fog/ovirt/requests/compute/get_template.rb", "lib/fog/ovirt/requests/compute/get_virtual_machine.rb", "lib/fog/ovirt/requests/compute/list_clusters.rb", "lib/fog/ovirt/requests/compute/list_networks.rb", "lib/fog/ovirt/requests/compute/list_quotas.rb", "lib/fog/ovirt/requests/compute/list_template_interfaces.rb", "lib/fog/ovirt/requests/compute/list_template_volumes.rb", "lib/fog/ovirt/requests/compute/list_templates.rb", "lib/fog/ovirt/requests/compute/list_virtual_machines.rb", "lib/fog/ovirt/requests/compute/list_vm_interfaces.rb", "lib/fog/ovirt/requests/compute/list_vm_volumes.rb", "lib/fog/ovirt/requests/compute/mock_files/cluster.xml", "lib/fog/ovirt/requests/compute/mock_files/clusters.xml", "lib/fog/ovirt/requests/compute/mock_files/data_centers.xml", "lib/fog/ovirt/requests/compute/mock_files/nics.xml", "lib/fog/ovirt/requests/compute/mock_files/quotas.xml", "lib/fog/ovirt/requests/compute/mock_files/storage_domains.xml", "lib/fog/ovirt/requests/compute/mock_files/template.xml", "lib/fog/ovirt/requests/compute/mock_files/templates.xml", "lib/fog/ovirt/requests/compute/mock_files/vm.xml", "lib/fog/ovirt/requests/compute/mock_files/vms.xml", "lib/fog/ovirt/requests/compute/mock_files/volumes.xml", "lib/fog/ovirt/requests/compute/storage_domains.rb", "lib/fog/ovirt/requests/compute/update_interface.rb", "lib/fog/ovirt/requests/compute/update_vm.rb", "lib/fog/ovirt/requests/compute/vm_action.rb", "lib/fog/ovirt/requests/compute/vm_ticket.rb", "lib/fog/rackspace.rb", "lib/fog/rackspace/block_storage.rb", "lib/fog/rackspace/cdn.rb", "lib/fog/rackspace/compute.rb", "lib/fog/rackspace/compute_v2.rb", "lib/fog/rackspace/databases.rb", "lib/fog/rackspace/dns.rb", "lib/fog/rackspace/docs/block_storage.md", "lib/fog/rackspace/docs/compute_v2.md", "lib/fog/rackspace/docs/getting_started.md", "lib/fog/rackspace/docs/storage.md", "lib/fog/rackspace/errors.rb", "lib/fog/rackspace/examples/README.md", "lib/fog/rackspace/examples/block_storage/create_snapshot.rb", "lib/fog/rackspace/examples/block_storage/create_volume.rb", "lib/fog/rackspace/examples/block_storage/delete_volume.rb", "lib/fog/rackspace/examples/compute_v2/create_image.rb", "lib/fog/rackspace/examples/compute_v2/create_server.rb", "lib/fog/rackspace/examples/compute_v2/delete_image.rb", "lib/fog/rackspace/examples/compute_v2/delete_server.rb", "lib/fog/rackspace/examples/compute_v2/detach_volume.rb", "lib/fog/rackspace/examples/compute_v2/resize_server.rb", "lib/fog/rackspace/examples/compute_v2/server_attachments.rb", "lib/fog/rackspace/examples/compute_v2/server_metadata.rb", "lib/fog/rackspace/examples/storage/create_cdn_directory.rb", "lib/fog/rackspace/examples/storage/create_private_directory.rb", "lib/fog/rackspace/examples/storage/delete_directory.rb", "lib/fog/rackspace/examples/storage/delete_file.rb", "lib/fog/rackspace/examples/storage/download_file.rb", "lib/fog/rackspace/examples/storage/lorem.txt", "lib/fog/rackspace/examples/storage/storage_metadata.rb", "lib/fog/rackspace/examples/storage/upload_file.rb", "lib/fog/rackspace/examples/storage/upload_large_files.rb", "lib/fog/rackspace/identity.rb", "lib/fog/rackspace/load_balancers.rb", "lib/fog/rackspace/mock_data.rb", "lib/fog/rackspace/models/block_storage/snapshot.rb", "lib/fog/rackspace/models/block_storage/snapshots.rb", "lib/fog/rackspace/models/block_storage/volume.rb", "lib/fog/rackspace/models/block_storage/volume_type.rb", "lib/fog/rackspace/models/block_storage/volume_types.rb", "lib/fog/rackspace/models/block_storage/volumes.rb", "lib/fog/rackspace/models/compute/flavor.rb", "lib/fog/rackspace/models/compute/flavors.rb", "lib/fog/rackspace/models/compute/image.rb", "lib/fog/rackspace/models/compute/images.rb", "lib/fog/rackspace/models/compute/server.rb", "lib/fog/rackspace/models/compute/servers.rb", "lib/fog/rackspace/models/compute_v2/attachment.rb", "lib/fog/rackspace/models/compute_v2/attachments.rb", "lib/fog/rackspace/models/compute_v2/flavor.rb", "lib/fog/rackspace/models/compute_v2/flavors.rb", "lib/fog/rackspace/models/compute_v2/image.rb", "lib/fog/rackspace/models/compute_v2/images.rb", "lib/fog/rackspace/models/compute_v2/meta_parent.rb", "lib/fog/rackspace/models/compute_v2/metadata.rb", "lib/fog/rackspace/models/compute_v2/metadatum.rb", "lib/fog/rackspace/models/compute_v2/network.rb", "lib/fog/rackspace/models/compute_v2/networks.rb", "lib/fog/rackspace/models/compute_v2/server.rb", "lib/fog/rackspace/models/compute_v2/servers.rb", "lib/fog/rackspace/models/databases/database.rb", "lib/fog/rackspace/models/databases/databases.rb", "lib/fog/rackspace/models/databases/flavor.rb", "lib/fog/rackspace/models/databases/flavors.rb", "lib/fog/rackspace/models/databases/instance.rb", "lib/fog/rackspace/models/databases/instances.rb", "lib/fog/rackspace/models/databases/user.rb", "lib/fog/rackspace/models/databases/users.rb", "lib/fog/rackspace/models/dns/callback.rb", "lib/fog/rackspace/models/dns/record.rb", "lib/fog/rackspace/models/dns/records.rb", "lib/fog/rackspace/models/dns/zone.rb", "lib/fog/rackspace/models/dns/zones.rb", "lib/fog/rackspace/models/identity/credential.rb", "lib/fog/rackspace/models/identity/credentials.rb", "lib/fog/rackspace/models/identity/role.rb", "lib/fog/rackspace/models/identity/roles.rb", "lib/fog/rackspace/models/identity/service_catalog.rb", "lib/fog/rackspace/models/identity/tenant.rb", "lib/fog/rackspace/models/identity/tenants.rb", "lib/fog/rackspace/models/identity/user.rb", "lib/fog/rackspace/models/identity/users.rb", "lib/fog/rackspace/models/load_balancers/access_rule.rb", "lib/fog/rackspace/models/load_balancers/access_rules.rb", "lib/fog/rackspace/models/load_balancers/load_balancer.rb", "lib/fog/rackspace/models/load_balancers/load_balancers.rb", "lib/fog/rackspace/models/load_balancers/node.rb", "lib/fog/rackspace/models/load_balancers/nodes.rb", "lib/fog/rackspace/models/load_balancers/virtual_ip.rb", "lib/fog/rackspace/models/load_balancers/virtual_ips.rb", "lib/fog/rackspace/models/storage/account.rb", "lib/fog/rackspace/models/storage/directories.rb", "lib/fog/rackspace/models/storage/directory.rb", "lib/fog/rackspace/models/storage/file.rb", "lib/fog/rackspace/models/storage/files.rb", "lib/fog/rackspace/models/storage/metadata.rb", "lib/fog/rackspace/requests/block_storage/create_snapshot.rb", "lib/fog/rackspace/requests/block_storage/create_volume.rb", "lib/fog/rackspace/requests/block_storage/delete_snapshot.rb", "lib/fog/rackspace/requests/block_storage/delete_volume.rb", "lib/fog/rackspace/requests/block_storage/get_snapshot.rb", "lib/fog/rackspace/requests/block_storage/get_volume.rb", "lib/fog/rackspace/requests/block_storage/get_volume_type.rb", "lib/fog/rackspace/requests/block_storage/list_snapshots.rb", "lib/fog/rackspace/requests/block_storage/list_volume_types.rb", "lib/fog/rackspace/requests/block_storage/list_volumes.rb", "lib/fog/rackspace/requests/cdn/delete_object.rb", "lib/fog/rackspace/requests/cdn/get_containers.rb", "lib/fog/rackspace/requests/cdn/head_container.rb", "lib/fog/rackspace/requests/cdn/post_container.rb", "lib/fog/rackspace/requests/cdn/put_container.rb", "lib/fog/rackspace/requests/compute/confirm_resized_server.rb", "lib/fog/rackspace/requests/compute/create_image.rb", "lib/fog/rackspace/requests/compute/create_server.rb", "lib/fog/rackspace/requests/compute/delete_image.rb", "lib/fog/rackspace/requests/compute/delete_server.rb", "lib/fog/rackspace/requests/compute/get_flavor_details.rb", "lib/fog/rackspace/requests/compute/get_image_details.rb", "lib/fog/rackspace/requests/compute/get_server_details.rb", "lib/fog/rackspace/requests/compute/list_addresses.rb", "lib/fog/rackspace/requests/compute/list_flavors.rb", "lib/fog/rackspace/requests/compute/list_flavors_detail.rb", "lib/fog/rackspace/requests/compute/list_images.rb", "lib/fog/rackspace/requests/compute/list_images_detail.rb", "lib/fog/rackspace/requests/compute/list_private_addresses.rb", "lib/fog/rackspace/requests/compute/list_public_addresses.rb", "lib/fog/rackspace/requests/compute/list_servers.rb", "lib/fog/rackspace/requests/compute/list_servers_detail.rb", "lib/fog/rackspace/requests/compute/reboot_server.rb", "lib/fog/rackspace/requests/compute/resize_server.rb", "lib/fog/rackspace/requests/compute/revert_resized_server.rb", "lib/fog/rackspace/requests/compute/server_action.rb", "lib/fog/rackspace/requests/compute/update_server.rb", "lib/fog/rackspace/requests/compute_v2/attach_volume.rb", "lib/fog/rackspace/requests/compute_v2/change_server_password.rb", "lib/fog/rackspace/requests/compute_v2/confirm_resize_server.rb", "lib/fog/rackspace/requests/compute_v2/create_image.rb", "lib/fog/rackspace/requests/compute_v2/create_network.rb", "lib/fog/rackspace/requests/compute_v2/create_server.rb", "lib/fog/rackspace/requests/compute_v2/delete_attachment.rb", "lib/fog/rackspace/requests/compute_v2/delete_image.rb", "lib/fog/rackspace/requests/compute_v2/delete_metadata_item.rb", "lib/fog/rackspace/requests/compute_v2/delete_network.rb", "lib/fog/rackspace/requests/compute_v2/delete_server.rb", "lib/fog/rackspace/requests/compute_v2/get_attachment.rb", "lib/fog/rackspace/requests/compute_v2/get_flavor.rb", "lib/fog/rackspace/requests/compute_v2/get_image.rb", "lib/fog/rackspace/requests/compute_v2/get_metadata_item.rb", "lib/fog/rackspace/requests/compute_v2/get_network.rb", "lib/fog/rackspace/requests/compute_v2/get_server.rb", "lib/fog/rackspace/requests/compute_v2/list_addresses.rb", "lib/fog/rackspace/requests/compute_v2/list_addresses_by_network.rb", "lib/fog/rackspace/requests/compute_v2/list_attachments.rb", "lib/fog/rackspace/requests/compute_v2/list_flavors.rb", "lib/fog/rackspace/requests/compute_v2/list_images.rb", "lib/fog/rackspace/requests/compute_v2/list_metadata.rb", "lib/fog/rackspace/requests/compute_v2/list_networks.rb", "lib/fog/rackspace/requests/compute_v2/list_servers.rb", "lib/fog/rackspace/requests/compute_v2/reboot_server.rb", "lib/fog/rackspace/requests/compute_v2/rebuild_server.rb", "lib/fog/rackspace/requests/compute_v2/rescue_server.rb", "lib/fog/rackspace/requests/compute_v2/resize_server.rb", "lib/fog/rackspace/requests/compute_v2/revert_resize_server.rb", "lib/fog/rackspace/requests/compute_v2/set_metadata.rb", "lib/fog/rackspace/requests/compute_v2/set_metadata_item.rb", "lib/fog/rackspace/requests/compute_v2/unrescue_server.rb", "lib/fog/rackspace/requests/compute_v2/update_metadata.rb", "lib/fog/rackspace/requests/compute_v2/update_server.rb", "lib/fog/rackspace/requests/databases/check_root_user.rb", "lib/fog/rackspace/requests/databases/create_database.rb", "lib/fog/rackspace/requests/databases/create_instance.rb", "lib/fog/rackspace/requests/databases/create_user.rb", "lib/fog/rackspace/requests/databases/delete_database.rb", "lib/fog/rackspace/requests/databases/delete_instance.rb", "lib/fog/rackspace/requests/databases/delete_user.rb", "lib/fog/rackspace/requests/databases/enable_root_user.rb", "lib/fog/rackspace/requests/databases/get_flavor.rb", "lib/fog/rackspace/requests/databases/get_instance.rb", "lib/fog/rackspace/requests/databases/list_databases.rb", "lib/fog/rackspace/requests/databases/list_flavors.rb", "lib/fog/rackspace/requests/databases/list_instances.rb", "lib/fog/rackspace/requests/databases/list_users.rb", "lib/fog/rackspace/requests/databases/resize_instance.rb", "lib/fog/rackspace/requests/databases/resize_instance_volume.rb", "lib/fog/rackspace/requests/databases/restart_instance.rb", "lib/fog/rackspace/requests/dns/add_records.rb", "lib/fog/rackspace/requests/dns/callback.rb", "lib/fog/rackspace/requests/dns/create_domains.rb", "lib/fog/rackspace/requests/dns/list_domain_details.rb", "lib/fog/rackspace/requests/dns/list_domains.rb", "lib/fog/rackspace/requests/dns/list_record_details.rb", "lib/fog/rackspace/requests/dns/list_records.rb", "lib/fog/rackspace/requests/dns/list_subdomains.rb", "lib/fog/rackspace/requests/dns/modify_domain.rb", "lib/fog/rackspace/requests/dns/modify_record.rb", "lib/fog/rackspace/requests/dns/remove_domain.rb", "lib/fog/rackspace/requests/dns/remove_domains.rb", "lib/fog/rackspace/requests/dns/remove_record.rb", "lib/fog/rackspace/requests/dns/remove_records.rb", "lib/fog/rackspace/requests/identity/create_token.rb", "lib/fog/rackspace/requests/identity/create_user.rb", "lib/fog/rackspace/requests/identity/delete_user.rb", "lib/fog/rackspace/requests/identity/get_user_by_id.rb", "lib/fog/rackspace/requests/identity/get_user_by_name.rb", "lib/fog/rackspace/requests/identity/list_credentials.rb", "lib/fog/rackspace/requests/identity/list_tenants.rb", "lib/fog/rackspace/requests/identity/list_user_roles.rb", "lib/fog/rackspace/requests/identity/list_users.rb", "lib/fog/rackspace/requests/identity/update_user.rb", "lib/fog/rackspace/requests/load_balancers/create_access_rule.rb", "lib/fog/rackspace/requests/load_balancers/create_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/create_node.rb", "lib/fog/rackspace/requests/load_balancers/create_virtual_ip.rb", "lib/fog/rackspace/requests/load_balancers/delete_access_rule.rb", "lib/fog/rackspace/requests/load_balancers/delete_all_access_rules.rb", "lib/fog/rackspace/requests/load_balancers/delete_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/delete_node.rb", "lib/fog/rackspace/requests/load_balancers/delete_nodes.rb", "lib/fog/rackspace/requests/load_balancers/delete_virtual_ip.rb", "lib/fog/rackspace/requests/load_balancers/get_connection_logging.rb", "lib/fog/rackspace/requests/load_balancers/get_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/get_content_caching.rb", "lib/fog/rackspace/requests/load_balancers/get_error_page.rb", "lib/fog/rackspace/requests/load_balancers/get_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/get_load_balancer_usage.rb", "lib/fog/rackspace/requests/load_balancers/get_monitor.rb", "lib/fog/rackspace/requests/load_balancers/get_node.rb", "lib/fog/rackspace/requests/load_balancers/get_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/get_ssl_termination.rb", "lib/fog/rackspace/requests/load_balancers/get_usage.rb", "lib/fog/rackspace/requests/load_balancers/list_access_rules.rb", "lib/fog/rackspace/requests/load_balancers/list_algorithms.rb", "lib/fog/rackspace/requests/load_balancers/list_load_balancers.rb", "lib/fog/rackspace/requests/load_balancers/list_nodes.rb", "lib/fog/rackspace/requests/load_balancers/list_protocols.rb", "lib/fog/rackspace/requests/load_balancers/list_virtual_ips.rb", "lib/fog/rackspace/requests/load_balancers/remove_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/remove_error_page.rb", "lib/fog/rackspace/requests/load_balancers/remove_monitor.rb", "lib/fog/rackspace/requests/load_balancers/remove_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/remove_ssl_termination.rb", "lib/fog/rackspace/requests/load_balancers/set_connection_logging.rb", "lib/fog/rackspace/requests/load_balancers/set_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/set_content_caching.rb", "lib/fog/rackspace/requests/load_balancers/set_error_page.rb", "lib/fog/rackspace/requests/load_balancers/set_monitor.rb", "lib/fog/rackspace/requests/load_balancers/set_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/set_ssl_termination.rb", "lib/fog/rackspace/requests/load_balancers/update_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/update_node.rb", "lib/fog/rackspace/requests/storage/copy_object.rb", "lib/fog/rackspace/requests/storage/delete_container.rb", "lib/fog/rackspace/requests/storage/delete_object.rb", "lib/fog/rackspace/requests/storage/get_container.rb", "lib/fog/rackspace/requests/storage/get_containers.rb", "lib/fog/rackspace/requests/storage/get_object.rb", "lib/fog/rackspace/requests/storage/get_object_https_url.rb", "lib/fog/rackspace/requests/storage/head_container.rb", "lib/fog/rackspace/requests/storage/head_containers.rb", "lib/fog/rackspace/requests/storage/head_object.rb", "lib/fog/rackspace/requests/storage/post_set_meta_temp_url_key.rb", "lib/fog/rackspace/requests/storage/put_container.rb", "lib/fog/rackspace/requests/storage/put_object.rb", "lib/fog/rackspace/requests/storage/put_object_manifest.rb", "lib/fog/rackspace/service.rb", "lib/fog/rackspace/storage.rb", "lib/fog/riakcs.rb", "lib/fog/riakcs/provisioning.rb", "lib/fog/riakcs/requests/provisioning/create_user.rb", "lib/fog/riakcs/requests/provisioning/disable_user.rb", "lib/fog/riakcs/requests/provisioning/enable_user.rb", "lib/fog/riakcs/requests/provisioning/get_user.rb", "lib/fog/riakcs/requests/provisioning/list_users.rb", "lib/fog/riakcs/requests/provisioning/regrant_secret.rb", "lib/fog/riakcs/requests/provisioning/update_user.rb", "lib/fog/riakcs/requests/usage/get_usage.rb", "lib/fog/riakcs/usage.rb", "lib/fog/schema/data_validator.rb", "lib/fog/serverlove.rb", "lib/fog/serverlove/compute.rb", "lib/fog/serverlove/models/compute/image.rb", "lib/fog/serverlove/models/compute/images.rb", "lib/fog/serverlove/models/compute/server.rb", "lib/fog/serverlove/models/compute/servers.rb", "lib/fog/serverlove/requests/compute/create_image.rb", "lib/fog/serverlove/requests/compute/create_server.rb", "lib/fog/serverlove/requests/compute/destroy_image.rb", "lib/fog/serverlove/requests/compute/destroy_server.rb", "lib/fog/serverlove/requests/compute/get_image.rb", "lib/fog/serverlove/requests/compute/get_images.rb", "lib/fog/serverlove/requests/compute/get_server.rb", "lib/fog/serverlove/requests/compute/get_servers.rb", "lib/fog/serverlove/requests/compute/load_standard_image.rb", "lib/fog/serverlove/requests/compute/reset_server.rb", "lib/fog/serverlove/requests/compute/shutdown_server.rb", "lib/fog/serverlove/requests/compute/start_server.rb", "lib/fog/serverlove/requests/compute/stop_server.rb", "lib/fog/serverlove/requests/compute/update_image.rb", "lib/fog/serverlove/requests/compute/update_server.rb", "lib/fog/serverlove/util/compute/password_generator.rb", "lib/fog/storage.rb", "lib/fog/storm_on_demand.rb", "lib/fog/storm_on_demand/README.md", "lib/fog/storm_on_demand/account.rb", "lib/fog/storm_on_demand/billing.rb", "lib/fog/storm_on_demand/compute.rb", "lib/fog/storm_on_demand/dns.rb", "lib/fog/storm_on_demand/models/account/token.rb", "lib/fog/storm_on_demand/models/account/tokens.rb", "lib/fog/storm_on_demand/models/billing/invoice.rb", "lib/fog/storm_on_demand/models/billing/invoices.rb", "lib/fog/storm_on_demand/models/billing/payment.rb", "lib/fog/storm_on_demand/models/billing/payments.rb", "lib/fog/storm_on_demand/models/compute/config.rb", "lib/fog/storm_on_demand/models/compute/configs.rb", "lib/fog/storm_on_demand/models/compute/image.rb", "lib/fog/storm_on_demand/models/compute/images.rb", "lib/fog/storm_on_demand/models/compute/notification.rb", "lib/fog/storm_on_demand/models/compute/notifications.rb", "lib/fog/storm_on_demand/models/compute/product.rb", "lib/fog/storm_on_demand/models/compute/products.rb", "lib/fog/storm_on_demand/models/compute/server.rb", "lib/fog/storm_on_demand/models/compute/servers.rb", "lib/fog/storm_on_demand/models/compute/template.rb", "lib/fog/storm_on_demand/models/compute/templates.rb", "lib/fog/storm_on_demand/models/dns/domain.rb", "lib/fog/storm_on_demand/models/dns/domains.rb", "lib/fog/storm_on_demand/models/dns/record.rb", "lib/fog/storm_on_demand/models/dns/records.rb", "lib/fog/storm_on_demand/models/dns/reverse.rb", "lib/fog/storm_on_demand/models/dns/reverses.rb", "lib/fog/storm_on_demand/models/dns/zone.rb", "lib/fog/storm_on_demand/models/dns/zones.rb", "lib/fog/storm_on_demand/models/monitoring/bandwidth.rb", "lib/fog/storm_on_demand/models/monitoring/bandwidths.rb", "lib/fog/storm_on_demand/models/monitoring/load.rb", "lib/fog/storm_on_demand/models/monitoring/loads.rb", "lib/fog/storm_on_demand/models/monitoring/monitor_service.rb", "lib/fog/storm_on_demand/models/monitoring/monitor_services.rb", "lib/fog/storm_on_demand/models/network/balancer.rb", "lib/fog/storm_on_demand/models/network/balancers.rb", "lib/fog/storm_on_demand/models/network/firewall.rb", "lib/fog/storm_on_demand/models/network/firewalls.rb", "lib/fog/storm_on_demand/models/network/network_ip.rb", "lib/fog/storm_on_demand/models/network/network_ips.rb", "lib/fog/storm_on_demand/models/network/pool.rb", "lib/fog/storm_on_demand/models/network/pools.rb", "lib/fog/storm_on_demand/models/network/private_ip.rb", "lib/fog/storm_on_demand/models/network/private_ips.rb", "lib/fog/storm_on_demand/models/network/ruleset.rb", "lib/fog/storm_on_demand/models/network/rulesets.rb", "lib/fog/storm_on_demand/models/network/zone.rb", "lib/fog/storm_on_demand/models/network/zones.rb", "lib/fog/storm_on_demand/models/storage/cluster.rb", "lib/fog/storm_on_demand/models/storage/clusters.rb", "lib/fog/storm_on_demand/models/storage/volume.rb", "lib/fog/storm_on_demand/models/storage/volumes.rb", "lib/fog/storm_on_demand/models/support/alert.rb", "lib/fog/storm_on_demand/models/support/alerts.rb", "lib/fog/storm_on_demand/models/support/ticket.rb", "lib/fog/storm_on_demand/models/support/tickets.rb", "lib/fog/storm_on_demand/models/vpn/vpn.rb", "lib/fog/storm_on_demand/models/vpn/vpns.rb", "lib/fog/storm_on_demand/monitoring.rb", "lib/fog/storm_on_demand/network.rb", "lib/fog/storm_on_demand/requests/account/create_token.rb", "lib/fog/storm_on_demand/requests/account/expire_token.rb", "lib/fog/storm_on_demand/requests/billing/get_invoice.rb", "lib/fog/storm_on_demand/requests/billing/list_invoices.rb", "lib/fog/storm_on_demand/requests/billing/make_payment.rb", "lib/fog/storm_on_demand/requests/billing/next_invoice.rb", "lib/fog/storm_on_demand/requests/compute/clone_server.rb", "lib/fog/storm_on_demand/requests/compute/create_image.rb", "lib/fog/storm_on_demand/requests/compute/create_server.rb", "lib/fog/storm_on_demand/requests/compute/current_notifications.rb", "lib/fog/storm_on_demand/requests/compute/delete_image.rb", "lib/fog/storm_on_demand/requests/compute/delete_server.rb", "lib/fog/storm_on_demand/requests/compute/get_config_details.rb", "lib/fog/storm_on_demand/requests/compute/get_image_details.rb", "lib/fog/storm_on_demand/requests/compute/get_notification.rb", "lib/fog/storm_on_demand/requests/compute/get_product.rb", "lib/fog/storm_on_demand/requests/compute/get_product_code.rb", "lib/fog/storm_on_demand/requests/compute/get_product_price.rb", "lib/fog/storm_on_demand/requests/compute/get_product_starting_price.rb", "lib/fog/storm_on_demand/requests/compute/get_server.rb", "lib/fog/storm_on_demand/requests/compute/get_template_details.rb", "lib/fog/storm_on_demand/requests/compute/list_configs.rb", "lib/fog/storm_on_demand/requests/compute/list_images.rb", "lib/fog/storm_on_demand/requests/compute/list_notifications.rb", "lib/fog/storm_on_demand/requests/compute/list_products.rb", "lib/fog/storm_on_demand/requests/compute/list_servers.rb", "lib/fog/storm_on_demand/requests/compute/list_templates.rb", "lib/fog/storm_on_demand/requests/compute/reboot_server.rb", "lib/fog/storm_on_demand/requests/compute/resize_server.rb", "lib/fog/storm_on_demand/requests/compute/resolve_notification.rb", "lib/fog/storm_on_demand/requests/compute/restore_image.rb", "lib/fog/storm_on_demand/requests/compute/restore_template.rb", "lib/fog/storm_on_demand/requests/compute/server_history.rb", "lib/fog/storm_on_demand/requests/compute/server_status.rb", "lib/fog/storm_on_demand/requests/compute/shutdown_server.rb", "lib/fog/storm_on_demand/requests/compute/start_server.rb", "lib/fog/storm_on_demand/requests/compute/update_image.rb", "lib/fog/storm_on_demand/requests/compute/update_server.rb", "lib/fog/storm_on_demand/requests/dns/check_zone_delegation.rb", "lib/fog/storm_on_demand/requests/dns/create_record.rb", "lib/fog/storm_on_demand/requests/dns/create_record_region.rb", "lib/fog/storm_on_demand/requests/dns/create_zone.rb", "lib/fog/storm_on_demand/requests/dns/delete_record.rb", "lib/fog/storm_on_demand/requests/dns/delete_record_region.rb", "lib/fog/storm_on_demand/requests/dns/delete_reverse.rb", "lib/fog/storm_on_demand/requests/dns/delete_zone.rb", "lib/fog/storm_on_demand/requests/dns/get_record.rb", "lib/fog/storm_on_demand/requests/dns/get_zone.rb", "lib/fog/storm_on_demand/requests/dns/list_domains.rb", "lib/fog/storm_on_demand/requests/dns/list_records.rb", "lib/fog/storm_on_demand/requests/dns/list_zones.rb", "lib/fog/storm_on_demand/requests/dns/renew_domain.rb", "lib/fog/storm_on_demand/requests/dns/update_record.rb", "lib/fog/storm_on_demand/requests/dns/update_record_region.rb", "lib/fog/storm_on_demand/requests/dns/update_reverse.rb", "lib/fog/storm_on_demand/requests/dns/update_zone.rb", "lib/fog/storm_on_demand/requests/monitoring/get_bandwidth_graph.rb", "lib/fog/storm_on_demand/requests/monitoring/get_bandwidth_stats.rb", "lib/fog/storm_on_demand/requests/monitoring/get_load_graph.rb", "lib/fog/storm_on_demand/requests/monitoring/get_load_stats.rb", "lib/fog/storm_on_demand/requests/monitoring/get_service.rb", "lib/fog/storm_on_demand/requests/monitoring/get_service_status.rb", "lib/fog/storm_on_demand/requests/monitoring/monitoring_ips.rb", "lib/fog/storm_on_demand/requests/monitoring/update_service.rb", "lib/fog/storm_on_demand/requests/network/add_balancer_node.rb", "lib/fog/storm_on_demand/requests/network/add_balancer_service.rb", "lib/fog/storm_on_demand/requests/network/add_ip_to_server.rb", "lib/fog/storm_on_demand/requests/network/attach_server_to_private_ip.rb", "lib/fog/storm_on_demand/requests/network/check_balancer_available.rb", "lib/fog/storm_on_demand/requests/network/check_server_attached.rb", "lib/fog/storm_on_demand/requests/network/create_balancer.rb", "lib/fog/storm_on_demand/requests/network/create_pool.rb", "lib/fog/storm_on_demand/requests/network/create_ruleset.rb", "lib/fog/storm_on_demand/requests/network/delete_balancer.rb", "lib/fog/storm_on_demand/requests/network/delete_pool.rb", "lib/fog/storm_on_demand/requests/network/detach_server_from_private_ip.rb", "lib/fog/storm_on_demand/requests/network/get_assignments.rb", "lib/fog/storm_on_demand/requests/network/get_balancer_details.rb", "lib/fog/storm_on_demand/requests/network/get_balancer_possible_nodes.rb", "lib/fog/storm_on_demand/requests/network/get_balancer_strategies.rb", "lib/fog/storm_on_demand/requests/network/get_firewall.rb", "lib/fog/storm_on_demand/requests/network/get_firewall_basic_options.rb", "lib/fog/storm_on_demand/requests/network/get_firewall_rules.rb", "lib/fog/storm_on_demand/requests/network/get_ip_details.rb", "lib/fog/storm_on_demand/requests/network/get_pool.rb", "lib/fog/storm_on_demand/requests/network/get_private_ip.rb", "lib/fog/storm_on_demand/requests/network/get_ruleset.rb", "lib/fog/storm_on_demand/requests/network/get_zone.rb", "lib/fog/storm_on_demand/requests/network/list_balancers.rb", "lib/fog/storm_on_demand/requests/network/list_ip_public_accounts.rb", "lib/fog/storm_on_demand/requests/network/list_network_ips.rb", "lib/fog/storm_on_demand/requests/network/list_network_public_ips.rb", "lib/fog/storm_on_demand/requests/network/list_private_ips.rb", "lib/fog/storm_on_demand/requests/network/list_rulesets.rb", "lib/fog/storm_on_demand/requests/network/list_zones.rb", "lib/fog/storm_on_demand/requests/network/remove_balancer_node.rb", "lib/fog/storm_on_demand/requests/network/remove_balancer_service.rb", "lib/fog/storm_on_demand/requests/network/remove_ip_from_server.rb", "lib/fog/storm_on_demand/requests/network/request_new_ips.rb", "lib/fog/storm_on_demand/requests/network/set_default_zone.rb", "lib/fog/storm_on_demand/requests/network/update_balancer.rb", "lib/fog/storm_on_demand/requests/network/update_firewall.rb", "lib/fog/storm_on_demand/requests/network/update_pool.rb", "lib/fog/storm_on_demand/requests/network/update_ruleset.rb", "lib/fog/storm_on_demand/requests/storage/attach_volume_to_server.rb", "lib/fog/storm_on_demand/requests/storage/create_volume.rb", "lib/fog/storm_on_demand/requests/storage/delete_volume.rb", "lib/fog/storm_on_demand/requests/storage/detach_volume_from_server.rb", "lib/fog/storm_on_demand/requests/storage/get_volume.rb", "lib/fog/storm_on_demand/requests/storage/list_clusters.rb", "lib/fog/storm_on_demand/requests/storage/list_volumes.rb", "lib/fog/storm_on_demand/requests/storage/resize_volume.rb", "lib/fog/storm_on_demand/requests/storage/update_volume.rb", "lib/fog/storm_on_demand/requests/support/add_feedback.rb", "lib/fog/storm_on_demand/requests/support/add_transaction_feedback.rb", "lib/fog/storm_on_demand/requests/support/authenticate.rb", "lib/fog/storm_on_demand/requests/support/close_ticket.rb", "lib/fog/storm_on_demand/requests/support/create_ticket.rb", "lib/fog/storm_on_demand/requests/support/get_active_alert.rb", "lib/fog/storm_on_demand/requests/support/get_ticket_details.rb", "lib/fog/storm_on_demand/requests/support/list_ticket_types.rb", "lib/fog/storm_on_demand/requests/support/list_tickets.rb", "lib/fog/storm_on_demand/requests/support/reopen_ticket.rb", "lib/fog/storm_on_demand/requests/support/reply_ticket.rb", "lib/fog/storm_on_demand/requests/vpn/create_vpn.rb", "lib/fog/storm_on_demand/requests/vpn/get_vpn.rb", "lib/fog/storm_on_demand/requests/vpn/list_vpn_users.rb", "lib/fog/storm_on_demand/requests/vpn/update_vpn.rb", "lib/fog/storm_on_demand/shared.rb", "lib/fog/storm_on_demand/storage.rb", "lib/fog/storm_on_demand/support.rb", "lib/fog/storm_on_demand/vpn.rb", "lib/fog/support.rb", "lib/fog/terremark.rb", "lib/fog/terremark/models/shared/address.rb", "lib/fog/terremark/models/shared/addresses.rb", "lib/fog/terremark/models/shared/image.rb", "lib/fog/terremark/models/shared/images.rb", "lib/fog/terremark/models/shared/internetservice.rb", "lib/fog/terremark/models/shared/internetservices.rb", "lib/fog/terremark/models/shared/network.rb", "lib/fog/terremark/models/shared/networks.rb", "lib/fog/terremark/models/shared/nodeservice.rb", "lib/fog/terremark/models/shared/nodeservices.rb", "lib/fog/terremark/models/shared/server.rb", "lib/fog/terremark/models/shared/servers.rb", "lib/fog/terremark/models/shared/task.rb", "lib/fog/terremark/models/shared/tasks.rb", "lib/fog/terremark/models/shared/vdc.rb", "lib/fog/terremark/models/shared/vdcs.rb", "lib/fog/terremark/parser.rb", "lib/fog/terremark/parsers/shared/get_catalog.rb", "lib/fog/terremark/parsers/shared/get_catalog_item.rb", "lib/fog/terremark/parsers/shared/get_internet_services.rb", "lib/fog/terremark/parsers/shared/get_keys_list.rb", "lib/fog/terremark/parsers/shared/get_network_ips.rb", "lib/fog/terremark/parsers/shared/get_node_services.rb", "lib/fog/terremark/parsers/shared/get_organization.rb", "lib/fog/terremark/parsers/shared/get_organizations.rb", "lib/fog/terremark/parsers/shared/get_public_ips.rb", "lib/fog/terremark/parsers/shared/get_tasks_list.rb", "lib/fog/terremark/parsers/shared/get_vapp_template.rb", "lib/fog/terremark/parsers/shared/get_vdc.rb", "lib/fog/terremark/parsers/shared/instantiate_vapp_template.rb", "lib/fog/terremark/parsers/shared/internet_service.rb", "lib/fog/terremark/parsers/shared/network.rb", "lib/fog/terremark/parsers/shared/node_service.rb", "lib/fog/terremark/parsers/shared/public_ip.rb", "lib/fog/terremark/parsers/shared/task.rb", "lib/fog/terremark/parsers/shared/vapp.rb", "lib/fog/terremark/requests/shared/add_internet_service.rb", "lib/fog/terremark/requests/shared/add_node_service.rb", "lib/fog/terremark/requests/shared/configure_vapp.rb", "lib/fog/terremark/requests/shared/create_internet_service.rb", "lib/fog/terremark/requests/shared/delete_internet_service.rb", "lib/fog/terremark/requests/shared/delete_node_service.rb", "lib/fog/terremark/requests/shared/delete_public_ip.rb", "lib/fog/terremark/requests/shared/delete_vapp.rb", "lib/fog/terremark/requests/shared/deploy_vapp.rb", "lib/fog/terremark/requests/shared/get_catalog.rb", "lib/fog/terremark/requests/shared/get_catalog_item.rb", "lib/fog/terremark/requests/shared/get_internet_services.rb", "lib/fog/terremark/requests/shared/get_keys_list.rb", "lib/fog/terremark/requests/shared/get_network.rb", "lib/fog/terremark/requests/shared/get_network_ips.rb", "lib/fog/terremark/requests/shared/get_node_services.rb", "lib/fog/terremark/requests/shared/get_organization.rb", "lib/fog/terremark/requests/shared/get_organizations.rb", "lib/fog/terremark/requests/shared/get_public_ip.rb", "lib/fog/terremark/requests/shared/get_public_ips.rb", "lib/fog/terremark/requests/shared/get_task.rb", "lib/fog/terremark/requests/shared/get_tasks_list.rb", "lib/fog/terremark/requests/shared/get_vapp.rb", "lib/fog/terremark/requests/shared/get_vapp_template.rb", "lib/fog/terremark/requests/shared/get_vdc.rb", "lib/fog/terremark/requests/shared/instantiate_vapp_template.rb", "lib/fog/terremark/requests/shared/power_off.rb", "lib/fog/terremark/requests/shared/power_on.rb", "lib/fog/terremark/requests/shared/power_reset.rb", "lib/fog/terremark/requests/shared/power_shutdown.rb", "lib/fog/terremark/shared.rb", "lib/fog/terremark/vcloud.rb", "lib/fog/vcloud.rb", "lib/fog/vcloud/compute.rb", "lib/fog/vcloud/models/compute/catalog.rb", "lib/fog/vcloud/models/compute/catalog_item.rb", "lib/fog/vcloud/models/compute/catalog_items.rb", "lib/fog/vcloud/models/compute/catalogs.rb", "lib/fog/vcloud/models/compute/helpers/status.rb", "lib/fog/vcloud/models/compute/ip.rb", "lib/fog/vcloud/models/compute/ips.rb", "lib/fog/vcloud/models/compute/network.rb", "lib/fog/vcloud/models/compute/networks.rb", "lib/fog/vcloud/models/compute/organization.rb", "lib/fog/vcloud/models/compute/organizations.rb", "lib/fog/vcloud/models/compute/server.rb", "lib/fog/vcloud/models/compute/servers.rb", "lib/fog/vcloud/models/compute/tag.rb", "lib/fog/vcloud/models/compute/tags.rb", "lib/fog/vcloud/models/compute/task.rb", "lib/fog/vcloud/models/compute/tasks.rb", "lib/fog/vcloud/models/compute/vapp.rb", "lib/fog/vcloud/models/compute/vapps.rb", "lib/fog/vcloud/models/compute/vdc.rb", "lib/fog/vcloud/models/compute/vdcs.rb", "lib/fog/vcloud/requests/compute/clone_vapp.rb", "lib/fog/vcloud/requests/compute/configure_metadata.rb", "lib/fog/vcloud/requests/compute/configure_network.rb", "lib/fog/vcloud/requests/compute/configure_network_ip.rb", "lib/fog/vcloud/requests/compute/configure_node.rb", "lib/fog/vcloud/requests/compute/configure_org_network.rb", "lib/fog/vcloud/requests/compute/configure_vapp.rb", "lib/fog/vcloud/requests/compute/configure_vm.rb", "lib/fog/vcloud/requests/compute/configure_vm_cpus.rb", "lib/fog/vcloud/requests/compute/configure_vm_customization_script.rb", "lib/fog/vcloud/requests/compute/configure_vm_disks.rb", "lib/fog/vcloud/requests/compute/configure_vm_memory.rb", "lib/fog/vcloud/requests/compute/configure_vm_name_description.rb", "lib/fog/vcloud/requests/compute/configure_vm_network.rb", "lib/fog/vcloud/requests/compute/configure_vm_password.rb", "lib/fog/vcloud/requests/compute/delete_metadata.rb", "lib/fog/vcloud/requests/compute/delete_node.rb", "lib/fog/vcloud/requests/compute/delete_vapp.rb", "lib/fog/vcloud/requests/compute/get_catalog.rb", "lib/fog/vcloud/requests/compute/get_catalog_item.rb", "lib/fog/vcloud/requests/compute/get_customization_options.rb", "lib/fog/vcloud/requests/compute/get_metadata.rb", "lib/fog/vcloud/requests/compute/get_network.rb", "lib/fog/vcloud/requests/compute/get_network_extensions.rb", "lib/fog/vcloud/requests/compute/get_network_ip.rb", "lib/fog/vcloud/requests/compute/get_network_ips.rb", "lib/fog/vcloud/requests/compute/get_organization.rb", "lib/fog/vcloud/requests/compute/get_server.rb", "lib/fog/vcloud/requests/compute/get_task.rb", "lib/fog/vcloud/requests/compute/get_task_list.rb", "lib/fog/vcloud/requests/compute/get_vapp.rb", "lib/fog/vcloud/requests/compute/get_vapp_template.rb", "lib/fog/vcloud/requests/compute/get_vdc.rb", "lib/fog/vcloud/requests/compute/get_vm_disks.rb", "lib/fog/vcloud/requests/compute/get_vm_memory.rb", "lib/fog/vcloud/requests/compute/instantiate_vapp_template.rb", "lib/fog/vcloud/requests/compute/login.rb", "lib/fog/vcloud/requests/compute/power_off.rb", "lib/fog/vcloud/requests/compute/power_on.rb", "lib/fog/vcloud/requests/compute/power_reset.rb", "lib/fog/vcloud/requests/compute/power_shutdown.rb", "lib/fog/vcloud/requests/compute/undeploy.rb", "lib/fog/version.rb", "lib/fog/vmfusion.rb", "lib/fog/vmfusion/compute.rb", "lib/fog/vmfusion/models/compute/server.rb", "lib/fog/vmfusion/models/compute/servers.rb", "lib/fog/volume.rb", "lib/fog/voxel.rb", "lib/fog/voxel/compute.rb", "lib/fog/voxel/models/compute/image.rb", "lib/fog/voxel/models/compute/images.rb", "lib/fog/voxel/models/compute/server.rb", "lib/fog/voxel/models/compute/servers.rb", "lib/fog/voxel/parsers/compute/basic.rb", "lib/fog/voxel/parsers/compute/devices_list.rb", "lib/fog/voxel/parsers/compute/images_list.rb", "lib/fog/voxel/parsers/compute/voxcloud_create.rb", "lib/fog/voxel/parsers/compute/voxcloud_delete.rb", "lib/fog/voxel/parsers/compute/voxcloud_status.rb", "lib/fog/voxel/requests/compute/devices_list.rb", "lib/fog/voxel/requests/compute/devices_power.rb", "lib/fog/voxel/requests/compute/images_list.rb", "lib/fog/voxel/requests/compute/voxcloud_create.rb", "lib/fog/voxel/requests/compute/voxcloud_delete.rb", "lib/fog/voxel/requests/compute/voxcloud_status.rb", "lib/fog/vpn.rb", "lib/fog/vsphere.rb", "lib/fog/vsphere/compute.rb", "lib/fog/vsphere/models/compute/cluster.rb", "lib/fog/vsphere/models/compute/clusters.rb", "lib/fog/vsphere/models/compute/customfield.rb", "lib/fog/vsphere/models/compute/customfields.rb", "lib/fog/vsphere/models/compute/customvalue.rb", "lib/fog/vsphere/models/compute/customvalues.rb", "lib/fog/vsphere/models/compute/datacenter.rb", "lib/fog/vsphere/models/compute/datacenters.rb", "lib/fog/vsphere/models/compute/datastore.rb", "lib/fog/vsphere/models/compute/datastores.rb", "lib/fog/vsphere/models/compute/folder.rb", "lib/fog/vsphere/models/compute/folders.rb", "lib/fog/vsphere/models/compute/interface.rb", "lib/fog/vsphere/models/compute/interfaces.rb", "lib/fog/vsphere/models/compute/network.rb", "lib/fog/vsphere/models/compute/networks.rb", "lib/fog/vsphere/models/compute/resource_pool.rb", "lib/fog/vsphere/models/compute/resource_pools.rb", "lib/fog/vsphere/models/compute/server.rb", "lib/fog/vsphere/models/compute/servers.rb", "lib/fog/vsphere/models/compute/template.rb", "lib/fog/vsphere/models/compute/templates.rb", "lib/fog/vsphere/models/compute/volume.rb", "lib/fog/vsphere/models/compute/volumes.rb", "lib/fog/vsphere/requests/compute/create_folder.rb", "lib/fog/vsphere/requests/compute/create_vm.rb", "lib/fog/vsphere/requests/compute/current_time.rb", "lib/fog/vsphere/requests/compute/get_cluster.rb", "lib/fog/vsphere/requests/compute/get_datacenter.rb", "lib/fog/vsphere/requests/compute/get_datastore.rb", "lib/fog/vsphere/requests/compute/get_folder.rb", "lib/fog/vsphere/requests/compute/get_network.rb", "lib/fog/vsphere/requests/compute/get_resource_pool.rb", "lib/fog/vsphere/requests/compute/get_template.rb", "lib/fog/vsphere/requests/compute/get_virtual_machine.rb", "lib/fog/vsphere/requests/compute/list_clusters.rb", "lib/fog/vsphere/requests/compute/list_customfields.rb", "lib/fog/vsphere/requests/compute/list_datacenters.rb", "lib/fog/vsphere/requests/compute/list_datastores.rb", "lib/fog/vsphere/requests/compute/list_folders.rb", "lib/fog/vsphere/requests/compute/list_networks.rb", "lib/fog/vsphere/requests/compute/list_resource_pools.rb", "lib/fog/vsphere/requests/compute/list_templates.rb", "lib/fog/vsphere/requests/compute/list_virtual_machines.rb", "lib/fog/vsphere/requests/compute/list_vm_customvalues.rb", "lib/fog/vsphere/requests/compute/list_vm_interfaces.rb", "lib/fog/vsphere/requests/compute/list_vm_volumes.rb", "lib/fog/vsphere/requests/compute/modify_vm_interface.rb", "lib/fog/vsphere/requests/compute/vm_clone.rb", "lib/fog/vsphere/requests/compute/vm_config_vnc.rb", "lib/fog/vsphere/requests/compute/vm_destroy.rb", "lib/fog/vsphere/requests/compute/vm_migrate.rb", "lib/fog/vsphere/requests/compute/vm_power_off.rb", "lib/fog/vsphere/requests/compute/vm_power_on.rb", "lib/fog/vsphere/requests/compute/vm_reboot.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_cpus.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_hardware.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_memory.rb", "lib/fog/xenserver.rb", "lib/fog/xenserver/CHANGELOG.md", "lib/fog/xenserver/compute.rb", "lib/fog/xenserver/examples/README.md", "lib/fog/xenserver/examples/chage_default_storage_repository.md", "lib/fog/xenserver/examples/creating_servers.md", "lib/fog/xenserver/examples/getting_started.md", "lib/fog/xenserver/examples/networks-and-vlans.rb", "lib/fog/xenserver/examples/storage_repositories.md", "lib/fog/xenserver/models/compute/guest_metrics.rb", "lib/fog/xenserver/models/compute/host.rb", "lib/fog/xenserver/models/compute/host_cpu.rb", "lib/fog/xenserver/models/compute/host_metrics.rb", "lib/fog/xenserver/models/compute/hosts.rb", "lib/fog/xenserver/models/compute/network.rb", "lib/fog/xenserver/models/compute/networks.rb", "lib/fog/xenserver/models/compute/pbd.rb", "lib/fog/xenserver/models/compute/pbds.rb", "lib/fog/xenserver/models/compute/pif.rb", "lib/fog/xenserver/models/compute/pifs.rb", "lib/fog/xenserver/models/compute/pool.rb", "lib/fog/xenserver/models/compute/pools.rb", "lib/fog/xenserver/models/compute/server.rb", "lib/fog/xenserver/models/compute/servers.rb", "lib/fog/xenserver/models/compute/storage_repositories.rb", "lib/fog/xenserver/models/compute/storage_repository.rb", "lib/fog/xenserver/models/compute/vbd.rb", "lib/fog/xenserver/models/compute/vbd_metrics.rb", "lib/fog/xenserver/models/compute/vbds.rb", "lib/fog/xenserver/models/compute/vdi.rb", "lib/fog/xenserver/models/compute/vdis.rb", "lib/fog/xenserver/models/compute/vif.rb", "lib/fog/xenserver/models/compute/vifs.rb", "lib/fog/xenserver/models/compute/vlan.rb", "lib/fog/xenserver/models/compute/vlans.rb", "lib/fog/xenserver/parser.rb", "lib/fog/xenserver/parsers/get_hosts.rb", "lib/fog/xenserver/parsers/get_networks.rb", "lib/fog/xenserver/parsers/get_pools.rb", "lib/fog/xenserver/parsers/get_records.rb", "lib/fog/xenserver/parsers/get_storage_repositories.rb", "lib/fog/xenserver/parsers/get_vbds.rb", "lib/fog/xenserver/parsers/get_vifs.rb", "lib/fog/xenserver/parsers/get_vms.rb", "lib/fog/xenserver/requests/compute/clone_server.rb", "lib/fog/xenserver/requests/compute/create_network.rb", "lib/fog/xenserver/requests/compute/create_server.rb", "lib/fog/xenserver/requests/compute/create_sr.rb", "lib/fog/xenserver/requests/compute/create_vbd.rb", "lib/fog/xenserver/requests/compute/create_vdi.rb", "lib/fog/xenserver/requests/compute/create_vif.rb", "lib/fog/xenserver/requests/compute/create_vlan.rb", "lib/fog/xenserver/requests/compute/destroy_network.rb", "lib/fog/xenserver/requests/compute/destroy_server.rb", "lib/fog/xenserver/requests/compute/destroy_sr.rb", "lib/fog/xenserver/requests/compute/destroy_vdi.rb", "lib/fog/xenserver/requests/compute/destroy_vif.rb", "lib/fog/xenserver/requests/compute/destroy_vlan.rb", "lib/fog/xenserver/requests/compute/disable_host.rb", "lib/fog/xenserver/requests/compute/eject_vbd.rb", "lib/fog/xenserver/requests/compute/enable_host.rb", "lib/fog/xenserver/requests/compute/get_record.rb", "lib/fog/xenserver/requests/compute/get_records.rb", "lib/fog/xenserver/requests/compute/insert_vbd.rb", "lib/fog/xenserver/requests/compute/provision_server.rb", "lib/fog/xenserver/requests/compute/reboot_host.rb", "lib/fog/xenserver/requests/compute/reboot_server.rb", "lib/fog/xenserver/requests/compute/scan_sr.rb", "lib/fog/xenserver/requests/compute/set_affinity.rb", "lib/fog/xenserver/requests/compute/set_attribute.rb", "lib/fog/xenserver/requests/compute/shutdown_host.rb", "lib/fog/xenserver/requests/compute/shutdown_server.rb", "lib/fog/xenserver/requests/compute/start_server.rb", "lib/fog/xenserver/requests/compute/start_vm.rb", "lib/fog/xenserver/requests/compute/unplug_pbd.rb", "lib/fog/xenserver/requests/compute/unplug_vbd.rb", "lib/fog/xenserver/utilities.rb", "lib/fog/zerigo.rb", "lib/fog/zerigo/dns.rb", "lib/fog/zerigo/models/dns/record.rb", "lib/fog/zerigo/models/dns/records.rb", "lib/fog/zerigo/models/dns/zone.rb", "lib/fog/zerigo/models/dns/zones.rb", "lib/fog/zerigo/parsers/dns/count_hosts.rb", "lib/fog/zerigo/parsers/dns/count_zones.rb", "lib/fog/zerigo/parsers/dns/create_host.rb", "lib/fog/zerigo/parsers/dns/create_zone.rb", "lib/fog/zerigo/parsers/dns/find_hosts.rb", "lib/fog/zerigo/parsers/dns/get_host.rb", "lib/fog/zerigo/parsers/dns/get_zone.rb", "lib/fog/zerigo/parsers/dns/get_zone_stats.rb", "lib/fog/zerigo/parsers/dns/list_hosts.rb", "lib/fog/zerigo/parsers/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/count_hosts.rb", "lib/fog/zerigo/requests/dns/count_zones.rb", "lib/fog/zerigo/requests/dns/create_host.rb", "lib/fog/zerigo/requests/dns/create_zone.rb", "lib/fog/zerigo/requests/dns/delete_host.rb", "lib/fog/zerigo/requests/dns/delete_zone.rb", "lib/fog/zerigo/requests/dns/find_hosts.rb", "lib/fog/zerigo/requests/dns/get_host.rb", "lib/fog/zerigo/requests/dns/get_zone.rb", "lib/fog/zerigo/requests/dns/get_zone_stats.rb", "lib/fog/zerigo/requests/dns/list_hosts.rb", "lib/fog/zerigo/requests/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/update_host.rb", "lib/fog/zerigo/requests/dns/update_zone.rb", "lib/tasks/changelog_task.rb", "lib/tasks/test_task.rb", "tests/atmos/models/storage/file_update_tests.rb", "tests/atmos/models/storage/nested_directories_tests.rb", "tests/aws/credentials_tests.rb", "tests/aws/models/auto_scaling/activities_tests.rb", "tests/aws/models/auto_scaling/configuration_test.rb", "tests/aws/models/auto_scaling/configurations_tests.rb", "tests/aws/models/auto_scaling/helper.rb", "tests/aws/models/auto_scaling/instances_tests.rb", "tests/aws/models/beanstalk/application_tests.rb", "tests/aws/models/beanstalk/applications_tests.rb", "tests/aws/models/beanstalk/environment_tests.rb", "tests/aws/models/beanstalk/environments_tests.rb", "tests/aws/models/beanstalk/template_tests.rb", "tests/aws/models/beanstalk/templates_tests.rb", "tests/aws/models/beanstalk/version_tests.rb", "tests/aws/models/beanstalk/versions_tests.rb", "tests/aws/models/cdn/distribution_tests.rb", "tests/aws/models/cdn/distributions_tests.rb", "tests/aws/models/cdn/invalidation_tests.rb", "tests/aws/models/cdn/invalidations_tests.rb", "tests/aws/models/cdn/streaming_distribution_tests.rb", "tests/aws/models/cdn/streaming_distributions_tests.rb", "tests/aws/models/cloud_watch/alarm_data_tests.rb", "tests/aws/models/cloud_watch/alarm_history_tests.rb", "tests/aws/models/cloud_watch/metric_statistics_tests.rb", "tests/aws/models/cloud_watch/metrics_tests.rb", "tests/aws/models/compute/address_tests.rb", "tests/aws/models/compute/addresses_tests.rb", "tests/aws/models/compute/dhcp_option_tests.rb", "tests/aws/models/compute/dhcp_options_tests.rb", "tests/aws/models/compute/internet_gateway_tests.rb", "tests/aws/models/compute/internet_gateways_tests.rb", "tests/aws/models/compute/key_pair_tests.rb", "tests/aws/models/compute/key_pairs_tests.rb", "tests/aws/models/compute/network_interfaces_test.rb", "tests/aws/models/compute/security_group_tests.rb", "tests/aws/models/compute/security_groups_tests.rb", "tests/aws/models/compute/server_tests.rb", "tests/aws/models/compute/snapshot_tests.rb", "tests/aws/models/compute/snapshots_tests.rb", "tests/aws/models/compute/subnet_tests.rb", "tests/aws/models/compute/subnets_tests.rb", "tests/aws/models/compute/volume_tests.rb", "tests/aws/models/compute/volumes_tests.rb", "tests/aws/models/compute/vpc_tests.rb", "tests/aws/models/compute/vpcs_tests.rb", "tests/aws/models/data_pipeline/pipeline_tests.rb", "tests/aws/models/data_pipeline/pipelines_tests.rb", "tests/aws/models/dns/record_tests.rb", "tests/aws/models/dns/records_tests.rb", "tests/aws/models/dns/zone_tests.rb", "tests/aws/models/dns/zones_tests.rb", "tests/aws/models/elasticache/cluster_tests.rb", "tests/aws/models/elasticache/parameter_groups_tests.rb", "tests/aws/models/elasticache/security_groups_tests.rb", "tests/aws/models/elb/model_tests.rb", "tests/aws/models/glacier/model_tests.rb", "tests/aws/models/iam/access_keys_tests.rb", "tests/aws/models/iam/policies_tests.rb", "tests/aws/models/iam/roles_tests.rb", "tests/aws/models/iam/users_tests.rb", "tests/aws/models/rds/helper.rb", "tests/aws/models/rds/parameter_group_tests.rb", "tests/aws/models/rds/parameter_groups_tests.rb", "tests/aws/models/rds/security_group_tests.rb", "tests/aws/models/rds/security_groups_tests.rb", "tests/aws/models/rds/server_tests.rb", "tests/aws/models/rds/servers_tests.rb", "tests/aws/models/rds/snapshot_tests.rb", "tests/aws/models/rds/snapshots_tests.rb", "tests/aws/models/rds/tagging_tests.rb", "tests/aws/models/storage/directory_tests.rb", "tests/aws/models/storage/file_tests.rb", "tests/aws/models/storage/files_tests.rb", "tests/aws/models/storage/url_tests.rb", "tests/aws/models/storage/version_tests.rb", "tests/aws/models/storage/versions_tests.rb", "tests/aws/requests/auto_scaling/auto_scaling_tests.rb", "tests/aws/requests/auto_scaling/describe_types_tests.rb", "tests/aws/requests/auto_scaling/helper.rb", "tests/aws/requests/auto_scaling/model_tests.rb", "tests/aws/requests/auto_scaling/notification_configuration_tests.rb", "tests/aws/requests/auto_scaling/tag_tests.rb", "tests/aws/requests/beanstalk/application_tests.rb", "tests/aws/requests/beanstalk/solution_stack_tests.rb", "tests/aws/requests/cdn/cdn_tests.rb", "tests/aws/requests/cloud_formation/stack_tests.rb", "tests/aws/requests/cloud_watch/get_metric_statistics_tests.rb", "tests/aws/requests/cloud_watch/list_metrics_test.rb", "tests/aws/requests/cloud_watch/put_metric_data_tests.rb", "tests/aws/requests/compute/address_tests.rb", "tests/aws/requests/compute/availability_zone_tests.rb", "tests/aws/requests/compute/dhcp_options_tests.rb", "tests/aws/requests/compute/helper.rb", "tests/aws/requests/compute/image_tests.rb", "tests/aws/requests/compute/instance_tests.rb", "tests/aws/requests/compute/internet_gateway_tests.rb", "tests/aws/requests/compute/key_pair_tests.rb", "tests/aws/requests/compute/network_interface_tests.rb", "tests/aws/requests/compute/placement_group_tests.rb", "tests/aws/requests/compute/region_tests.rb", "tests/aws/requests/compute/security_group_tests.rb", "tests/aws/requests/compute/snapshot_tests.rb", "tests/aws/requests/compute/spot_datafeed_subscription_tests.rb", "tests/aws/requests/compute/spot_instance_tests.rb", "tests/aws/requests/compute/spot_price_history_tests.rb", "tests/aws/requests/compute/subnet_tests.rb", "tests/aws/requests/compute/tag_tests.rb", "tests/aws/requests/compute/volume_tests.rb", "tests/aws/requests/compute/vpc_tests.rb", "tests/aws/requests/data_pipeline/helper.rb", "tests/aws/requests/data_pipeline/pipeline_tests.rb", "tests/aws/requests/dns/dns_tests.rb", "tests/aws/requests/dns/helper.rb", "tests/aws/requests/dynamodb/item_tests.rb", "tests/aws/requests/dynamodb/table_tests.rb", "tests/aws/requests/elasticache/cache_cluster_tests.rb", "tests/aws/requests/elasticache/describe_events.rb", "tests/aws/requests/elasticache/describe_reserved_cache_nodes.rb", "tests/aws/requests/elasticache/helper.rb", "tests/aws/requests/elasticache/parameter_group_tests.rb", "tests/aws/requests/elasticache/security_group_tests.rb", "tests/aws/requests/elb/helper.rb", "tests/aws/requests/elb/listener_tests.rb", "tests/aws/requests/elb/load_balancer_tests.rb", "tests/aws/requests/elb/policy_tests.rb", "tests/aws/requests/emr/helper.rb", "tests/aws/requests/emr/instance_group_tests.rb", "tests/aws/requests/emr/job_flow_tests.rb", "tests/aws/requests/glacier/archive_tests.rb", "tests/aws/requests/glacier/multipart_upload_tests.rb", "tests/aws/requests/glacier/tree_hash_tests.rb", "tests/aws/requests/glacier/vault_tests.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/login_profile_tests.rb", "tests/aws/requests/iam/role_tests.rb", "tests/aws/requests/iam/server_certificate_tests.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/rds/describe_events.rb", "tests/aws/requests/rds/helper.rb", "tests/aws/requests/rds/instance_tests.rb", "tests/aws/requests/rds/parameter_group_tests.rb", "tests/aws/requests/rds/parameter_request_tests.rb", "tests/aws/requests/rds/security_group_tests.rb", "tests/aws/requests/rds/subnet_groups_test.rb", "tests/aws/requests/rds/tagging_tests.rb", "tests/aws/requests/ses/helper.rb", "tests/aws/requests/ses/verified_email_address_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/aws/requests/sns/helper.rb", "tests/aws/requests/sns/subscription_tests.rb", "tests/aws/requests/sns/topic_tests.rb", "tests/aws/requests/sqs/helper.rb", "tests/aws/requests/sqs/message_tests.rb", "tests/aws/requests/sqs/queue_tests.rb", "tests/aws/requests/storage/acl_utils_tests.rb", "tests/aws/requests/storage/bucket_tests.rb", "tests/aws/requests/storage/cors_utils_tests.rb", "tests/aws/requests/storage/multipart_upload_tests.rb", "tests/aws/requests/storage/object_tests.rb", "tests/aws/requests/storage/versioning_tests.rb", "tests/aws/requests/sts/get_federation_token_tests.rb", "tests/aws/requests/sts/session_token_tests.rb", "tests/aws/signaturev4_tests.rb", "tests/aws/signed_params_tests.rb", "tests/bluebox/requests/blb/helper.rb", "tests/bluebox/requests/blb/lb_tests.rb", "tests/bluebox/requests/compute/block_tests.rb", "tests/bluebox/requests/compute/helper.rb", "tests/bluebox/requests/compute/location_tests.rb", "tests/bluebox/requests/compute/product_tests.rb", "tests/bluebox/requests/compute/template_tests.rb", "tests/bluebox/requests/dns/dns_tests.rb", "tests/brightbox/compute/image_selector_tests.rb", "tests/brightbox/compute_tests.rb", "tests/brightbox/models/compute/account_tests.rb", "tests/brightbox/models/compute/server_tests.rb", "tests/brightbox/oauth2_tests.rb", "tests/brightbox/requests/compute/account_tests.rb", "tests/brightbox/requests/compute/api_client_tests.rb", "tests/brightbox/requests/compute/application_test.rb", "tests/brightbox/requests/compute/cloud_ip_tests.rb", "tests/brightbox/requests/compute/firewall_policy_tests.rb", "tests/brightbox/requests/compute/firewall_rule_tests.rb", "tests/brightbox/requests/compute/helper.rb", "tests/brightbox/requests/compute/image_tests.rb", "tests/brightbox/requests/compute/interface_tests.rb", "tests/brightbox/requests/compute/load_balancer_tests.rb", "tests/brightbox/requests/compute/server_group_tests.rb", "tests/brightbox/requests/compute/server_tests.rb", "tests/brightbox/requests/compute/server_type_tests.rb", "tests/brightbox/requests/compute/user_tests.rb", "tests/brightbox/requests/compute/zone_tests.rb", "tests/clodo/requests/compute/image_tests.rb", "tests/clodo/requests/compute/server_tests.rb", "tests/cloudsigma/models/server_tests.rb", "tests/cloudsigma/models/servers_tests.rb", "tests/cloudsigma/models/volume_tests.rb", "tests/cloudsigma/models/volumes_tests.rb", "tests/cloudsigma/requests/server_tests.rb", "tests/cloudsigma/requests/volumes_tests.rb", "tests/cloudstack/compute/models/disk_offering_tests.rb", "tests/cloudstack/compute/models/security_group_rule_tests.rb", "tests/cloudstack/compute/models/security_group_tests.rb", "tests/cloudstack/compute/models/security_groups_tests.rb", "tests/cloudstack/compute/models/server_tests.rb", "tests/cloudstack/compute/models/snapshot_tests.rb", "tests/cloudstack/compute/models/volume_tests.rb", "tests/cloudstack/compute/models/volumes_tests.rb", "tests/cloudstack/requests/disk_offering_tests.rb", "tests/cloudstack/requests/os_type_tests.rb", "tests/cloudstack/requests/security_group_tests.rb", "tests/cloudstack/requests/service_offering_tests.rb", "tests/cloudstack/requests/snapshot_tests.rb", "tests/cloudstack/requests/ssh_key_pair_tests.rb", "tests/cloudstack/requests/template_tests.rb", "tests/cloudstack/requests/virtual_machine_tests.rb", "tests/cloudstack/requests/volume_tests.rb", "tests/cloudstack/requests/zone_tests.rb", "tests/cloudstack/signed_params_tests.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/core/attribute_tests.rb", "tests/core/credential_tests.rb", "tests/core/current_machine_tests.rb", "tests/core/mocking_tests.rb", "tests/core/parser_tests.rb", "tests/core/timeout_tests.rb", "tests/core/user_agent_tests.rb", "tests/core/wait_for_tests.rb", "tests/digitalocean/helper.rb", "tests/digitalocean/models/compute/flavor_tests.rb", "tests/digitalocean/models/compute/image_tests.rb", "tests/digitalocean/models/compute/region_tests.rb", "tests/digitalocean/models/compute/server_tests.rb", "tests/digitalocean/models/compute/servers_tests.rb", "tests/digitalocean/models/compute/ssh_key_tests.rb", "tests/digitalocean/models/compute/ssh_keys_tests.rb", "tests/digitalocean/requests/compute/create_server_tests.rb", "tests/digitalocean/requests/compute/create_ssh_key_tests.rb", "tests/digitalocean/requests/compute/destroy_server_tests.rb", "tests/digitalocean/requests/compute/destroy_ssh_key_tests.rb", "tests/digitalocean/requests/compute/get_server_details_tests.rb", "tests/digitalocean/requests/compute/get_ssh_key_tests.rb", "tests/digitalocean/requests/compute/list_flavors_tests.rb", "tests/digitalocean/requests/compute/list_images_tests.rb", "tests/digitalocean/requests/compute/list_regions_tests.rb", "tests/digitalocean/requests/compute/list_servers_tests.rb", "tests/digitalocean/requests/compute/list_ssh_keys_tests.rb", "tests/digitalocean/requests/compute/power_cycle_server_tests.rb", "tests/digitalocean/requests/compute/power_state_tests.rb", "tests/digitalocean/requests/compute/reboot_server_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dnsimple/requests/dns/dns_tests.rb", "tests/dnsmadeeasy/requests/dns/dns_tests.rb", "tests/dreamhost/README.md", "tests/dreamhost/dns_tests.rb", "tests/dreamhost/helper.rb", "tests/dreamhost/models/dns/record_tests.rb", "tests/dreamhost/models/dns/records_tests.rb", "tests/dreamhost/models/dns/zone_tests.rb", "tests/dreamhost/models/dns/zones_tests.rb", "tests/dreamhost/requests/dns/create_record_tests.rb", "tests/dreamhost/requests/dns/delete_record_tests.rb", "tests/dreamhost/requests/dns/list_records_tests.rb", "tests/dynect/requests/dns/dns_tests.rb", "tests/ecloud/compute/models/admin_organization_tests.rb", "tests/ecloud/compute/models/compute_pool_tests.rb", "tests/ecloud/compute/models/detached_disk_tests.rb", "tests/ecloud/compute/models/environment_tests.rb", "tests/ecloud/compute/models/internet_service_tests.rb", "tests/ecloud/compute/models/ip_address_tests.rb", "tests/ecloud/compute/models/network_tests.rb", "tests/ecloud/compute/models/operating_system_families_tests.rb", "tests/ecloud/compute/models/operating_system_tests.rb", "tests/ecloud/compute/models/organization_tests.rb", "tests/ecloud/compute/models/public_ip_tests.rb", "tests/ecloud/compute/models/server_tests.rb", "tests/ecloud/compute/models/ssh_key_tests.rb", "tests/ecloud/compute/models/template_tests.rb", "tests/glesys/requests/compute/helper.rb", "tests/glesys/requests/compute/ip_tests.rb", "tests/glesys/requests/compute/server_tests.rb", "tests/glesys/requests/compute/template_tests.rb", "tests/go_grid/requests/compute/image_tests.rb", "tests/google/models/compute/server_tests.rb", "tests/google/requests/compute/disk_tests.rb", "tests/google/requests/compute/firewall_tests.rb", "tests/google/requests/compute/image_tests.rb", "tests/google/requests/compute/network_tests.rb", "tests/google/requests/compute/operation_tests.rb", "tests/google/requests/compute/server_tests.rb", "tests/google/requests/compute/zone_tests.rb", "tests/google/requests/storage/bucket_tests.rb", "tests/google/requests/storage/object_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/mock_helper.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/schema_validator_tests.rb", "tests/helpers/succeeds_helper.rb", "tests/hp/models/block_storage/bootable_volume_tests.rb", "tests/hp/models/block_storage/snapshot_tests.rb", "tests/hp/models/block_storage/volume_tests.rb", "tests/hp/models/compute/address_tests.rb", "tests/hp/models/compute/addresses_tests.rb", "tests/hp/models/compute/key_pair_tests.rb", "tests/hp/models/compute/key_pairs_tests.rb", "tests/hp/models/compute/metadata_image_tests.rb", "tests/hp/models/compute/metadata_server_tests.rb", "tests/hp/models/compute/security_group_tests.rb", "tests/hp/models/compute/security_groups_tests.rb", "tests/hp/models/storage/directories_tests.rb", "tests/hp/models/storage/directory_tests.rb", "tests/hp/models/storage/file_tests.rb", "tests/hp/models/storage/files_tests.rb", "tests/hp/requests/block_storage/bootable_volume_tests.rb", "tests/hp/requests/block_storage/snapshot_tests.rb", "tests/hp/requests/block_storage/volume_tests.rb", "tests/hp/requests/cdn/container_tests.rb", "tests/hp/requests/compute/address_tests.rb", "tests/hp/requests/compute/flavor_tests.rb", "tests/hp/requests/compute/image_tests.rb", "tests/hp/requests/compute/key_pair_tests.rb", "tests/hp/requests/compute/metadata_tests.rb", "tests/hp/requests/compute/persistent_server_tests.rb", "tests/hp/requests/compute/security_group_rule_tests.rb", "tests/hp/requests/compute/security_group_tests.rb", "tests/hp/requests/compute/server_address_tests.rb", "tests/hp/requests/compute/server_tests.rb", "tests/hp/requests/compute/server_volume_tests.rb", "tests/hp/requests/storage/container_tests.rb", "tests/hp/requests/storage/object_tests.rb", "tests/hp/user_agent_tests.rb", "tests/ibm/models/compute/image_tests.rb", "tests/ibm/models/compute/key_tests.rb", "tests/ibm/models/compute/keys_tests.rb", "tests/ibm/models/compute/locations_tests.rb", "tests/ibm/models/compute/server_tests.rb", "tests/ibm/models/compute/servers_tests.rb", "tests/ibm/models/storage/volume_tests.rb", "tests/ibm/requests/compute/address_tests.rb", "tests/ibm/requests/compute/image_tests.rb", "tests/ibm/requests/compute/instance_tests.rb", "tests/ibm/requests/compute/key_tests.rb", "tests/ibm/requests/compute/location_tests.rb", "tests/ibm/requests/compute/vlan_tests.rb", "tests/ibm/requests/storage/volume_tests.rb", "tests/internet_archive/models/storage/directory_tests.rb", "tests/internet_archive/models/storage/file_tests.rb", "tests/internet_archive/models/storage/files_tests.rb", "tests/internet_archive/models/storage/url_tests.rb", "tests/internet_archive/requests/storage/acl_utils_tests.rb", "tests/internet_archive/requests/storage/bucket_tests.rb", "tests/internet_archive/requests/storage/cors_utils_tests.rb", "tests/internet_archive/requests/storage/multipart_upload_tests.rb", "tests/internet_archive/requests/storage/object_tests.rb", "tests/internet_archive/signaturev4_tests.rb", "tests/internet_archive/signed_params_tests.rb", "tests/joyent/requests/compute/datasets_tests.rb", "tests/joyent/requests/compute/keys_tests.rb", "tests/joyent/requests/compute/machines_tests.rb", "tests/joyent/requests/compute/networks_tests.rb", "tests/joyent/requests/compute/packages_tests.rb", "tests/libvirt/compute_tests.rb", "tests/libvirt/models/compute/interface_tests.rb", "tests/libvirt/models/compute/interfaces_tests.rb", "tests/libvirt/models/compute/network_tests.rb", "tests/libvirt/models/compute/networks_tests.rb", "tests/libvirt/models/compute/nic_tests.rb", "tests/libvirt/models/compute/nics_tests.rb", "tests/libvirt/models/compute/pool_tests.rb", "tests/libvirt/models/compute/pools_tests.rb", "tests/libvirt/models/compute/server_tests.rb", "tests/libvirt/models/compute/servers_tests.rb", "tests/libvirt/models/compute/volume_tests.rb", "tests/libvirt/models/compute/volumes_tests.rb", "tests/libvirt/requests/compute/create_domain_tests.rb", "tests/libvirt/requests/compute/define_domain_tests.rb", "tests/libvirt/requests/compute/update_display.rb", "tests/linode/requests/compute/datacenter_tests.rb", "tests/linode/requests/compute/distribution_tests.rb", "tests/linode/requests/compute/helper.rb", "tests/linode/requests/compute/kernel_tests.rb", "tests/linode/requests/compute/linode_tests.rb", "tests/linode/requests/compute/linodeplans_tests.rb", "tests/linode/requests/compute/stackscripts_tests.rb", "tests/linode/requests/dns/dns_tests.rb", "tests/local/models/directory_tests.rb", "tests/local/models/file_tests.rb", "tests/local/storage_tests.rb", "tests/lorem.txt", "tests/ninefold/models/storage/file_update_tests.rb", "tests/ninefold/models/storage/nested_directories_tests.rb", "tests/ninefold/requests/compute/address_tests.rb", "tests/ninefold/requests/compute/async_job_tests.rb", "tests/ninefold/requests/compute/helper.rb", "tests/ninefold/requests/compute/list_tests.rb", "tests/ninefold/requests/compute/load_balancer_tests.rb", "tests/ninefold/requests/compute/nat_tests.rb", "tests/ninefold/requests/compute/network_tests.rb", "tests/ninefold/requests/compute/template_tests.rb", "tests/ninefold/requests/compute/virtual_machine_tests.rb", "tests/openstack/authenticate_tests.rb", "tests/openstack/models/compute/images_tests.rb", "tests/openstack/models/compute/server_tests.rb", "tests/openstack/models/identity/ec2_credential_tests.rb", "tests/openstack/models/identity/ec2_credentials_tests.rb", "tests/openstack/models/identity/role_tests.rb", "tests/openstack/models/identity/roles_tests.rb", "tests/openstack/models/identity/tenant_tests.rb", "tests/openstack/models/identity/tenants_tests.rb", "tests/openstack/models/identity/user_tests.rb", "tests/openstack/models/identity/users_tests.rb", "tests/openstack/models/image/image_tests.rb", "tests/openstack/models/image/images_tests.rb", "tests/openstack/models/network/floating_ip_tests.rb", "tests/openstack/models/network/floating_ips_tests.rb", "tests/openstack/models/network/lb_health_monitor_tests.rb", "tests/openstack/models/network/lb_health_monitors_tests.rb", "tests/openstack/models/network/lb_member_tests.rb", "tests/openstack/models/network/lb_members_tests.rb", "tests/openstack/models/network/lb_pool_tests.rb", "tests/openstack/models/network/lb_pools_tests.rb", "tests/openstack/models/network/lb_vip_tests.rb", "tests/openstack/models/network/lb_vips_tests.rb", "tests/openstack/models/network/network_tests.rb", "tests/openstack/models/network/networks_tests.rb", "tests/openstack/models/network/port_tests.rb", "tests/openstack/models/network/ports_tests.rb", "tests/openstack/models/network/router_tests.rb", "tests/openstack/models/network/routers_tests.rb", "tests/openstack/models/network/subnet_tests.rb", "tests/openstack/models/network/subnets_tests.rb", "tests/openstack/models/storage/file_tests.rb", "tests/openstack/requests/compute/address_tests.rb", "tests/openstack/requests/compute/flavor_tests.rb", "tests/openstack/requests/compute/helper.rb", "tests/openstack/requests/compute/image_tests.rb", "tests/openstack/requests/compute/keypair_tests.rb", "tests/openstack/requests/compute/limit_tests.rb", "tests/openstack/requests/compute/quota_tests.rb", "tests/openstack/requests/compute/security_group_tests.rb", "tests/openstack/requests/compute/server_tests.rb", "tests/openstack/requests/compute/tenant_tests.rb", "tests/openstack/requests/compute/volume_tests.rb", "tests/openstack/requests/identity/ec2_credentials_tests.rb", "tests/openstack/requests/identity/helper.rb", "tests/openstack/requests/identity/role_tests.rb", "tests/openstack/requests/identity/tenant_tests.rb", "tests/openstack/requests/identity/user_tests.rb", "tests/openstack/requests/image/image_tests.rb", "tests/openstack/requests/network/lb_health_monitor_tests.rb", "tests/openstack/requests/network/lb_member_tests.rb", "tests/openstack/requests/network/lb_pool_tests.rb", "tests/openstack/requests/network/lb_vip_tests.rb", "tests/openstack/requests/network/network_tests.rb", "tests/openstack/requests/network/port_tests.rb", "tests/openstack/requests/network/router_tests.rb", "tests/openstack/requests/network/subnet_tests.rb", "tests/openstack/requests/storage/container_tests.rb", "tests/openstack/requests/storage/large_object_tests.rb", "tests/openstack/requests/storage/object_tests.rb", "tests/openstack/requests/volume/quota_tests.rb", "tests/openstack/storage_tests.rb", "tests/openstack/version_tests.rb", "tests/openstack/volume_tests.rb", "tests/openvz/helper.rb", "tests/openvz/models/compute/server_tests.rb", "tests/openvz/models/compute/servers_tests.rb", "tests/ovirt/compute_tests.rb", "tests/ovirt/models/compute/cluster_tests.rb", "tests/ovirt/models/compute/clusters_tests.rb", "tests/ovirt/models/compute/interface_tests.rb", "tests/ovirt/models/compute/interfaces_tests.rb", "tests/ovirt/models/compute/server_tests.rb", "tests/ovirt/models/compute/servers_tests.rb", "tests/ovirt/models/compute/template_tests.rb", "tests/ovirt/models/compute/templates_tests.rb", "tests/ovirt/requests/compute/create_vm_tests.rb", "tests/ovirt/requests/compute/destroy_vm_tests.rb", "tests/ovirt/requests/compute/list_datacenters_tests.rb", "tests/ovirt/requests/compute/list_quotas_tests.rb", "tests/ovirt/requests/compute/list_storage_domains_tests.rb", "tests/ovirt/requests/compute/update_vm_tests.rb", "tests/rackspace/block_storage_tests.rb", "tests/rackspace/cdn_tests.rb", "tests/rackspace/compute_tests.rb", "tests/rackspace/compute_v2_tests.rb", "tests/rackspace/databases_tests.rb", "tests/rackspace/dns_tests.rb", "tests/rackspace/helper.rb", "tests/rackspace/load_balancer_tests.rb", "tests/rackspace/models/block_storage/snapshot_tests.rb", "tests/rackspace/models/block_storage/snapshots_tests.rb", "tests/rackspace/models/block_storage/volume_tests.rb", "tests/rackspace/models/block_storage/volume_types_tests.rb", "tests/rackspace/models/block_storage/volumes_tests.rb", "tests/rackspace/models/compute_v2/flavors_tests.rb", "tests/rackspace/models/compute_v2/image_tests.rb", "tests/rackspace/models/compute_v2/images_tests.rb", "tests/rackspace/models/compute_v2/metadata_tests.rb", "tests/rackspace/models/compute_v2/network_tests.rb", "tests/rackspace/models/compute_v2/networks_tests.rb", "tests/rackspace/models/compute_v2/server_tests.rb", "tests/rackspace/models/compute_v2/servers_tests.rb", "tests/rackspace/models/databases/database_tests.rb", "tests/rackspace/models/databases/databases_tests.rb", "tests/rackspace/models/databases/flavors_tests.rb", "tests/rackspace/models/databases/instance_tests.rb", "tests/rackspace/models/databases/instances_tests.rb", "tests/rackspace/models/databases/user_tests.rb", "tests/rackspace/models/databases/users_tests.rb", "tests/rackspace/models/dns/zone_tests.rb", "tests/rackspace/models/dns/zones_tests.rb", "tests/rackspace/models/identity/credentials_tests.rb", "tests/rackspace/models/identity/roles_tests.rb", "tests/rackspace/models/identity/service_catalog_tests.rb", "tests/rackspace/models/identity/tenants_tests.rb", "tests/rackspace/models/identity/user_tests.rb", "tests/rackspace/models/identity/users_tests.rb", "tests/rackspace/models/load_balancers/access_list_tests.rb", "tests/rackspace/models/load_balancers/access_lists_tests.rb", "tests/rackspace/models/load_balancers/load_balancer_tests.rb", "tests/rackspace/models/load_balancers/load_balancers_tests.rb", "tests/rackspace/models/load_balancers/node_tests.rb", "tests/rackspace/models/load_balancers/nodes_tests.rb", "tests/rackspace/models/load_balancers/virtual_ip_tests.rb", "tests/rackspace/models/load_balancers/virtual_ips_tests.rb", "tests/rackspace/models/storage/account_tests.rb", "tests/rackspace/models/storage/directories_tests.rb", "tests/rackspace/models/storage/directory_tests.rb", "tests/rackspace/models/storage/file_tests.rb", "tests/rackspace/models/storage/metadata_tests.rb", "tests/rackspace/rackspace_tests.rb", "tests/rackspace/requests/block_storage/snapshot_tests.rb", "tests/rackspace/requests/block_storage/volume_tests.rb", "tests/rackspace/requests/block_storage/volume_type_tests.rb", "tests/rackspace/requests/cdn/cdn_tests.rb", "tests/rackspace/requests/compute/address_tests.rb", "tests/rackspace/requests/compute/flavor_tests.rb", "tests/rackspace/requests/compute/helper.rb", "tests/rackspace/requests/compute/image_tests.rb", "tests/rackspace/requests/compute/resize_tests.rb", "tests/rackspace/requests/compute/server_tests.rb", "tests/rackspace/requests/compute_v2/address_tests.rb", "tests/rackspace/requests/compute_v2/attachment_tests.rb", "tests/rackspace/requests/compute_v2/flavor_tests.rb", "tests/rackspace/requests/compute_v2/image_tests.rb", "tests/rackspace/requests/compute_v2/metadata_tests.rb", "tests/rackspace/requests/compute_v2/network_tests.rb", "tests/rackspace/requests/compute_v2/server_tests.rb", "tests/rackspace/requests/databases/database_tests.rb", "tests/rackspace/requests/databases/flavor_tests.rb", "tests/rackspace/requests/databases/helper.rb", "tests/rackspace/requests/databases/instance_tests.rb", "tests/rackspace/requests/databases/user_tests.rb", "tests/rackspace/requests/dns/dns_tests.rb", "tests/rackspace/requests/dns/helper.rb", "tests/rackspace/requests/dns/records_tests.rb", "tests/rackspace/requests/identity/tenants_tests.rb", "tests/rackspace/requests/identity/token_tests.rb", "tests/rackspace/requests/identity/user_tests.rb", "tests/rackspace/requests/load_balancers/access_list_tests.rb", "tests/rackspace/requests/load_balancers/algorithm_tests.rb", "tests/rackspace/requests/load_balancers/connection_logging_tests.rb", "tests/rackspace/requests/load_balancers/connection_throttling_tests.rb", "tests/rackspace/requests/load_balancers/content_caching_tests.rb", "tests/rackspace/requests/load_balancers/error_page_tests.rb", "tests/rackspace/requests/load_balancers/helper.rb", "tests/rackspace/requests/load_balancers/load_balancer_tests.rb", "tests/rackspace/requests/load_balancers/load_balancer_usage_tests.rb", "tests/rackspace/requests/load_balancers/monitor_tests.rb", "tests/rackspace/requests/load_balancers/node_tests.rb", "tests/rackspace/requests/load_balancers/protocol_tests.rb", "tests/rackspace/requests/load_balancers/session_persistence_tests.rb", "tests/rackspace/requests/load_balancers/ssl_termination_tests.rb", "tests/rackspace/requests/load_balancers/usage_tests.rb", "tests/rackspace/requests/load_balancers/virtual_ip_tests.rb", "tests/rackspace/requests/storage/account_tests.rb", "tests/rackspace/requests/storage/container_tests.rb", "tests/rackspace/requests/storage/large_object_tests.rb", "tests/rackspace/requests/storage/object_tests.rb", "tests/rackspace/storage_tests.rb", "tests/rackspace/url_encoding_tests.rb", "tests/riakcs/requests/provisioning/provisioning_tests.rb", "tests/riakcs/requests/usage/usage_tests.rb", "tests/serverlove/requests/compute/image_tests.rb", "tests/serverlove/requests/compute/server_tests.rb", "tests/serverlove/util/compute/password_generator_tests.rb", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storm_on_demand/requests/compute/server_tests.rb", "tests/vcloud/data/api_+_admin_+_network_+_2", "tests/vcloud/data/api_+_network_+_1", "tests/vcloud/data/api_+_org_+_", "tests/vcloud/data/api_+_org_+_1", "tests/vcloud/data/api_+_sessions", "tests/vcloud/data/api_+_v1.0_+_admin_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_login", "tests/vcloud/data/api_+_v1.0_+_network_+_1", "tests/vcloud/data/api_+_v1.0_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_org_+_1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-2", "tests/vcloud/data/api_+_v1.0_+_vdc_+_1", "tests/vcloud/data/api_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_vApp_+_vm-2", "tests/vcloud/data/api_+_vdc_+_1", "tests/vcloud/models/compute/conn_helper.rb", "tests/vcloud/models/compute/helper.rb", "tests/vcloud/models/compute/network_tests.rb", "tests/vcloud/models/compute/networks_tests.rb", "tests/vcloud/models/compute/organization_tests.rb", "tests/vcloud/models/compute/organizations_tests.rb", "tests/vcloud/models/compute/server_tests.rb", "tests/vcloud/models/compute/servers_tests.rb", "tests/vcloud/models/compute/vapp_tests.rb", "tests/vcloud/models/compute/vapps_tests.rb", "tests/vcloud/models/compute/vdc_tests.rb", "tests/vcloud/models/compute/vdcs_tests.rb", "tests/vcloud/requests/compute/disk_configure_tests.rb", "tests/voxel/requests/compute/image_tests.rb", "tests/voxel/requests/compute/server_tests.rb", "tests/vsphere/compute_tests.rb", "tests/vsphere/models/compute/server_tests.rb", "tests/vsphere/models/compute/servers_tests.rb", "tests/vsphere/requests/compute/current_time_tests.rb", "tests/vsphere/requests/compute/list_virtual_machines_tests.rb", "tests/vsphere/requests/compute/vm_clone_tests.rb", "tests/vsphere/requests/compute/vm_config_vnc_tests.rb", "tests/vsphere/requests/compute/vm_destroy_tests.rb", "tests/vsphere/requests/compute/vm_migrate_tests.rb", "tests/vsphere/requests/compute/vm_power_off_tests.rb", "tests/vsphere/requests/compute/vm_power_on_tests.rb", "tests/vsphere/requests/compute/vm_reboot_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_cpus_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_hardware_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_memory_tests.rb", "tests/watchr.rb", "tests/xenserver/README", "tests/xenserver/compute_tests.rb", "tests/xenserver/helper.rb", "tests/xenserver/models/compute/host_cpu_tests.rb", "tests/xenserver/models/compute/host_metrics_tests.rb", "tests/xenserver/models/compute/host_tests.rb", "tests/xenserver/models/compute/hosts_tests.rb", "tests/xenserver/models/compute/network_tests.rb", "tests/xenserver/models/compute/networks_tests.rb", "tests/xenserver/models/compute/pbd_tests.rb", "tests/xenserver/models/compute/pbds_tests.rb", "tests/xenserver/models/compute/pif_tests.rb", "tests/xenserver/models/compute/pifs_tests.rb", "tests/xenserver/models/compute/pool_tests.rb", "tests/xenserver/models/compute/pools_tests.rb", "tests/xenserver/models/compute/server_tests.rb", "tests/xenserver/models/compute/servers_tests.rb", "tests/xenserver/models/compute/storage_repositories_tests.rb", "tests/xenserver/models/compute/storage_repository_tests.rb", "tests/xenserver/models/compute/vbd_tests.rb", "tests/xenserver/models/compute/vbds_tests.rb", "tests/xenserver/models/compute/vif_tests.rb", "tests/xenserver/models/compute/vifs_tests.rb", "tests/xenserver/models/compute/vlan_tests.rb", "tests/xenserver/models/compute/vlans_tests.rb", "tests/xenserver/requests/compute/clone_server_tests.rb", "tests/xenserver/requests/compute/create_network_tests.rb", "tests/xenserver/requests/compute/create_server_tests.rb", "tests/xenserver/requests/compute/create_sr_tests.rb", "tests/xenserver/requests/compute/create_vdi_tests.rb", "tests/xenserver/requests/compute/create_vif_tests.rb", "tests/xenserver/requests/compute/create_vlan_tests.rb", "tests/xenserver/requests/compute/destroy_network_tests.rb", "tests/xenserver/requests/compute/destroy_sr_tests.rb", "tests/xenserver/requests/compute/destroy_vdi_tests.rb", "tests/xenserver/requests/compute/destroy_vlan_tests.rb", "tests/xenserver/requests/compute/disable_host_tests.rb", "tests/xenserver/requests/compute/enable_host_tests.rb", "tests/xenserver/requests/compute/get_record_tests.rb", "tests/xenserver/requests/compute/set_attribute_tests.rb", "tests/xenserver/requests/compute/unplug_pbd_tests.rb", "tests/xenserver/xenserver_tests.rb", "tests/zerigo/requests/dns/dns_tests.rb"]
  s.homepage = "http://github.com/fog/fog"
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "fog"
  s.rubygems_version = "1.8.23"
  s.summary = "brings clouds to you"
  s.test_files = ["tests/atmos/models/storage/file_update_tests.rb", "tests/atmos/models/storage/nested_directories_tests.rb", "tests/aws/credentials_tests.rb", "tests/aws/models/auto_scaling/activities_tests.rb", "tests/aws/models/auto_scaling/configuration_test.rb", "tests/aws/models/auto_scaling/configurations_tests.rb", "tests/aws/models/auto_scaling/helper.rb", "tests/aws/models/auto_scaling/instances_tests.rb", "tests/aws/models/beanstalk/application_tests.rb", "tests/aws/models/beanstalk/applications_tests.rb", "tests/aws/models/beanstalk/environment_tests.rb", "tests/aws/models/beanstalk/environments_tests.rb", "tests/aws/models/beanstalk/template_tests.rb", "tests/aws/models/beanstalk/templates_tests.rb", "tests/aws/models/beanstalk/version_tests.rb", "tests/aws/models/beanstalk/versions_tests.rb", "tests/aws/models/cdn/distribution_tests.rb", "tests/aws/models/cdn/distributions_tests.rb", "tests/aws/models/cdn/invalidation_tests.rb", "tests/aws/models/cdn/invalidations_tests.rb", "tests/aws/models/cdn/streaming_distribution_tests.rb", "tests/aws/models/cdn/streaming_distributions_tests.rb", "tests/aws/models/cloud_watch/alarm_data_tests.rb", "tests/aws/models/cloud_watch/alarm_history_tests.rb", "tests/aws/models/cloud_watch/metric_statistics_tests.rb", "tests/aws/models/cloud_watch/metrics_tests.rb", "tests/aws/models/compute/address_tests.rb", "tests/aws/models/compute/addresses_tests.rb", "tests/aws/models/compute/dhcp_option_tests.rb", "tests/aws/models/compute/dhcp_options_tests.rb", "tests/aws/models/compute/internet_gateway_tests.rb", "tests/aws/models/compute/internet_gateways_tests.rb", "tests/aws/models/compute/key_pair_tests.rb", "tests/aws/models/compute/key_pairs_tests.rb", "tests/aws/models/compute/network_interfaces_test.rb", "tests/aws/models/compute/security_group_tests.rb", "tests/aws/models/compute/security_groups_tests.rb", "tests/aws/models/compute/server_tests.rb", "tests/aws/models/compute/snapshot_tests.rb", "tests/aws/models/compute/snapshots_tests.rb", "tests/aws/models/compute/subnet_tests.rb", "tests/aws/models/compute/subnets_tests.rb", "tests/aws/models/compute/volume_tests.rb", "tests/aws/models/compute/volumes_tests.rb", "tests/aws/models/compute/vpc_tests.rb", "tests/aws/models/compute/vpcs_tests.rb", "tests/aws/models/data_pipeline/pipeline_tests.rb", "tests/aws/models/data_pipeline/pipelines_tests.rb", "tests/aws/models/dns/record_tests.rb", "tests/aws/models/dns/records_tests.rb", "tests/aws/models/dns/zone_tests.rb", "tests/aws/models/dns/zones_tests.rb", "tests/aws/models/elasticache/cluster_tests.rb", "tests/aws/models/elasticache/parameter_groups_tests.rb", "tests/aws/models/elasticache/security_groups_tests.rb", "tests/aws/models/elb/model_tests.rb", "tests/aws/models/glacier/model_tests.rb", "tests/aws/models/iam/access_keys_tests.rb", "tests/aws/models/iam/policies_tests.rb", "tests/aws/models/iam/roles_tests.rb", "tests/aws/models/iam/users_tests.rb", "tests/aws/models/rds/helper.rb", "tests/aws/models/rds/parameter_group_tests.rb", "tests/aws/models/rds/parameter_groups_tests.rb", "tests/aws/models/rds/security_group_tests.rb", "tests/aws/models/rds/security_groups_tests.rb", "tests/aws/models/rds/server_tests.rb", "tests/aws/models/rds/servers_tests.rb", "tests/aws/models/rds/snapshot_tests.rb", "tests/aws/models/rds/snapshots_tests.rb", "tests/aws/models/rds/tagging_tests.rb", "tests/aws/models/storage/directory_tests.rb", "tests/aws/models/storage/file_tests.rb", "tests/aws/models/storage/files_tests.rb", "tests/aws/models/storage/url_tests.rb", "tests/aws/models/storage/version_tests.rb", "tests/aws/models/storage/versions_tests.rb", "tests/aws/requests/auto_scaling/auto_scaling_tests.rb", "tests/aws/requests/auto_scaling/describe_types_tests.rb", "tests/aws/requests/auto_scaling/helper.rb", "tests/aws/requests/auto_scaling/model_tests.rb", "tests/aws/requests/auto_scaling/notification_configuration_tests.rb", "tests/aws/requests/auto_scaling/tag_tests.rb", "tests/aws/requests/beanstalk/application_tests.rb", "tests/aws/requests/beanstalk/solution_stack_tests.rb", "tests/aws/requests/cdn/cdn_tests.rb", "tests/aws/requests/cloud_formation/stack_tests.rb", "tests/aws/requests/cloud_watch/get_metric_statistics_tests.rb", "tests/aws/requests/cloud_watch/list_metrics_test.rb", "tests/aws/requests/cloud_watch/put_metric_data_tests.rb", "tests/aws/requests/compute/address_tests.rb", "tests/aws/requests/compute/availability_zone_tests.rb", "tests/aws/requests/compute/dhcp_options_tests.rb", "tests/aws/requests/compute/helper.rb", "tests/aws/requests/compute/image_tests.rb", "tests/aws/requests/compute/instance_tests.rb", "tests/aws/requests/compute/internet_gateway_tests.rb", "tests/aws/requests/compute/key_pair_tests.rb", "tests/aws/requests/compute/network_interface_tests.rb", "tests/aws/requests/compute/placement_group_tests.rb", "tests/aws/requests/compute/region_tests.rb", "tests/aws/requests/compute/security_group_tests.rb", "tests/aws/requests/compute/snapshot_tests.rb", "tests/aws/requests/compute/spot_datafeed_subscription_tests.rb", "tests/aws/requests/compute/spot_instance_tests.rb", "tests/aws/requests/compute/spot_price_history_tests.rb", "tests/aws/requests/compute/subnet_tests.rb", "tests/aws/requests/compute/tag_tests.rb", "tests/aws/requests/compute/volume_tests.rb", "tests/aws/requests/compute/vpc_tests.rb", "tests/aws/requests/data_pipeline/helper.rb", "tests/aws/requests/data_pipeline/pipeline_tests.rb", "tests/aws/requests/dns/dns_tests.rb", "tests/aws/requests/dns/helper.rb", "tests/aws/requests/dynamodb/item_tests.rb", "tests/aws/requests/dynamodb/table_tests.rb", "tests/aws/requests/elasticache/cache_cluster_tests.rb", "tests/aws/requests/elasticache/describe_events.rb", "tests/aws/requests/elasticache/describe_reserved_cache_nodes.rb", "tests/aws/requests/elasticache/helper.rb", "tests/aws/requests/elasticache/parameter_group_tests.rb", "tests/aws/requests/elasticache/security_group_tests.rb", "tests/aws/requests/elb/helper.rb", "tests/aws/requests/elb/listener_tests.rb", "tests/aws/requests/elb/load_balancer_tests.rb", "tests/aws/requests/elb/policy_tests.rb", "tests/aws/requests/emr/helper.rb", "tests/aws/requests/emr/instance_group_tests.rb", "tests/aws/requests/emr/job_flow_tests.rb", "tests/aws/requests/glacier/archive_tests.rb", "tests/aws/requests/glacier/multipart_upload_tests.rb", "tests/aws/requests/glacier/tree_hash_tests.rb", "tests/aws/requests/glacier/vault_tests.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/login_profile_tests.rb", "tests/aws/requests/iam/role_tests.rb", "tests/aws/requests/iam/server_certificate_tests.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/rds/describe_events.rb", "tests/aws/requests/rds/helper.rb", "tests/aws/requests/rds/instance_tests.rb", "tests/aws/requests/rds/parameter_group_tests.rb", "tests/aws/requests/rds/parameter_request_tests.rb", "tests/aws/requests/rds/security_group_tests.rb", "tests/aws/requests/rds/subnet_groups_test.rb", "tests/aws/requests/rds/tagging_tests.rb", "tests/aws/requests/ses/helper.rb", "tests/aws/requests/ses/verified_email_address_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/aws/requests/sns/helper.rb", "tests/aws/requests/sns/subscription_tests.rb", "tests/aws/requests/sns/topic_tests.rb", "tests/aws/requests/sqs/helper.rb", "tests/aws/requests/sqs/message_tests.rb", "tests/aws/requests/sqs/queue_tests.rb", "tests/aws/requests/storage/acl_utils_tests.rb", "tests/aws/requests/storage/bucket_tests.rb", "tests/aws/requests/storage/cors_utils_tests.rb", "tests/aws/requests/storage/multipart_upload_tests.rb", "tests/aws/requests/storage/object_tests.rb", "tests/aws/requests/storage/versioning_tests.rb", "tests/aws/requests/sts/get_federation_token_tests.rb", "tests/aws/requests/sts/session_token_tests.rb", "tests/aws/signaturev4_tests.rb", "tests/aws/signed_params_tests.rb", "tests/bluebox/requests/blb/helper.rb", "tests/bluebox/requests/blb/lb_tests.rb", "tests/bluebox/requests/compute/block_tests.rb", "tests/bluebox/requests/compute/helper.rb", "tests/bluebox/requests/compute/location_tests.rb", "tests/bluebox/requests/compute/product_tests.rb", "tests/bluebox/requests/compute/template_tests.rb", "tests/bluebox/requests/dns/dns_tests.rb", "tests/brightbox/compute/image_selector_tests.rb", "tests/brightbox/compute_tests.rb", "tests/brightbox/models/compute/account_tests.rb", "tests/brightbox/models/compute/server_tests.rb", "tests/brightbox/oauth2_tests.rb", "tests/brightbox/requests/compute/account_tests.rb", "tests/brightbox/requests/compute/api_client_tests.rb", "tests/brightbox/requests/compute/application_test.rb", "tests/brightbox/requests/compute/cloud_ip_tests.rb", "tests/brightbox/requests/compute/firewall_policy_tests.rb", "tests/brightbox/requests/compute/firewall_rule_tests.rb", "tests/brightbox/requests/compute/helper.rb", "tests/brightbox/requests/compute/image_tests.rb", "tests/brightbox/requests/compute/interface_tests.rb", "tests/brightbox/requests/compute/load_balancer_tests.rb", "tests/brightbox/requests/compute/server_group_tests.rb", "tests/brightbox/requests/compute/server_tests.rb", "tests/brightbox/requests/compute/server_type_tests.rb", "tests/brightbox/requests/compute/user_tests.rb", "tests/brightbox/requests/compute/zone_tests.rb", "tests/clodo/requests/compute/image_tests.rb", "tests/clodo/requests/compute/server_tests.rb", "tests/cloudsigma/models/server_tests.rb", "tests/cloudsigma/models/servers_tests.rb", "tests/cloudsigma/models/volume_tests.rb", "tests/cloudsigma/models/volumes_tests.rb", "tests/cloudsigma/requests/server_tests.rb", "tests/cloudsigma/requests/volumes_tests.rb", "tests/cloudstack/compute/models/disk_offering_tests.rb", "tests/cloudstack/compute/models/security_group_rule_tests.rb", "tests/cloudstack/compute/models/security_group_tests.rb", "tests/cloudstack/compute/models/security_groups_tests.rb", "tests/cloudstack/compute/models/server_tests.rb", "tests/cloudstack/compute/models/snapshot_tests.rb", "tests/cloudstack/compute/models/volume_tests.rb", "tests/cloudstack/compute/models/volumes_tests.rb", "tests/cloudstack/requests/disk_offering_tests.rb", "tests/cloudstack/requests/os_type_tests.rb", "tests/cloudstack/requests/security_group_tests.rb", "tests/cloudstack/requests/service_offering_tests.rb", "tests/cloudstack/requests/snapshot_tests.rb", "tests/cloudstack/requests/ssh_key_pair_tests.rb", "tests/cloudstack/requests/template_tests.rb", "tests/cloudstack/requests/virtual_machine_tests.rb", "tests/cloudstack/requests/volume_tests.rb", "tests/cloudstack/requests/zone_tests.rb", "tests/cloudstack/signed_params_tests.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/core/attribute_tests.rb", "tests/core/credential_tests.rb", "tests/core/current_machine_tests.rb", "tests/core/mocking_tests.rb", "tests/core/parser_tests.rb", "tests/core/timeout_tests.rb", "tests/core/user_agent_tests.rb", "tests/core/wait_for_tests.rb", "tests/digitalocean/helper.rb", "tests/digitalocean/models/compute/flavor_tests.rb", "tests/digitalocean/models/compute/image_tests.rb", "tests/digitalocean/models/compute/region_tests.rb", "tests/digitalocean/models/compute/server_tests.rb", "tests/digitalocean/models/compute/servers_tests.rb", "tests/digitalocean/models/compute/ssh_key_tests.rb", "tests/digitalocean/models/compute/ssh_keys_tests.rb", "tests/digitalocean/requests/compute/create_server_tests.rb", "tests/digitalocean/requests/compute/create_ssh_key_tests.rb", "tests/digitalocean/requests/compute/destroy_server_tests.rb", "tests/digitalocean/requests/compute/destroy_ssh_key_tests.rb", "tests/digitalocean/requests/compute/get_server_details_tests.rb", "tests/digitalocean/requests/compute/get_ssh_key_tests.rb", "tests/digitalocean/requests/compute/list_flavors_tests.rb", "tests/digitalocean/requests/compute/list_images_tests.rb", "tests/digitalocean/requests/compute/list_regions_tests.rb", "tests/digitalocean/requests/compute/list_servers_tests.rb", "tests/digitalocean/requests/compute/list_ssh_keys_tests.rb", "tests/digitalocean/requests/compute/power_cycle_server_tests.rb", "tests/digitalocean/requests/compute/power_state_tests.rb", "tests/digitalocean/requests/compute/reboot_server_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dnsimple/requests/dns/dns_tests.rb", "tests/dnsmadeeasy/requests/dns/dns_tests.rb", "tests/dreamhost/README.md", "tests/dreamhost/dns_tests.rb", "tests/dreamhost/helper.rb", "tests/dreamhost/models/dns/record_tests.rb", "tests/dreamhost/models/dns/records_tests.rb", "tests/dreamhost/models/dns/zone_tests.rb", "tests/dreamhost/models/dns/zones_tests.rb", "tests/dreamhost/requests/dns/create_record_tests.rb", "tests/dreamhost/requests/dns/delete_record_tests.rb", "tests/dreamhost/requests/dns/list_records_tests.rb", "tests/dynect/requests/dns/dns_tests.rb", "tests/ecloud/compute/models/admin_organization_tests.rb", "tests/ecloud/compute/models/compute_pool_tests.rb", "tests/ecloud/compute/models/detached_disk_tests.rb", "tests/ecloud/compute/models/environment_tests.rb", "tests/ecloud/compute/models/internet_service_tests.rb", "tests/ecloud/compute/models/ip_address_tests.rb", "tests/ecloud/compute/models/network_tests.rb", "tests/ecloud/compute/models/operating_system_families_tests.rb", "tests/ecloud/compute/models/operating_system_tests.rb", "tests/ecloud/compute/models/organization_tests.rb", "tests/ecloud/compute/models/public_ip_tests.rb", "tests/ecloud/compute/models/server_tests.rb", "tests/ecloud/compute/models/ssh_key_tests.rb", "tests/ecloud/compute/models/template_tests.rb", "tests/glesys/requests/compute/helper.rb", "tests/glesys/requests/compute/ip_tests.rb", "tests/glesys/requests/compute/server_tests.rb", "tests/glesys/requests/compute/template_tests.rb", "tests/go_grid/requests/compute/image_tests.rb", "tests/google/models/compute/server_tests.rb", "tests/google/requests/compute/disk_tests.rb", "tests/google/requests/compute/firewall_tests.rb", "tests/google/requests/compute/image_tests.rb", "tests/google/requests/compute/network_tests.rb", "tests/google/requests/compute/operation_tests.rb", "tests/google/requests/compute/server_tests.rb", "tests/google/requests/compute/zone_tests.rb", "tests/google/requests/storage/bucket_tests.rb", "tests/google/requests/storage/object_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/mock_helper.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/schema_validator_tests.rb", "tests/helpers/succeeds_helper.rb", "tests/hp/models/block_storage/bootable_volume_tests.rb", "tests/hp/models/block_storage/snapshot_tests.rb", "tests/hp/models/block_storage/volume_tests.rb", "tests/hp/models/compute/address_tests.rb", "tests/hp/models/compute/addresses_tests.rb", "tests/hp/models/compute/key_pair_tests.rb", "tests/hp/models/compute/key_pairs_tests.rb", "tests/hp/models/compute/metadata_image_tests.rb", "tests/hp/models/compute/metadata_server_tests.rb", "tests/hp/models/compute/security_group_tests.rb", "tests/hp/models/compute/security_groups_tests.rb", "tests/hp/models/storage/directories_tests.rb", "tests/hp/models/storage/directory_tests.rb", "tests/hp/models/storage/file_tests.rb", "tests/hp/models/storage/files_tests.rb", "tests/hp/requests/block_storage/bootable_volume_tests.rb", "tests/hp/requests/block_storage/snapshot_tests.rb", "tests/hp/requests/block_storage/volume_tests.rb", "tests/hp/requests/cdn/container_tests.rb", "tests/hp/requests/compute/address_tests.rb", "tests/hp/requests/compute/flavor_tests.rb", "tests/hp/requests/compute/image_tests.rb", "tests/hp/requests/compute/key_pair_tests.rb", "tests/hp/requests/compute/metadata_tests.rb", "tests/hp/requests/compute/persistent_server_tests.rb", "tests/hp/requests/compute/security_group_rule_tests.rb", "tests/hp/requests/compute/security_group_tests.rb", "tests/hp/requests/compute/server_address_tests.rb", "tests/hp/requests/compute/server_tests.rb", "tests/hp/requests/compute/server_volume_tests.rb", "tests/hp/requests/storage/container_tests.rb", "tests/hp/requests/storage/object_tests.rb", "tests/hp/user_agent_tests.rb", "tests/ibm/models/compute/image_tests.rb", "tests/ibm/models/compute/key_tests.rb", "tests/ibm/models/compute/keys_tests.rb", "tests/ibm/models/compute/locations_tests.rb", "tests/ibm/models/compute/server_tests.rb", "tests/ibm/models/compute/servers_tests.rb", "tests/ibm/models/storage/volume_tests.rb", "tests/ibm/requests/compute/address_tests.rb", "tests/ibm/requests/compute/image_tests.rb", "tests/ibm/requests/compute/instance_tests.rb", "tests/ibm/requests/compute/key_tests.rb", "tests/ibm/requests/compute/location_tests.rb", "tests/ibm/requests/compute/vlan_tests.rb", "tests/ibm/requests/storage/volume_tests.rb", "tests/internet_archive/models/storage/directory_tests.rb", "tests/internet_archive/models/storage/file_tests.rb", "tests/internet_archive/models/storage/files_tests.rb", "tests/internet_archive/models/storage/url_tests.rb", "tests/internet_archive/requests/storage/acl_utils_tests.rb", "tests/internet_archive/requests/storage/bucket_tests.rb", "tests/internet_archive/requests/storage/cors_utils_tests.rb", "tests/internet_archive/requests/storage/multipart_upload_tests.rb", "tests/internet_archive/requests/storage/object_tests.rb", "tests/internet_archive/signaturev4_tests.rb", "tests/internet_archive/signed_params_tests.rb", "tests/joyent/requests/compute/datasets_tests.rb", "tests/joyent/requests/compute/keys_tests.rb", "tests/joyent/requests/compute/machines_tests.rb", "tests/joyent/requests/compute/networks_tests.rb", "tests/joyent/requests/compute/packages_tests.rb", "tests/libvirt/compute_tests.rb", "tests/libvirt/models/compute/interface_tests.rb", "tests/libvirt/models/compute/interfaces_tests.rb", "tests/libvirt/models/compute/network_tests.rb", "tests/libvirt/models/compute/networks_tests.rb", "tests/libvirt/models/compute/nic_tests.rb", "tests/libvirt/models/compute/nics_tests.rb", "tests/libvirt/models/compute/pool_tests.rb", "tests/libvirt/models/compute/pools_tests.rb", "tests/libvirt/models/compute/server_tests.rb", "tests/libvirt/models/compute/servers_tests.rb", "tests/libvirt/models/compute/volume_tests.rb", "tests/libvirt/models/compute/volumes_tests.rb", "tests/libvirt/requests/compute/create_domain_tests.rb", "tests/libvirt/requests/compute/define_domain_tests.rb", "tests/libvirt/requests/compute/update_display.rb", "tests/linode/requests/compute/datacenter_tests.rb", "tests/linode/requests/compute/distribution_tests.rb", "tests/linode/requests/compute/helper.rb", "tests/linode/requests/compute/kernel_tests.rb", "tests/linode/requests/compute/linode_tests.rb", "tests/linode/requests/compute/linodeplans_tests.rb", "tests/linode/requests/compute/stackscripts_tests.rb", "tests/linode/requests/dns/dns_tests.rb", "tests/local/models/directory_tests.rb", "tests/local/models/file_tests.rb", "tests/local/storage_tests.rb", "tests/lorem.txt", "tests/ninefold/models/storage/file_update_tests.rb", "tests/ninefold/models/storage/nested_directories_tests.rb", "tests/ninefold/requests/compute/address_tests.rb", "tests/ninefold/requests/compute/async_job_tests.rb", "tests/ninefold/requests/compute/helper.rb", "tests/ninefold/requests/compute/list_tests.rb", "tests/ninefold/requests/compute/load_balancer_tests.rb", "tests/ninefold/requests/compute/nat_tests.rb", "tests/ninefold/requests/compute/network_tests.rb", "tests/ninefold/requests/compute/template_tests.rb", "tests/ninefold/requests/compute/virtual_machine_tests.rb", "tests/openstack/authenticate_tests.rb", "tests/openstack/models/compute/images_tests.rb", "tests/openstack/models/compute/server_tests.rb", "tests/openstack/models/identity/ec2_credential_tests.rb", "tests/openstack/models/identity/ec2_credentials_tests.rb", "tests/openstack/models/identity/role_tests.rb", "tests/openstack/models/identity/roles_tests.rb", "tests/openstack/models/identity/tenant_tests.rb", "tests/openstack/models/identity/tenants_tests.rb", "tests/openstack/models/identity/user_tests.rb", "tests/openstack/models/identity/users_tests.rb", "tests/openstack/models/image/image_tests.rb", "tests/openstack/models/image/images_tests.rb", "tests/openstack/models/network/floating_ip_tests.rb", "tests/openstack/models/network/floating_ips_tests.rb", "tests/openstack/models/network/lb_health_monitor_tests.rb", "tests/openstack/models/network/lb_health_monitors_tests.rb", "tests/openstack/models/network/lb_member_tests.rb", "tests/openstack/models/network/lb_members_tests.rb", "tests/openstack/models/network/lb_pool_tests.rb", "tests/openstack/models/network/lb_pools_tests.rb", "tests/openstack/models/network/lb_vip_tests.rb", "tests/openstack/models/network/lb_vips_tests.rb", "tests/openstack/models/network/network_tests.rb", "tests/openstack/models/network/networks_tests.rb", "tests/openstack/models/network/port_tests.rb", "tests/openstack/models/network/ports_tests.rb", "tests/openstack/models/network/router_tests.rb", "tests/openstack/models/network/routers_tests.rb", "tests/openstack/models/network/subnet_tests.rb", "tests/openstack/models/network/subnets_tests.rb", "tests/openstack/models/storage/file_tests.rb", "tests/openstack/requests/compute/address_tests.rb", "tests/openstack/requests/compute/flavor_tests.rb", "tests/openstack/requests/compute/helper.rb", "tests/openstack/requests/compute/image_tests.rb", "tests/openstack/requests/compute/keypair_tests.rb", "tests/openstack/requests/compute/limit_tests.rb", "tests/openstack/requests/compute/quota_tests.rb", "tests/openstack/requests/compute/security_group_tests.rb", "tests/openstack/requests/compute/server_tests.rb", "tests/openstack/requests/compute/tenant_tests.rb", "tests/openstack/requests/compute/volume_tests.rb", "tests/openstack/requests/identity/ec2_credentials_tests.rb", "tests/openstack/requests/identity/helper.rb", "tests/openstack/requests/identity/role_tests.rb", "tests/openstack/requests/identity/tenant_tests.rb", "tests/openstack/requests/identity/user_tests.rb", "tests/openstack/requests/image/image_tests.rb", "tests/openstack/requests/network/lb_health_monitor_tests.rb", "tests/openstack/requests/network/lb_member_tests.rb", "tests/openstack/requests/network/lb_pool_tests.rb", "tests/openstack/requests/network/lb_vip_tests.rb", "tests/openstack/requests/network/network_tests.rb", "tests/openstack/requests/network/port_tests.rb", "tests/openstack/requests/network/router_tests.rb", "tests/openstack/requests/network/subnet_tests.rb", "tests/openstack/requests/storage/container_tests.rb", "tests/openstack/requests/storage/large_object_tests.rb", "tests/openstack/requests/storage/object_tests.rb", "tests/openstack/requests/volume/quota_tests.rb", "tests/openstack/storage_tests.rb", "tests/openstack/version_tests.rb", "tests/openstack/volume_tests.rb", "tests/openvz/helper.rb", "tests/openvz/models/compute/server_tests.rb", "tests/openvz/models/compute/servers_tests.rb", "tests/ovirt/compute_tests.rb", "tests/ovirt/models/compute/cluster_tests.rb", "tests/ovirt/models/compute/clusters_tests.rb", "tests/ovirt/models/compute/interface_tests.rb", "tests/ovirt/models/compute/interfaces_tests.rb", "tests/ovirt/models/compute/server_tests.rb", "tests/ovirt/models/compute/servers_tests.rb", "tests/ovirt/models/compute/template_tests.rb", "tests/ovirt/models/compute/templates_tests.rb", "tests/ovirt/requests/compute/create_vm_tests.rb", "tests/ovirt/requests/compute/destroy_vm_tests.rb", "tests/ovirt/requests/compute/list_datacenters_tests.rb", "tests/ovirt/requests/compute/list_quotas_tests.rb", "tests/ovirt/requests/compute/list_storage_domains_tests.rb", "tests/ovirt/requests/compute/update_vm_tests.rb", "tests/rackspace/block_storage_tests.rb", "tests/rackspace/cdn_tests.rb", "tests/rackspace/compute_tests.rb", "tests/rackspace/compute_v2_tests.rb", "tests/rackspace/databases_tests.rb", "tests/rackspace/dns_tests.rb", "tests/rackspace/helper.rb", "tests/rackspace/load_balancer_tests.rb", "tests/rackspace/models/block_storage/snapshot_tests.rb", "tests/rackspace/models/block_storage/snapshots_tests.rb", "tests/rackspace/models/block_storage/volume_tests.rb", "tests/rackspace/models/block_storage/volume_types_tests.rb", "tests/rackspace/models/block_storage/volumes_tests.rb", "tests/rackspace/models/compute_v2/flavors_tests.rb", "tests/rackspace/models/compute_v2/image_tests.rb", "tests/rackspace/models/compute_v2/images_tests.rb", "tests/rackspace/models/compute_v2/metadata_tests.rb", "tests/rackspace/models/compute_v2/network_tests.rb", "tests/rackspace/models/compute_v2/networks_tests.rb", "tests/rackspace/models/compute_v2/server_tests.rb", "tests/rackspace/models/compute_v2/servers_tests.rb", "tests/rackspace/models/databases/database_tests.rb", "tests/rackspace/models/databases/databases_tests.rb", "tests/rackspace/models/databases/flavors_tests.rb", "tests/rackspace/models/databases/instance_tests.rb", "tests/rackspace/models/databases/instances_tests.rb", "tests/rackspace/models/databases/user_tests.rb", "tests/rackspace/models/databases/users_tests.rb", "tests/rackspace/models/dns/zone_tests.rb", "tests/rackspace/models/dns/zones_tests.rb", "tests/rackspace/models/identity/credentials_tests.rb", "tests/rackspace/models/identity/roles_tests.rb", "tests/rackspace/models/identity/service_catalog_tests.rb", "tests/rackspace/models/identity/tenants_tests.rb", "tests/rackspace/models/identity/user_tests.rb", "tests/rackspace/models/identity/users_tests.rb", "tests/rackspace/models/load_balancers/access_list_tests.rb", "tests/rackspace/models/load_balancers/access_lists_tests.rb", "tests/rackspace/models/load_balancers/load_balancer_tests.rb", "tests/rackspace/models/load_balancers/load_balancers_tests.rb", "tests/rackspace/models/load_balancers/node_tests.rb", "tests/rackspace/models/load_balancers/nodes_tests.rb", "tests/rackspace/models/load_balancers/virtual_ip_tests.rb", "tests/rackspace/models/load_balancers/virtual_ips_tests.rb", "tests/rackspace/models/storage/account_tests.rb", "tests/rackspace/models/storage/directories_tests.rb", "tests/rackspace/models/storage/directory_tests.rb", "tests/rackspace/models/storage/file_tests.rb", "tests/rackspace/models/storage/metadata_tests.rb", "tests/rackspace/rackspace_tests.rb", "tests/rackspace/requests/block_storage/snapshot_tests.rb", "tests/rackspace/requests/block_storage/volume_tests.rb", "tests/rackspace/requests/block_storage/volume_type_tests.rb", "tests/rackspace/requests/cdn/cdn_tests.rb", "tests/rackspace/requests/compute/address_tests.rb", "tests/rackspace/requests/compute/flavor_tests.rb", "tests/rackspace/requests/compute/helper.rb", "tests/rackspace/requests/compute/image_tests.rb", "tests/rackspace/requests/compute/resize_tests.rb", "tests/rackspace/requests/compute/server_tests.rb", "tests/rackspace/requests/compute_v2/address_tests.rb", "tests/rackspace/requests/compute_v2/attachment_tests.rb", "tests/rackspace/requests/compute_v2/flavor_tests.rb", "tests/rackspace/requests/compute_v2/image_tests.rb", "tests/rackspace/requests/compute_v2/metadata_tests.rb", "tests/rackspace/requests/compute_v2/network_tests.rb", "tests/rackspace/requests/compute_v2/server_tests.rb", "tests/rackspace/requests/databases/database_tests.rb", "tests/rackspace/requests/databases/flavor_tests.rb", "tests/rackspace/requests/databases/helper.rb", "tests/rackspace/requests/databases/instance_tests.rb", "tests/rackspace/requests/databases/user_tests.rb", "tests/rackspace/requests/dns/dns_tests.rb", "tests/rackspace/requests/dns/helper.rb", "tests/rackspace/requests/dns/records_tests.rb", "tests/rackspace/requests/identity/tenants_tests.rb", "tests/rackspace/requests/identity/token_tests.rb", "tests/rackspace/requests/identity/user_tests.rb", "tests/rackspace/requests/load_balancers/access_list_tests.rb", "tests/rackspace/requests/load_balancers/algorithm_tests.rb", "tests/rackspace/requests/load_balancers/connection_logging_tests.rb", "tests/rackspace/requests/load_balancers/connection_throttling_tests.rb", "tests/rackspace/requests/load_balancers/content_caching_tests.rb", "tests/rackspace/requests/load_balancers/error_page_tests.rb", "tests/rackspace/requests/load_balancers/helper.rb", "tests/rackspace/requests/load_balancers/load_balancer_tests.rb", "tests/rackspace/requests/load_balancers/load_balancer_usage_tests.rb", "tests/rackspace/requests/load_balancers/monitor_tests.rb", "tests/rackspace/requests/load_balancers/node_tests.rb", "tests/rackspace/requests/load_balancers/protocol_tests.rb", "tests/rackspace/requests/load_balancers/session_persistence_tests.rb", "tests/rackspace/requests/load_balancers/ssl_termination_tests.rb", "tests/rackspace/requests/load_balancers/usage_tests.rb", "tests/rackspace/requests/load_balancers/virtual_ip_tests.rb", "tests/rackspace/requests/storage/account_tests.rb", "tests/rackspace/requests/storage/container_tests.rb", "tests/rackspace/requests/storage/large_object_tests.rb", "tests/rackspace/requests/storage/object_tests.rb", "tests/rackspace/storage_tests.rb", "tests/rackspace/url_encoding_tests.rb", "tests/riakcs/requests/provisioning/provisioning_tests.rb", "tests/riakcs/requests/usage/usage_tests.rb", "tests/serverlove/requests/compute/image_tests.rb", "tests/serverlove/requests/compute/server_tests.rb", "tests/serverlove/util/compute/password_generator_tests.rb", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storm_on_demand/requests/compute/server_tests.rb", "tests/vcloud/data/api_+_admin_+_network_+_2", "tests/vcloud/data/api_+_network_+_1", "tests/vcloud/data/api_+_org_+_", "tests/vcloud/data/api_+_org_+_1", "tests/vcloud/data/api_+_sessions", "tests/vcloud/data/api_+_v1.0_+_admin_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_login", "tests/vcloud/data/api_+_v1.0_+_network_+_1", "tests/vcloud/data/api_+_v1.0_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_org_+_1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-2", "tests/vcloud/data/api_+_v1.0_+_vdc_+_1", "tests/vcloud/data/api_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_vApp_+_vm-2", "tests/vcloud/data/api_+_vdc_+_1", "tests/vcloud/models/compute/conn_helper.rb", "tests/vcloud/models/compute/helper.rb", "tests/vcloud/models/compute/network_tests.rb", "tests/vcloud/models/compute/networks_tests.rb", "tests/vcloud/models/compute/organization_tests.rb", "tests/vcloud/models/compute/organizations_tests.rb", "tests/vcloud/models/compute/server_tests.rb", "tests/vcloud/models/compute/servers_tests.rb", "tests/vcloud/models/compute/vapp_tests.rb", "tests/vcloud/models/compute/vapps_tests.rb", "tests/vcloud/models/compute/vdc_tests.rb", "tests/vcloud/models/compute/vdcs_tests.rb", "tests/vcloud/requests/compute/disk_configure_tests.rb", "tests/voxel/requests/compute/image_tests.rb", "tests/voxel/requests/compute/server_tests.rb", "tests/vsphere/compute_tests.rb", "tests/vsphere/models/compute/server_tests.rb", "tests/vsphere/models/compute/servers_tests.rb", "tests/vsphere/requests/compute/current_time_tests.rb", "tests/vsphere/requests/compute/list_virtual_machines_tests.rb", "tests/vsphere/requests/compute/vm_clone_tests.rb", "tests/vsphere/requests/compute/vm_config_vnc_tests.rb", "tests/vsphere/requests/compute/vm_destroy_tests.rb", "tests/vsphere/requests/compute/vm_migrate_tests.rb", "tests/vsphere/requests/compute/vm_power_off_tests.rb", "tests/vsphere/requests/compute/vm_power_on_tests.rb", "tests/vsphere/requests/compute/vm_reboot_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_cpus_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_hardware_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_memory_tests.rb", "tests/watchr.rb", "tests/xenserver/README", "tests/xenserver/compute_tests.rb", "tests/xenserver/helper.rb", "tests/xenserver/models/compute/host_cpu_tests.rb", "tests/xenserver/models/compute/host_metrics_tests.rb", "tests/xenserver/models/compute/host_tests.rb", "tests/xenserver/models/compute/hosts_tests.rb", "tests/xenserver/models/compute/network_tests.rb", "tests/xenserver/models/compute/networks_tests.rb", "tests/xenserver/models/compute/pbd_tests.rb", "tests/xenserver/models/compute/pbds_tests.rb", "tests/xenserver/models/compute/pif_tests.rb", "tests/xenserver/models/compute/pifs_tests.rb", "tests/xenserver/models/compute/pool_tests.rb", "tests/xenserver/models/compute/pools_tests.rb", "tests/xenserver/models/compute/server_tests.rb", "tests/xenserver/models/compute/servers_tests.rb", "tests/xenserver/models/compute/storage_repositories_tests.rb", "tests/xenserver/models/compute/storage_repository_tests.rb", "tests/xenserver/models/compute/vbd_tests.rb", "tests/xenserver/models/compute/vbds_tests.rb", "tests/xenserver/models/compute/vif_tests.rb", "tests/xenserver/models/compute/vifs_tests.rb", "tests/xenserver/models/compute/vlan_tests.rb", "tests/xenserver/models/compute/vlans_tests.rb", "tests/xenserver/requests/compute/clone_server_tests.rb", "tests/xenserver/requests/compute/create_network_tests.rb", "tests/xenserver/requests/compute/create_server_tests.rb", "tests/xenserver/requests/compute/create_sr_tests.rb", "tests/xenserver/requests/compute/create_vdi_tests.rb", "tests/xenserver/requests/compute/create_vif_tests.rb", "tests/xenserver/requests/compute/create_vlan_tests.rb", "tests/xenserver/requests/compute/destroy_network_tests.rb", "tests/xenserver/requests/compute/destroy_sr_tests.rb", "tests/xenserver/requests/compute/destroy_vdi_tests.rb", "tests/xenserver/requests/compute/destroy_vlan_tests.rb", "tests/xenserver/requests/compute/disable_host_tests.rb", "tests/xenserver/requests/compute/enable_host_tests.rb", "tests/xenserver/requests/compute/get_record_tests.rb", "tests/xenserver/requests/compute/set_attribute_tests.rb", "tests/xenserver/requests/compute/unplug_pbd_tests.rb", "tests/xenserver/xenserver_tests.rb", "tests/zerigo/requests/dns/dns_tests.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<builder>, [">= 0"])
      s.add_runtime_dependency(%q<excon>, ["~> 0.23.0"])
      s.add_runtime_dependency(%q<formatador>, ["~> 0.2.0"])
      s.add_runtime_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_runtime_dependency(%q<mime-types>, [">= 0"])
      s.add_runtime_dependency(%q<net-scp>, ["~> 1.1"])
      s.add_runtime_dependency(%q<net-ssh>, [">= 2.1.3"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.5.0"])
      s.add_runtime_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_development_dependency(%q<jekyll>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rbvmomi>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<thor>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 1.3.1"])
      s.add_development_dependency(%q<rbovirt>, [">= 0.0.11"])
      s.add_development_dependency(%q<shindo>, ["~> 0.3.4"])
      s.add_development_dependency(%q<fission>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<google-api-client>, ["~> 0.6.2"])
    else
      s.add_dependency(%q<builder>, [">= 0"])
      s.add_dependency(%q<excon>, ["~> 0.23.0"])
      s.add_dependency(%q<formatador>, ["~> 0.2.0"])
      s.add_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_dependency(%q<mime-types>, [">= 0"])
      s.add_dependency(%q<net-scp>, ["~> 1.1"])
      s.add_dependency(%q<net-ssh>, [">= 2.1.3"])
      s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
      s.add_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_dependency(%q<jekyll>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rbvmomi>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 1.3.1"])
      s.add_dependency(%q<rbovirt>, [">= 0.0.11"])
      s.add_dependency(%q<shindo>, ["~> 0.3.4"])
      s.add_dependency(%q<fission>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<google-api-client>, ["~> 0.6.2"])
    end
  else
    s.add_dependency(%q<builder>, [">= 0"])
    s.add_dependency(%q<excon>, ["~> 0.23.0"])
    s.add_dependency(%q<formatador>, ["~> 0.2.0"])
    s.add_dependency(%q<multi_json>, ["~> 1.0"])
    s.add_dependency(%q<mime-types>, [">= 0"])
    s.add_dependency(%q<net-scp>, ["~> 1.1"])
    s.add_dependency(%q<net-ssh>, [">= 2.1.3"])
    s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
    s.add_dependency(%q<ruby-hmac>, [">= 0"])
    s.add_dependency(%q<jekyll>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rbvmomi>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 1.3.1"])
    s.add_dependency(%q<rbovirt>, [">= 0.0.11"])
    s.add_dependency(%q<shindo>, ["~> 0.3.4"])
    s.add_dependency(%q<fission>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<google-api-client>, ["~> 0.6.2"])
  end
end
